#####################################
# Uncomment the 2 lines below if 
# 1) a new window doesn't open or 
# 2) matplotlib crashes
#####################################
import matplotlib
#matplotlib.use('Agg')
#####################################
import matplotlib.pyplot as plt

from classy import Class
import numpy as np

# based on Planck+BAO 2018
params = {
    'output': '',
    'h': 0.696,
    'omega_b': 0.022,
    'omega_cdm': 0.11923}
print("Now running class ")
cosmo = Class()
cosmo.set(params)
cosmo.compute()
backcosmo=cosmo.get_background()
dL=backcosmo['lum. dist.']
dA=backcosmo['ang.diam.dist.']
z=backcosmo['z']
H0=cosmo.Hubble(0)

# This makes the plot and saves it as a PDF
print('Now making the plot...')
fig=plt.figure()
plt.loglog(z, H0*dL, 'r', label='lum. dist')
plt.loglog(z, H0*dA, 'g', label='ang. diam')
plt.legend(loc='best')
#plt.title(r'Sound horizon at dragging redshift vs $\Omega_b h^2$')
plt.xlabel(r'$z$')
plt.ylabel(r'$ d(z) [Mpc]$')
plt.grid()
# On linux or if you have an X enviroment the following will open a window  
plt.show()

fig.savefig("./classy_other_dA.pdf")

cosmo.empty()
cosmo.struct_cleanup()

print("Exiting...")
exit()