# This code compares two files with CMB spectra
# Made by Savvas Nesseris

import matplotlib
#matplotlib.use('Agg')
import matplotlib.pyplot as plt
from scipy.integrate import odeint
from pylab import loadtxt

print("Now reading the data...")
#Read the files wit hthe spectra
cls1=loadtxt("./class_public-master/output/test_100_cl.dat")
cls2=loadtxt("./class_public-master/output/test_200_cl.dat")

#The multipoles
l1=cls1[11:, 0]
l2=cls1[11:, 0]

# This makes the plot and saves it as a PDF
fig=plt.figure(figsize=(10,3))

#
print("Now making TT plot...")
plt.subplot(1, 3, 1)
#Other options are plot, semiloy, semilogx, loglog
plt.title(r'The TT CMB spectra ')
plt.plot(l1, cls1[11:, 1], 'r', label=r'$\Omega_k=0.00$')
plt.plot(l1, cls2[11:, 1], 'g', label=r'$\Omega_k=0.05$')
plt.legend(loc='best')
plt.xlabel(r'$l$')
plt.ylabel(r'$\frac{l(l+1)}{2\pi}C_l^{TT}$')
plt.grid()

#
print("Now making EE plot...")
plt.subplot(1, 3, 2)
#Other options are plot, semiloy, semilogx, loglog
plt.title(r'The EE CMB spectra ')
plt.plot(l1, cls1[11:, 2], 'r', label=r'$\Omega_k=0.00$')
plt.plot(l1, cls2[11:, 2], 'g', label=r'$\Omega_k=0.05$')
plt.legend(loc='best')
plt.xlabel(r'$l$')
plt.ylabel(r'$\frac{l(l+1)}{2\pi}C_l^{EE}$')
plt.grid()

#
print("Now making TE plot...")
plt.subplot(1, 3, 3)
#Other options are plot, semiloy, semilogx, loglog
plt.title(r'The TE CMB spectra ')
plt.plot(l1, cls1[11:, 4], 'r', label=r'$\Omega_m=0.00$')
plt.plot(l1, cls2[11:, 4], 'g', label=r'$\Omega_m=0.05$')
plt.legend(loc='best')
plt.xlabel(r'$l$')
plt.ylabel(r'$\frac{l(l+1)}{2\pi}C_l^{TE}$')
plt.grid()

print("Now saving PDF...")
# Show plot 
plt.tight_layout(pad=1)
#plt.show()
fig.set_size_inches(15, 5)
fig.savefig('cmb_python_plots.pdf', bbox_inches='tight',dpi=100)
print("Done!")























print("Python sucks! Use Mathematica ;-)")