(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    369178,       6726]
NotebookOptionsPosition[    367584,       6699]
NotebookOutlinePosition[    367960,       6715]
CellTagsIndexPosition[    367917,       6712]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData["Quit"], "Input",
 CellChangeTimes->{{3.7258851058165035`*^9, 
  3.725885106496498*^9}},ExpressionUUID->"3813d64a-6c0e-40e0-9863-\
6e239bddc905"],

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<ErrorBarPlots`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ErrorBarLogPlots`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.704184174580628*^9, 3.7041841824766273`*^9}, {
  3.7041842137728224`*^9, 3.704184215023884*^9}, {3.7041842974207797`*^9, 
  3.7041842977413177`*^9}, {3.72621879724123*^9, 3.7262187991001062`*^9}, {
  3.7264847105453997`*^9, 
  3.7264847311466913`*^9}},ExpressionUUID->"c362527b-0a6e-4fc2-8f5e-\
5a4cf4a448e6"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"path", "=", "\"\<.//class_public-master//output\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data1", "=", 
   RowBox[{"FileNames", "[", 
    RowBox[{"path", "<>", "\"\<//test_100_cl.dat\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data2", "=", 
   RowBox[{"FileNames", "[", 
    RowBox[{"path", "<>", "\"\<//test_200_cl.dat\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cls1", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"data1", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"11", ";;", 
      RowBox[{"-", "1"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cls2", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"data2", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"11", ";;", 
      RowBox[{"-", "1"}]}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7041842190385685`*^9, 3.704184246477624*^9}, {
   3.7046116413411293`*^9, 3.7046116434998703`*^9}, {3.714974364622031*^9, 
   3.714974400438363*^9}, {3.716282315942917*^9, 3.7162823483252316`*^9}, {
   3.7162824285959873`*^9, 3.7162824304351225`*^9}, {3.725780015236601*^9, 
   3.7257800665545263`*^9}, {3.725780372614794*^9, 3.725780377802844*^9}, {
   3.725869944384184*^9, 3.7258699481592255`*^9}, {3.7262188067698207`*^9, 
   3.726218818385087*^9}, 3.726218860696803*^9, {3.726484922072544*^9, 
   3.726484924999826*^9}, {3.736137035432616*^9, 3.7361370614985623`*^9}, {
   3.7361593101062627`*^9, 3.736159323946342*^9}, {3.7566399969599967`*^9, 
   3.7566400069739113`*^9}, {3.796560362876786*^9, 3.7965604925839925`*^9}, {
   3.796621187899273*^9, 3.7966212090044546`*^9}, 3.827995500346797*^9, {
   3.827995545370816*^9, 3.8279955477708497`*^9}, {3.827995995211566*^9, 
   3.827996019983921*^9}},ExpressionUUID->"76f14f4e-13e8-4de9-954b-\
f791817d65e4"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat", "[", "g_", "]"}], ":=", 
  RowBox[{"Which", "[", 
   RowBox[{
    RowBox[{"g", "\[Equal]", "\"\<TT\>\""}], ",", "2", ",", 
    RowBox[{"g", "\[Equal]", "\"\<EE\>\""}], ",", "3", ",", 
    RowBox[{"g", "\[Equal]", "\"\<TE\>\""}], ",", "5"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"abs", "[", 
   RowBox[{"x_", ",", "f_", ",", "g_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"g", "\[Equal]", "\"\<TE\>\""}], "&&", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"ToString", "[", "f", "]"}], "\[Equal]", 
        RowBox[{"ToString", "[", "ListLogPlot", "]"}]}], "||", 
       RowBox[{
        RowBox[{"ToString", "[", "f", "]"}], "==", 
        RowBox[{"ToString", "[", "ListLogLogPlot", "]"}]}]}], ")"}]}], ",", 
    RowBox[{"Evaluate", "[", 
     RowBox[{"Abs", "[", "x", "]"}], "]"}], ",", 
    RowBox[{"Evaluate", "[", "x", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.736159383129489*^9, 3.7361593845664797`*^9}, {
   3.7361594275265884`*^9, 3.7361594652066307`*^9}, {3.7361611805366936`*^9, 
   3.736161180844942*^9}, 
   3.796560565963058*^9},ExpressionUUID->"9e2bc391-a256-4c09-970b-\
9dfb84e0761e"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"abs", "[", 
         RowBox[{
          RowBox[{"cls1", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"dat", "[", "g", "]"}]}], "}"}]}], "]"}], "]"}], ",", 
          "f", ",", "g"}], "]"}], ",", 
        RowBox[{"abs", "[", 
         RowBox[{
          RowBox[{"cls2", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"dat", "[", "g", "]"}]}], "}"}]}], "]"}], "]"}], ",", 
          "f", ",", "g"}], "]"}]}], "}"}], "//", "Evaluate"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "g"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[ScriptL]\>\"", ",", 
        "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\) \!\(\*SubscriptBox[\(C\), \(\[ScriptL]\)]\)\>\""}], "}"}]}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotLegends", "->", 
      RowBox[{"LineLegend", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Red", ",", "Blue"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
         "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \(k\)]\)=0.00\>\"", 
          ",", "\"\<\!\(\*SubscriptBox[\(\[CapitalOmega]\), \
\(k\)]\)=0.00\>\""}], "}"}]}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"g", ",", "\"\<TT\>\"", ",", "\"\<Cls\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<TT\>\"", ",", "\"\<EE\>\"", ",", "\"\<TE\>\""}], "}"}]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "ListPlot", ",", "\"\<Plot type\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "ListPlot", ",", "ListLogPlot", ",", "ListLogLogPlot", ",", 
       "ListLogLinearPlot"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.726485009480205*^9, 3.7264850606975956`*^9}, {
  3.7264850962010703`*^9, 3.726485183274809*^9}, {3.736136834863129*^9, 
  3.7361368376281023`*^9}, {3.736159338215839*^9, 3.7361593636062565`*^9}, {
  3.7361594708353443`*^9, 3.736159476140252*^9}, {3.736159567446476*^9, 
  3.736159570486264*^9}, {3.736159633716391*^9, 3.736159650016106*^9}, {
  3.7361611599567184`*^9, 3.736161162616424*^9}, {3.7361613514066973`*^9, 
  3.7361614221070986`*^9}, {3.796560512261757*^9, 3.796560529135618*^9}, {
  3.796560593176072*^9, 3.79656062636574*^9}, {3.796560658232648*^9, 
  3.7965606804588127`*^9}, {3.79656177701326*^9, 3.7965618365438776`*^9}, {
  3.7965618846756053`*^9, 3.79656191076315*^9}, {3.8279955744943175`*^9, 
  3.8279955746323137`*^9}},ExpressionUUID->"4fd05442-855e-4311-8b7e-\
8e0785a6dc2b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Path", " ", "to", " ", "Planck", " ", "data"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"planckall", "=", 
     RowBox[{
     "FileNames", "[", 
      "\"\<C:\\\\Users\\\\Savvas\\\\Dropbox\\\\Work\\\\teaching\\\\Master_\
literature\\\\CMB_lecture\\\\data\\\\COM_PowerSpect_CMB_R2.02.fits\>\"", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"planck", "=", 
     RowBox[{"Import", "[", 
      RowBox[{
       RowBox[{"planckall", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Data\>\""}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7041843120619507`*^9, 3.7041843163492856`*^9}, 
   3.7046116344768734`*^9, {3.714974421580969*^9, 3.714974426800544*^9}, {
   3.726484693340646*^9, 3.726484701176558*^9}, {3.726484957001281*^9, 
   3.72648496208843*^9}, {3.7965603512783036`*^9, 3.796560355491372*^9}, 
   3.7965607272607613`*^9},ExpressionUUID->"48a8749e-0af6-441d-92b6-\
e2e1219f3316"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClsTTlowl", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"planck", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{
       RowBox[{"2", ";;", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}], "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l_", ",", "dl_", ",", "s1_", ",", "s2_"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"l", ",", "dl"}], "}"}], ",", 
       RowBox[{"ErrorBar", "[", 
        RowBox[{"{", 
         RowBox[{"s1", ",", 
          RowBox[{"-", "s2"}]}], "}"}], "]"}]}], "}"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClsTThighl", "=", 
   RowBox[{
    RowBox[{"Transpose", "[", 
     RowBox[{"planck", "[", 
      RowBox[{"[", "7", "]"}], "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"2", ";;", 
       RowBox[{"-", "1"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", "5"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClsTElowl", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"planck", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{
       RowBox[{"2", ";;", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}], "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l_", ",", "dl_", ",", "s1_", ",", "s2_"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"l", ",", "dl"}], "}"}], ",", 
       RowBox[{"ErrorBar", "[", 
        RowBox[{"{", 
         RowBox[{"s1", ",", 
          RowBox[{"-", "s2"}]}], "}"}], "]"}]}], "}"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClsTEhighl", "=", 
   RowBox[{
    RowBox[{"Transpose", "[", 
     RowBox[{"planck", "[", 
      RowBox[{"[", "9", "]"}], "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"2", ";;", 
       RowBox[{"-", "1"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", "5"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClsEElowl", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"planck", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{
       RowBox[{"2", ";;", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}], "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l_", ",", "dl_", ",", "s1_", ",", "s2_"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"l", ",", "dl"}], "}"}], ",", 
       RowBox[{"ErrorBar", "[", 
        RowBox[{"{", 
         RowBox[{"s1", ",", 
          RowBox[{"-", "s2"}]}], "}"}], "]"}]}], "}"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClsEEhighl", "=", 
   RowBox[{
    RowBox[{"Transpose", "[", 
     RowBox[{"planck", "[", 
      RowBox[{"[", "11", "]"}], "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"2", ";;", 
       RowBox[{"-", "1"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", "5"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.70461769177756*^9, 3.704617780939479*^9}, {
  3.7051438634356823`*^9, 3.705143863580042*^9}, {3.7051439500736017`*^9, 
  3.7051439663294616`*^9}, {3.7566401885841055`*^9, 
  3.7566402322138042`*^9}},ExpressionUUID->"dca5de9c-07e8-4c79-b6ca-\
4486847ec424"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"planckplTT", "=", 
   RowBox[{"ErrorListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsTTlowl", ",", "ClsTThighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[ScriptL]\>\"", ",", 
        "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TT\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"planckplTTlin", "=", 
   RowBox[{"ErrorListLogLinearPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsTTlowl", ",", "ClsTThighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[ScriptL]\>\"", ",", 
        "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TT\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7041846316611905`*^9, 3.704184633212756*^9}, {
  3.7046177068285875`*^9, 3.704617714399724*^9}, {3.704617749481782*^9, 
  3.7046177521537685`*^9}, {3.704617786122235*^9, 3.704617791034325*^9}, {
  3.7965607573005314`*^9, 3.79656075963793*^9}, {3.796560801043524*^9, 
  3.7965608054220605`*^9}, {3.7965608506380835`*^9, 
  3.7965609036377707`*^9}},ExpressionUUID->"1d471828-46d2-4e4f-a976-\
eb9ca49433ec"],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{"planckplTT", ",", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "350"}]}], "]"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<\[ScriptL]\>\"", ",", 
          "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TT\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}], ",", 
     RowBox[{"Show", "[", 
      RowBox[{"planckplTTlin", ",", 
       RowBox[{"ListLogLinearPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"FrameLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
           "\"\<\[ScriptL]\>\"", ",", 
            "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TT\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}], ",", 
         RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "350"}]}], "]"}]}], "]"}]}], "}"}], 
   "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.704184700364855*^9, 3.704184712284954*^9}, {
  3.7046116528908453`*^9, 3.7046116689730034`*^9}, {3.7046179195628633`*^9, 
  3.7046180037566614`*^9}, {3.7162822899576163`*^9, 3.7162822908367248`*^9}, {
  3.7162824658953924`*^9, 3.7162824981014185`*^9}, {3.7257803950721874`*^9, 
  3.7257803972911015`*^9}, {3.7258699860319977`*^9, 3.7258700030730095`*^9}, {
  3.726484970373293*^9, 3.7264849775302715`*^9}, {3.736161198727022*^9, 
  3.7361612641713357`*^9}, {3.796560770274356*^9, 3.7965607801062155`*^9}, {
  3.796560810686308*^9, 3.7965608238602653`*^9}, {3.796560888103899*^9, 
  3.796560906236972*^9}},ExpressionUUID->"710b43de-5dfa-4299-bec0-\
b96824dbacbe"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"planckplTElin", "=", 
   RowBox[{"ErrorListLogLinearPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsTElowl", ",", "ClsTEhighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[ScriptL]\>\"", ",", 
        "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"planckplTE", "=", 
   RowBox[{"ErrorListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsTElowl", ",", "ClsTEhighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[ScriptL]\>\"", ",", 
        "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.704611204817416*^9, 3.704611241516775*^9}, {
  3.704611337483062*^9, 3.70461135117854*^9}, {3.704617758076518*^9, 
  3.7046177654832277`*^9}, {3.704617801417924*^9, 3.7046178102816596`*^9}, {
  3.796560941753622*^9, 
  3.7965609514947724`*^9}},ExpressionUUID->"c3ea7152-af22-4834-b1e2-\
fece0d844bd2"],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{"planckplTE", ",", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "5"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "5"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
         RowBox[{"FrameLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
           "\"\<\[ScriptL]\>\"", ",", 
            "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<l\>\"", ",", 
          "\"\<\!\(\*FractionBox[\(l \((l + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}], ",", 
     RowBox[{"Show", "[", 
      RowBox[{"planckplTElin", ",", 
       RowBox[{"ListLogLinearPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "5"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "5"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
         RowBox[{"FrameLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
           "\"\<\[ScriptL]\>\"", ",", 
            "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<l\>\"", ",", 
          "\"\<\!\(\*FractionBox[\(l \((l + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}]}], "}"}],
    "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.7046113580906363`*^9, 3.704611391595546*^9}, {
  3.704611683901729*^9, 3.704611689931743*^9}, {3.704618011098174*^9, 
  3.704618019449789*^9}, {3.7149744639292808`*^9, 3.7149744647263803`*^9}, {
  3.716282511302144*^9, 3.7162825333649025`*^9}, {3.7257804068601685`*^9, 
  3.7257804276592426`*^9}, {3.725870021311998*^9, 3.725870027665098*^9}, {
  3.726485205562147*^9, 3.7264852160749702`*^9}, {3.7264852588273377`*^9, 
  3.726485275759994*^9}, {3.7361612721271276`*^9, 3.7361612762668605`*^9}, {
  3.7965609567822676`*^9, 
  3.7965609818079777`*^9}},ExpressionUUID->"2baf870c-d1bb-4c76-b777-\
21c0468229f7"],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[{{{}, {{}, 
         {GrayLevel[0], PointSize[0.011000000000000001`], AbsoluteThickness[
          1.6], 
          StyleBox[{PointBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQDQUO3G6qpUyzXtlDuBwOIUHqCzo3PIXyBRwu73ks
InuSzwHCF3GYK7h078FwUShfAirPeQDCl3Eozpj4tsb++X4IX8Hhxc01v2Le
ikPVKznEs5+TDJylDuWrOAAt55COk4Hy1RxqEo1CDbiUoHwNh7/tX25fb2SF
mq/l0HM7gyG/8TPUfToOhy9rp0oqyUHV6zks2mL+45CKNFS9gcP578GPl0qz
QOUNHSbyV5mtrhOG8o0cSidLsIT1wewzdgg10FopHCAC5Zs4PD4+Y/e0CwpQ
vqlDicr0/xPuqUD5Zg6yJ5/aL7n/G+pfc4drYW/0d6vfhvItHOzDozfufwPz
v6XD2TMgIAR1n5XDqcNOazPvweStHRYz7mEVuiIFlbdxUPaqbtbvgbnX1qF9
efgpIxd1BwAy63Qs
             
             "]], {{LineBox[{{2., -3.1467}, {2., 4.8093}}], 
              LineBox[{
               Offset[{1.5, 0}, {2., -3.1467}], 
                Offset[{-1.5, 0}, {2., -3.1467}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2., 4.8093}], 
                Offset[{-1.5, 0}, {2., 4.8093}]}]}, {
              LineBox[{{3., -3.1262}, {3., 4.4818}}], 
              LineBox[{
               Offset[{1.5, 0}, {3., -3.1262}], 
                Offset[{-1.5, 0}, {3., -3.1262}]}], 
              LineBox[{
               Offset[{1.5, 0}, {3., 4.4818}], 
                Offset[{-1.5, 0}, {3., 4.4818}]}]}, {
              LineBox[{{4., 0.09919999999999973}, {4., 7.5972}}], 
              LineBox[{
               Offset[{1.5, 0}, {4., 0.09919999999999973}], 
                Offset[{-1.5, 0}, {4., 0.09919999999999973}]}], 
              LineBox[{
               Offset[{1.5, 0}, {4., 7.5972}], 
                Offset[{-1.5, 0}, {4., 7.5972}]}]}, {
              LineBox[{{5., 1.8317}, {5., 8.8397}}], 
              LineBox[{
               Offset[{1.5, 0}, {5., 1.8317}], 
                Offset[{-1.5, 0}, {5., 1.8317}]}], 
              LineBox[{
               Offset[{1.5, 0}, {5., 8.8397}], 
                Offset[{-1.5, 0}, {5., 8.8397}]}]}, {
              LineBox[{{6., -6.6742}, {6., 0.22780000000000022`}}], 
              LineBox[{
               Offset[{1.5, 0}, {6., -6.6742}], 
                Offset[{-1.5, 0}, {6., -6.6742}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6., 0.22780000000000022`}], 
                Offset[{-1.5, 0}, {6., 0.22780000000000022`}]}]}, {
              LineBox[{{7., -4.1225}, {7., 2.6694999999999998`}}], 
              LineBox[{
               Offset[{1.5, 0}, {7., -4.1225}], 
                Offset[{-1.5, 0}, {7., -4.1225}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7., 2.6694999999999998`}], 
                Offset[{-1.5, 0}, {7., 2.6694999999999998`}]}]}, {
              LineBox[{{8., 2.4938}, {8., 9.4698}}], 
              LineBox[{
               Offset[{1.5, 0}, {8., 2.4938}], 
                Offset[{-1.5, 0}, {8., 2.4938}]}], 
              LineBox[{
               Offset[{1.5, 0}, {8., 9.4698}], 
                Offset[{-1.5, 0}, {8., 9.4698}]}]}, {
              LineBox[{{9., 8.2464}, {9., 15.356399999999999`}}], 
              LineBox[{
               Offset[{1.5, 0}, {9., 8.2464}], 
                Offset[{-1.5, 0}, {9., 8.2464}]}], 
              LineBox[{
               Offset[{1.5, 0}, {9., 15.356399999999999`}], 
                Offset[{-1.5, 0}, {9., 15.356399999999999`}]}]}, {
              LineBox[{{10., 3.3918999999999997`}, {10., 10.7919}}], 
              LineBox[{
               Offset[{1.5, 0}, {10., 3.3918999999999997`}], 
                Offset[{-1.5, 0}, {10., 3.3918999999999997`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {10., 10.7919}], 
                Offset[{-1.5, 0}, {10., 10.7919}]}]}, {
              LineBox[{{11., 5.2179}, {11., 12.8219}}], 
              LineBox[{
               Offset[{1.5, 0}, {11., 5.2179}], 
                Offset[{-1.5, 0}, {11., 5.2179}]}], 
              LineBox[{
               Offset[{1.5, 0}, {11., 12.8219}], 
                Offset[{-1.5, 0}, {11., 12.8219}]}]}, {
              LineBox[{{12., -6.6394}, {12., 1.2626}}], 
              LineBox[{
               Offset[{1.5, 0}, {12., -6.6394}], 
                Offset[{-1.5, 0}, {12., -6.6394}]}], 
              LineBox[{
               Offset[{1.5, 0}, {12., 1.2626}], 
                Offset[{-1.5, 0}, {12., 1.2626}]}]}, {
              LineBox[{{13., -2.8589}, {13., 5.2971}}], 
              LineBox[{
               Offset[{1.5, 0}, {13., -2.8589}], 
                Offset[{-1.5, 0}, {13., -2.8589}]}], 
              LineBox[{
               Offset[{1.5, 0}, {13., 5.2971}], 
                Offset[{-1.5, 0}, {13., 5.2971}]}]}, {
              LineBox[{{14., 3.3103}, {14., 11.7563}}], 
              LineBox[{
               Offset[{1.5, 0}, {14., 3.3103}], 
                Offset[{-1.5, 0}, {14., 3.3103}]}], 
              LineBox[{
               Offset[{1.5, 0}, {14., 11.7563}], 
                Offset[{-1.5, 0}, {14., 11.7563}]}]}, {
              LineBox[{{15., -11.1449}, {15., -2.4269}}], 
              LineBox[{
               Offset[{1.5, 0}, {15., -11.1449}], 
                Offset[{-1.5, 0}, {15., -11.1449}]}], 
              LineBox[{
               Offset[{1.5, 0}, {15., -2.4269}], 
                Offset[{-1.5, 0}, {15., -2.4269}]}]}, {
              LineBox[{{16., -1.9895}, {16., 7.016500000000001}}], 
              LineBox[{
               Offset[{1.5, 0}, {16., -1.9895}], 
                Offset[{-1.5, 0}, {16., -1.9895}]}], 
              LineBox[{
               Offset[{1.5, 0}, {16., 7.016500000000001}], 
                Offset[{-1.5, 0}, {16., 7.016500000000001}]}]}, {
              LineBox[{{17., 0.22270000000000056`}, {17., 9.5247}}], 
              LineBox[{
               Offset[{1.5, 0}, {17., 0.22270000000000056`}], 
                Offset[{-1.5, 0}, {17., 0.22270000000000056`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {17., 9.5247}], 
                Offset[{-1.5, 0}, {17., 9.5247}]}]}, {
              LineBox[{{18., 4.48}, {18., 14.076}}], 
              LineBox[{
               Offset[{1.5, 0}, {18., 4.48}], 
                Offset[{-1.5, 0}, {18., 4.48}]}], 
              LineBox[{
               Offset[{1.5, 0}, {18., 14.076}], 
                Offset[{-1.5, 0}, {18., 14.076}]}]}, {
              LineBox[{{19., 0.12519999999999953`}, {19., 10.0312}}], 
              LineBox[{
               Offset[{1.5, 0}, {19., 0.12519999999999953`}], 
                Offset[{-1.5, 0}, {19., 0.12519999999999953`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {19., 10.0312}], 
                Offset[{-1.5, 0}, {19., 10.0312}]}]}, {
              LineBox[{{20., 3.306400000000001}, {20., 13.508400000000002`}}],
               LineBox[{
               Offset[{1.5, 0}, {20., 3.306400000000001}], 
                Offset[{-1.5, 0}, {20., 3.306400000000001}]}], 
              LineBox[{
               Offset[{1.5, 0}, {20., 13.508400000000002`}], 
                Offset[{-1.5, 0}, {20., 13.508400000000002`}]}]}, {
              LineBox[{{21., 5.170699999999999}, {21., 15.698699999999999`}}],
               LineBox[{
               Offset[{1.5, 0}, {21., 5.170699999999999}], 
                Offset[{-1.5, 0}, {21., 5.170699999999999}]}], 
              LineBox[{
               Offset[{1.5, 0}, {21., 15.698699999999999`}], 
                Offset[{-1.5, 0}, {21., 15.698699999999999`}]}]}, {
              LineBox[{{22., -7.1541}, {22., 3.6699}}], 
              LineBox[{
               Offset[{1.5, 0}, {22., -7.1541}], 
                Offset[{-1.5, 0}, {22., -7.1541}]}], 
              LineBox[{
               Offset[{1.5, 0}, {22., 3.6699}], 
                Offset[{-1.5, 0}, {22., 3.6699}]}]}, {
              LineBox[{{23., -6.008299999999999}, {23., 5.1597}}], 
              LineBox[{
               Offset[{1.5, 0}, {23., -6.008299999999999}], 
                Offset[{-1.5, 0}, {23., -6.008299999999999}]}], 
              LineBox[{
               Offset[{1.5, 0}, {23., 5.1597}], 
                Offset[{-1.5, 0}, {23., 5.1597}]}]}, {
              LineBox[{{24., 0.24619999999999997`}, {24., 11.7162}}], 
              LineBox[{
               Offset[{1.5, 0}, {24., 0.24619999999999997`}], 
                Offset[{-1.5, 0}, {24., 0.24619999999999997`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {24., 11.7162}], 
                Offset[{-1.5, 0}, {24., 11.7162}]}]}, {
              LineBox[{{25., -10.615}, {25., 1.2149999999999999`}}], 
              LineBox[{
               Offset[{1.5, 0}, {25., -10.615}], 
                Offset[{-1.5, 0}, {25., -10.615}]}], 
              LineBox[{
               Offset[{1.5, 0}, {25., 1.2149999999999999`}], 
                Offset[{-1.5, 0}, {25., 1.2149999999999999`}]}]}, {
              LineBox[{{26., -0.10780000000000012`}, {26., 
               12.042200000000001`}}], 
              LineBox[{
               Offset[{1.5, 0}, {26., -0.10780000000000012`}], 
                Offset[{-1.5, 0}, {26., -0.10780000000000012`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {26., 12.042200000000001`}], 
                Offset[{-1.5, 0}, {26., 12.042200000000001`}]}]}, {
              LineBox[{{27., -12.973099999999999`}, {
               27., -0.4410999999999996}}], 
              LineBox[{
               Offset[{1.5, 0}, {27., -12.973099999999999`}], 
                Offset[{-1.5, 0}, {27., -12.973099999999999`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {27., -0.4410999999999996}], 
                Offset[{-1.5, 0}, {27., -0.4410999999999996}]}]}, {
              LineBox[{{28., -1.5541}, {28., 11.3279}}], 
              LineBox[{
               Offset[{1.5, 0}, {28., -1.5541}], 
                Offset[{-1.5, 0}, {28., -1.5541}]}], 
              LineBox[{
               Offset[{1.5, 0}, {28., 11.3279}], 
                Offset[{-1.5, 0}, {28., 11.3279}]}]}, {
              LineBox[{{29., 4.9812}, {29., 18.2852}}], 
              LineBox[{
               Offset[{1.5, 0}, {29., 4.9812}], 
                Offset[{-1.5, 0}, {29., 4.9812}]}], 
              LineBox[{
               Offset[{1.5, 0}, {29., 18.2852}], 
                Offset[{-1.5, 0}, {29., 18.2852}]}]}}},
           FontSize->12]}, 
         {GrayLevel[0], PointSize[0.011000000000000001`], AbsoluteThickness[
          1.6], 
          StyleBox[{PointBox[CompressedData["
1:eJwtkwsslWEYx8/OsCY1Oy4zmVtYJWvFmePWeRCnXHcoTEJnmEyUKBSFkMsh
dFyOWzRZJpnJzKze6Wa6zIwsVi3NTEiSitJ63/fxbt/37fd93/s8z///PK+F
IjkoVigQCDzoxZ6RA8d0hNMyeOHrWOQePSutWLoiFZsGw4/N8fR5G1Nyt/6p
eXdmOHTJPmXqd7mQ8qG1PRGr0SDKIyMtE0dIq1ff6mZnDHjTx3i6jGjlqDxL
4uPBLH9B3v/BnrBdMutEeEK3lbeKQTfMqXd4JhkGU6uMNA7LIY6t0fMQHuPy
MVDzJKjr6HpwAa4m0D/IKTg79+feSlkaWHSnxFdkhULHypi/IukSSMW08lIZ
BPWb5i/4Z0AyK8jCjBx4b6WVY3cZ/JicE77kH5OxIwt4nSbBRGhbaPhuMRto
9pCdS4FYX9w16DShFURJSQQTGJID3IdIPWBpdLxzQVmTJMozd4aXLTSQOA9Y
eUZWEoieHbWctr4OPM5pEelpXG5/bpAPzIbEUH9Cs9j1aBbA9Hp2wmBDGOG+
rRUAk6ucjCJc12whTN4556ZdGIn1T9yA3WxDZyjZoNtSnxVhP+JkhPv1sBgy
5m0ObuvUB3ozCW8rgb2scIk3+qgqhWqafm5XALB0XvlKeP2KLhMZ6kwrA+rC
m1/BtmDPVmw5vi93J9z/fTexnxJ/gn27CV+ZHcLjyMYVwOegXU4W5bQBlRVw
25hW/vYosnYl6LOBGZcg51ZCgIJ23sGS8Pcbldg3+U8p55Qq4NM3OvWY85cq
4D6o7IibNnVGcQvnJMQTeWqLbXyQg1TwO/hzW71DIPKICvUs+6FfHtXYb6U3
8kA16tZzRT5UA73DFx81Gxsid9QAt7fBAPNY1kITbauvoyHqVtduzbsengdR
Hca/b4FcXIf9+ytBFqqBnyPRFmeq8Xw0uSJ/VwMPd8aVcFsS6tFv5/3IM/Xw
jaUv2uLwBoyXsh15rAHncF2E7NMI1A36gwA4DzXiHPRZ4XfnJnDigjWQe5og
ix8oB8LPuW4z8rwb+Q/je/Xp
             
             "]], {{LineBox[{{47.711, 1.3130000000000002`}, {47.711, 
               0.02300000000000002}}], 
              LineBox[{
               Offset[{1.5, 0}, {47.711, 1.3130000000000002`}], 
                Offset[{-1.5, 0}, {47.711, 1.3130000000000002`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {47.711, 0.02300000000000002}], 
                Offset[{-1.5, 0}, {47.711, 0.02300000000000002}]}]}, {
              LineBox[{{76.472, -6.697}, {76.472, -8.379}}], 
              LineBox[{
               Offset[{1.5, 0}, {76.472, -6.697}], 
                Offset[{-1.5, 0}, {76.472, -6.697}]}], 
              LineBox[{
               Offset[{1.5, 0}, {76.472, -8.379}], 
                Offset[{-1.5, 0}, {76.472, -8.379}]}]}, {
              LineBox[{{105.917, -26.515}, {105.917, -28.845}}], 
              LineBox[{
               Offset[{1.5, 0}, {105.917, -26.515}], 
                Offset[{-1.5, 0}, {105.917, -26.515}]}], 
              LineBox[{
               Offset[{1.5, 0}, {105.917, -28.845}], 
                Offset[{-1.5, 0}, {105.917, -28.845}]}]}, {
              LineBox[{{135.605, -40.244}, {135.605, -43.093999999999994`}}], 
              LineBox[{
               Offset[{1.5, 0}, {135.605, -40.244}], 
                Offset[{-1.5, 0}, {135.605, -40.244}]}], 
              LineBox[{
               Offset[{1.5, 0}, {135.605, -43.093999999999994`}], 
                Offset[{-1.5, 0}, {135.605, -43.093999999999994`}]}]}, {
              LineBox[{{165.406, -45.440000000000005`}, {165.406, -48.448}}], 
              LineBox[{
               Offset[{1.5, 0}, {165.406, -45.440000000000005`}], 
                Offset[{-1.5, 0}, {165.406, -45.440000000000005`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {165.406, -48.448}], 
                Offset[{-1.5, 0}, {165.406, -48.448}]}]}, {
              LineBox[{{195.267, -18.39}, {195.267, -21.35}}], 
              LineBox[{
               Offset[{1.5, 0}, {195.267, -18.39}], 
                Offset[{-1.5, 0}, {195.267, -18.39}]}], 
              LineBox[{
               Offset[{1.5, 0}, {195.267, -21.35}], 
                Offset[{-1.5, 0}, {195.267, -21.35}]}]}, {
              LineBox[{{225.165, 23.254}, {225.165, 20.016000000000002`}}], 
              LineBox[{
               Offset[{1.5, 0}, {225.165, 23.254}], 
                Offset[{-1.5, 0}, {225.165, 23.254}]}], 
              LineBox[{
               Offset[{1.5, 0}, {225.165, 20.016000000000002`}], 
                Offset[{-1.5, 0}, {225.165, 20.016000000000002`}]}]}, {
              LineBox[{{255.087, 70.97}, {255.087, 66.96799999999999}}], 
              LineBox[{
               Offset[{1.5, 0}, {255.087, 70.97}], 
                Offset[{-1.5, 0}, {255.087, 70.97}]}], 
              LineBox[{
               Offset[{1.5, 0}, {255.087, 66.96799999999999}], 
                Offset[{-1.5, 0}, {255.087, 66.96799999999999}]}]}, {
              LineBox[{{285.025, 110.458}, {285.025, 105.708}}], 
              LineBox[{
               Offset[{1.5, 0}, {285.025, 110.458}], 
                Offset[{-1.5, 0}, {285.025, 110.458}]}], 
              LineBox[{
               Offset[{1.5, 0}, {285.025, 105.708}], 
                Offset[{-1.5, 0}, {285.025, 105.708}]}]}, {
              LineBox[{{314.975, 121.521}, {314.975, 116.497}}], 
              LineBox[{
               Offset[{1.5, 0}, {314.975, 121.521}], 
                Offset[{-1.5, 0}, {314.975, 121.521}]}], 
              LineBox[{
               Offset[{1.5, 0}, {314.975, 116.497}], 
                Offset[{-1.5, 0}, {314.975, 116.497}]}]}, {
              LineBox[{{344.934, 96.33500000000001}, {344.934, 91.589}}], 
              LineBox[{
               Offset[{1.5, 0}, {344.934, 96.33500000000001}], 
                Offset[{-1.5, 0}, {344.934, 96.33500000000001}]}], 
              LineBox[{
               Offset[{1.5, 0}, {344.934, 91.589}], 
                Offset[{-1.5, 0}, {344.934, 91.589}]}]}, {
              LineBox[{{374.899, 49.202}, {374.899, 44.989999999999995`}}], 
              LineBox[{
               Offset[{1.5, 0}, {374.899, 49.202}], 
                Offset[{-1.5, 0}, {374.899, 49.202}]}], 
              LineBox[{
               Offset[{1.5, 0}, {374.899, 44.989999999999995`}], 
                Offset[{-1.5, 0}, {374.899, 44.989999999999995`}]}]}, {
              LineBox[{{404.87, -5.854}, {404.87, -9.712}}], 
              LineBox[{
               Offset[{1.5, 0}, {404.87, -5.854}], 
                Offset[{-1.5, 0}, {404.87, -5.854}]}], 
              LineBox[{
               Offset[{1.5, 0}, {404.87, -9.712}], 
                Offset[{-1.5, 0}, {404.87, -9.712}]}]}, {
              LineBox[{{434.844, -52.765}, {434.844, -56.569}}], 
              LineBox[{
               Offset[{1.5, 0}, {434.844, -52.765}], 
                Offset[{-1.5, 0}, {434.844, -52.765}]}], 
              LineBox[{
               Offset[{1.5, 0}, {434.844, -56.569}], 
                Offset[{-1.5, 0}, {434.844, -56.569}]}]}, {
              LineBox[{{464.822, -74.557}, {464.822, -78.349}}], 
              LineBox[{
               Offset[{1.5, 0}, {464.822, -74.557}], 
                Offset[{-1.5, 0}, {464.822, -74.557}]}], 
              LineBox[{
               Offset[{1.5, 0}, {464.822, -78.349}], 
                Offset[{-1.5, 0}, {464.822, -78.349}]}]}, {
              LineBox[{{494.803, -62.026999999999994`}, {
               494.803, -65.67699999999999}}], 
              LineBox[{
               Offset[{1.5, 0}, {494.803, -62.026999999999994`}], 
                Offset[{-1.5, 0}, {494.803, -62.026999999999994`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {494.803, -65.67699999999999}], 
                Offset[{-1.5, 0}, {494.803, -65.67699999999999}]}]}, {
              LineBox[{{524.785, -29.674}, {524.785, -33.07}}], 
              LineBox[{
               Offset[{1.5, 0}, {524.785, -29.674}], 
                Offset[{-1.5, 0}, {524.785, -29.674}]}], 
              LineBox[{
               Offset[{1.5, 0}, {524.785, -33.07}], 
                Offset[{-1.5, 0}, {524.785, -33.07}]}]}, {
              LineBox[{{554.77, 6.6339999999999995`}, {554.77, 3.05}}], 
              LineBox[{
               Offset[{1.5, 0}, {554.77, 6.6339999999999995`}], 
                Offset[{-1.5, 0}, {554.77, 6.6339999999999995`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {554.77, 3.05}], 
                Offset[{-1.5, 0}, {554.77, 3.05}]}]}, {
              LineBox[{{584.756, 28.087999999999997`}, {584.756, 24.166}}], 
              LineBox[{
               Offset[{1.5, 0}, {584.756, 28.087999999999997`}], 
                Offset[{-1.5, 0}, {584.756, 28.087999999999997`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {584.756, 24.166}], 
                Offset[{-1.5, 0}, {584.756, 24.166}]}]}, {
              LineBox[{{614.744, 26.232}, {614.744, 22.049999999999997`}}], 
              LineBox[{
               Offset[{1.5, 0}, {614.744, 26.232}], 
                Offset[{-1.5, 0}, {614.744, 26.232}]}], 
              LineBox[{
               Offset[{1.5, 0}, {614.744, 22.049999999999997`}], 
                Offset[{-1.5, 0}, {614.744, 22.049999999999997`}]}]}, {
              LineBox[{{644.732, -2.428}, {644.732, -6.762}}], 
              LineBox[{
               Offset[{1.5, 0}, {644.732, -2.428}], 
                Offset[{-1.5, 0}, {644.732, -2.428}]}], 
              LineBox[{
               Offset[{1.5, 0}, {644.732, -6.762}], 
                Offset[{-1.5, 0}, {644.732, -6.762}]}]}, {
              LineBox[{{674.722, -56.436}, {674.722, -60.93}}], 
              LineBox[{
               Offset[{1.5, 0}, {674.722, -56.436}], 
                Offset[{-1.5, 0}, {674.722, -56.436}]}], 
              LineBox[{
               Offset[{1.5, 0}, {674.722, -60.93}], 
                Offset[{-1.5, 0}, {674.722, -60.93}]}]}, {
              LineBox[{{704.712, -96.093}, {704.712, -100.80499999999999`}}], 
              LineBox[{
               Offset[{1.5, 0}, {704.712, -96.093}], 
                Offset[{-1.5, 0}, {704.712, -96.093}]}], 
              LineBox[{
               Offset[{1.5, 0}, {704.712, -100.80499999999999`}], 
                Offset[{-1.5, 0}, {704.712, -100.80499999999999`}]}]}, {
              LineBox[{{734.704, -124.928}, {734.704, -129.808}}], 
              LineBox[{
               Offset[{1.5, 0}, {734.704, -124.928}], 
                Offset[{-1.5, 0}, {734.704, -124.928}]}], 
              LineBox[{
               Offset[{1.5, 0}, {734.704, -129.808}], 
                Offset[{-1.5, 0}, {734.704, -129.808}]}]}, {
              LineBox[{{764.696, -119.669}, {764.696, -124.551}}], 
              LineBox[{
               Offset[{1.5, 0}, {764.696, -119.669}], 
                Offset[{-1.5, 0}, {764.696, -119.669}]}], 
              LineBox[{
               Offset[{1.5, 0}, {764.696, -124.551}], 
                Offset[{-1.5, 0}, {764.696, -124.551}]}]}, {
              LineBox[{{794.688, -92.315}, {794.688, -97.07300000000001}}], 
              LineBox[{
               Offset[{1.5, 0}, {794.688, -92.315}], 
                Offset[{-1.5, 0}, {794.688, -92.315}]}], 
              LineBox[{
               Offset[{1.5, 0}, {794.688, -97.07300000000001}], 
                Offset[{-1.5, 0}, {794.688, -97.07300000000001}]}]}, {
              LineBox[{{824.682, -44.477000000000004`}, {824.682, -49.131}}], 
              LineBox[{
               Offset[{1.5, 0}, {824.682, -44.477000000000004`}], 
                Offset[{-1.5, 0}, {824.682, -44.477000000000004`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {824.682, -49.131}], 
                Offset[{-1.5, 0}, {824.682, -49.131}]}]}, {
              LineBox[{{854.675, 7.5}, {854.675, 2.8360000000000003`}}], 
              LineBox[{
               Offset[{1.5, 0}, {854.675, 7.5}], 
                Offset[{-1.5, 0}, {854.675, 7.5}]}], 
              LineBox[{
               Offset[{1.5, 0}, {854.675, 2.8360000000000003`}], 
                Offset[{-1.5, 0}, {854.675, 2.8360000000000003`}]}]}, {
              LineBox[{{884.669, 46.804}, {884.669, 42.086}}], 
              LineBox[{
               Offset[{1.5, 0}, {884.669, 46.804}], 
                Offset[{-1.5, 0}, {884.669, 46.804}]}], 
              LineBox[{
               Offset[{1.5, 0}, {884.669, 42.086}], 
                Offset[{-1.5, 0}, {884.669, 42.086}]}]}, {
              LineBox[{{914.664, 62.562000000000005`}, {914.664, 57.874}}], 
              LineBox[{
               Offset[{1.5, 0}, {914.664, 62.562000000000005`}], 
                Offset[{-1.5, 0}, {914.664, 62.562000000000005`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {914.664, 57.874}], 
                Offset[{-1.5, 0}, {914.664, 57.874}]}]}, {
              LineBox[{{944.659, 48.49}, {944.659, 43.96}}], 
              LineBox[{
               Offset[{1.5, 0}, {944.659, 48.49}], 
                Offset[{-1.5, 0}, {944.659, 48.49}]}], 
              LineBox[{
               Offset[{1.5, 0}, {944.659, 43.96}], 
                Offset[{-1.5, 0}, {944.659, 43.96}]}]}, {
              LineBox[{{974.654, 15.836}, {974.654, 11.491999999999999`}}], 
              LineBox[{
               Offset[{1.5, 0}, {974.654, 15.836}], 
                Offset[{-1.5, 0}, {974.654, 15.836}]}], 
              LineBox[{
               Offset[{1.5, 0}, {974.654, 11.491999999999999`}], 
                Offset[{-1.5, 0}, {974.654, 11.491999999999999`}]}]}, {
              LineBox[{{1004.65, -32.85}, {1004.65, -37.388}}], 
              LineBox[{
               Offset[{1.5, 0}, {1004.65, -32.85}], 
                Offset[{-1.5, 0}, {1004.65, -32.85}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1004.65, -37.388}], 
                Offset[{-1.5, 0}, {1004.65, -37.388}]}]}, {
              LineBox[{{1034.65, -56.080000000000005`}, {1034.65, -60.808}}], 
              LineBox[{
               Offset[{1.5, 0}, {1034.65, -56.080000000000005`}], 
                Offset[{-1.5, 0}, {1034.65, -56.080000000000005`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1034.65, -60.808}], 
                Offset[{-1.5, 0}, {1034.65, -60.808}]}]}, {
              LineBox[{{1064.64, -77.602}, {1064.64, -82.47200000000001}}], 
              LineBox[{
               Offset[{1.5, 0}, {1064.64, -77.602}], 
                Offset[{-1.5, 0}, {1064.64, -77.602}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1064.64, -82.47200000000001}], 
                Offset[{-1.5, 0}, {1064.64, -82.47200000000001}]}]}, {
              LineBox[{{1094.64, -68.11099999999999}, {1094.64, -73.119}}], 
              LineBox[{
               Offset[{1.5, 0}, {1094.64, -68.11099999999999}], 
                Offset[{-1.5, 0}, {1094.64, -68.11099999999999}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1094.64, -73.119}], 
                Offset[{-1.5, 0}, {1094.64, -73.119}]}]}, {
              LineBox[{{1124.63, -47.119}, {1124.63, -52.227000000000004`}}], 
              LineBox[{
               Offset[{1.5, 0}, {1124.63, -47.119}], 
                Offset[{-1.5, 0}, {1124.63, -47.119}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1124.63, -52.227000000000004`}], 
                Offset[{-1.5, 0}, {1124.63, -52.227000000000004`}]}]}, {
              LineBox[{{1154.63, -22.244999999999997`}, {1154.63, -27.415}}], 
              LineBox[{
               Offset[{1.5, 0}, {1154.63, -22.244999999999997`}], 
                Offset[{-1.5, 0}, {1154.63, -22.244999999999997`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1154.63, -27.415}], 
                Offset[{-1.5, 0}, {1154.63, -27.415}]}]}, {
              LineBox[{{1184.63, -6.51}, {1184.63, -11.694}}], 
              LineBox[{
               Offset[{1.5, 0}, {1184.63, -6.51}], 
                Offset[{-1.5, 0}, {1184.63, -6.51}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1184.63, -11.694}], 
                Offset[{-1.5, 0}, {1184.63, -11.694}]}]}, {
              LineBox[{{1214.62, 3.967}, {1214.62, -1.177}}], 
              LineBox[{
               Offset[{1.5, 0}, {1214.62, 3.967}], 
                Offset[{-1.5, 0}, {1214.62, 3.967}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1214.62, -1.177}], 
                Offset[{-1.5, 0}, {1214.62, -1.177}]}]}, {
              LineBox[{{1244.62, 2.12}, {1244.62, -2.958}}], 
              LineBox[{
               Offset[{1.5, 0}, {1244.62, 2.12}], 
                Offset[{-1.5, 0}, {1244.62, 2.12}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1244.62, -2.958}], 
                Offset[{-1.5, 0}, {1244.62, -2.958}]}]}, {
              LineBox[{{1274.62, -12.265}, {1274.62, -17.319}}], 
              LineBox[{
               Offset[{1.5, 0}, {1274.62, -12.265}], 
                Offset[{-1.5, 0}, {1274.62, -12.265}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1274.62, -17.319}], 
                Offset[{-1.5, 0}, {1274.62, -17.319}]}]}, {
              LineBox[{{1304.61, -36.105999999999995`}, {1304.61, -41.244}}], 
              LineBox[{
               Offset[{1.5, 0}, {1304.61, -36.105999999999995`}], 
                Offset[{-1.5, 0}, {1304.61, -36.105999999999995`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1304.61, -41.244}], 
                Offset[{-1.5, 0}, {1304.61, -41.244}]}]}, {
              LineBox[{{1334.61, -49.626999999999995`}, {1334.61, -54.973}}], 
              LineBox[{
               Offset[{1.5, 0}, {1334.61, -49.626999999999995`}], 
                Offset[{-1.5, 0}, {1334.61, -49.626999999999995`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1334.61, -54.973}], 
                Offset[{-1.5, 0}, {1334.61, -54.973}]}]}, {
              LineBox[{{1364.61, -59.597}, {1364.61, -65.225}}], 
              LineBox[{
               Offset[{1.5, 0}, {1364.61, -59.597}], 
                Offset[{-1.5, 0}, {1364.61, -59.597}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1364.61, -65.225}], 
                Offset[{-1.5, 0}, {1364.61, -65.225}]}]}, {
              LineBox[{{1394.61, -54.91}, {1394.61, -60.828}}], 
              LineBox[{
               Offset[{1.5, 0}, {1394.61, -54.91}], 
                Offset[{-1.5, 0}, {1394.61, -54.91}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1394.61, -60.828}], 
                Offset[{-1.5, 0}, {1394.61, -60.828}]}]}, {
              LineBox[{{1424.6, -42.019999999999996`}, {1424.6, -48.184}}], 
              LineBox[{
               Offset[{1.5, 0}, {1424.6, -42.019999999999996`}], 
                Offset[{-1.5, 0}, {1424.6, -42.019999999999996`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1424.6, -48.184}], 
                Offset[{-1.5, 0}, {1424.6, -48.184}]}]}, {
              LineBox[{{1454.6, -24.907}, {1454.6, -31.243}}], 
              LineBox[{
               Offset[{1.5, 0}, {1454.6, -24.907}], 
                Offset[{-1.5, 0}, {1454.6, -24.907}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1454.6, -31.243}], 
                Offset[{-1.5, 0}, {1454.6, -31.243}]}]}, {
              LineBox[{{1484.6, -2.3129999999999997`}, {1484.6, -8.739}}], 
              LineBox[{
               Offset[{1.5, 0}, {1484.6, -2.3129999999999997`}], 
                Offset[{-1.5, 0}, {1484.6, -2.3129999999999997`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1484.6, -8.739}], 
                Offset[{-1.5, 0}, {1484.6, -8.739}]}]}, {
              LineBox[{{1514.6, 8.628}, {1514.6, 2.1779999999999995`}}], 
              LineBox[{
               Offset[{1.5, 0}, {1514.6, 8.628}], 
                Offset[{-1.5, 0}, {1514.6, 8.628}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1514.6, 2.1779999999999995`}], 
                Offset[{-1.5, 0}, {1514.6, 2.1779999999999995`}]}]}, {
              LineBox[{{1544.6, 8.778}, {1544.6, 2.33}}], 
              LineBox[{
               Offset[{1.5, 0}, {1544.6, 8.778}], 
                Offset[{-1.5, 0}, {1544.6, 8.778}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1544.6, 2.33}], 
                Offset[{-1.5, 0}, {1544.6, 2.33}]}]}, {
              LineBox[{{1574.59, -1.6290000000000004`}, {1574.59, -8.107}}], 
              LineBox[{
               Offset[{1.5, 0}, {1574.59, -1.6290000000000004`}], 
                Offset[{-1.5, 0}, {1574.59, -1.6290000000000004`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1574.59, -8.107}], 
                Offset[{-1.5, 0}, {1574.59, -8.107}]}]}, {
              LineBox[{{1604.59, -5.536}, {1604.59, -12.139999999999999`}}], 
              LineBox[{
               Offset[{1.5, 0}, {1604.59, -5.536}], 
                Offset[{-1.5, 0}, {1604.59, -5.536}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1604.59, -12.139999999999999`}], 
                Offset[{-1.5, 0}, {1604.59, -12.139999999999999`}]}]}, {
              LineBox[{{1634.59, -21.559}, {1634.59, -28.413}}], 
              LineBox[{
               Offset[{1.5, 0}, {1634.59, -21.559}], 
                Offset[{-1.5, 0}, {1634.59, -21.559}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1634.59, -28.413}], 
                Offset[{-1.5, 0}, {1634.59, -28.413}]}]}, {
              LineBox[{{1664.59, -20.461}, {1664.59, -27.685000000000002`}}], 
              LineBox[{
               Offset[{1.5, 0}, {1664.59, -20.461}], 
                Offset[{-1.5, 0}, {1664.59, -20.461}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1664.59, -27.685000000000002`}], 
                Offset[{-1.5, 0}, {1664.59, -27.685000000000002`}]}]}, {
              LineBox[{{1694.59, -24.784000000000002`}, {1694.59, -32.456}}], 
              LineBox[{
               Offset[{1.5, 0}, {1694.59, -24.784000000000002`}], 
                Offset[{-1.5, 0}, {1694.59, -24.784000000000002`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1694.59, -32.456}], 
                Offset[{-1.5, 0}, {1694.59, -32.456}]}]}, {
              LineBox[{{1724.59, -24.337}, {1724.59, -32.487}}], 
              LineBox[{
               Offset[{1.5, 0}, {1724.59, -24.337}], 
                Offset[{-1.5, 0}, {1724.59, -24.337}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1724.59, -32.487}], 
                Offset[{-1.5, 0}, {1724.59, -32.487}]}]}, {
              LineBox[{{1754.58, -9.802}, {1754.58, -18.426000000000002`}}], 
              LineBox[{
               Offset[{1.5, 0}, {1754.58, -9.802}], 
                Offset[{-1.5, 0}, {1754.58, -9.802}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1754.58, -18.426000000000002`}], 
                Offset[{-1.5, 0}, {1754.58, -18.426000000000002`}]}]}, {
              LineBox[{{1784.58, -9.729000000000001}, {
               1784.58, -18.807000000000002`}}], 
              LineBox[{
               Offset[{1.5, 0}, {1784.58, -9.729000000000001}], 
                Offset[{-1.5, 0}, {1784.58, -9.729000000000001}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1784.58, -18.807000000000002`}], 
                Offset[{-1.5, 0}, {1784.58, -18.807000000000002`}]}]}, {
              LineBox[{{1814.58, 1.3309999999999995`}, {1814.58, -8.193}}], 
              LineBox[{
               Offset[{1.5, 0}, {1814.58, 1.3309999999999995`}], 
                Offset[{-1.5, 0}, {1814.58, 1.3309999999999995`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1814.58, -8.193}], 
                Offset[{-1.5, 0}, {1814.58, -8.193}]}]}, {
              LineBox[{{1844.58, 0.25200000000000067`}, {1844.58, -9.74}}], 
              LineBox[{
               Offset[{1.5, 0}, {1844.58, 0.25200000000000067`}], 
                Offset[{-1.5, 0}, {1844.58, 0.25200000000000067`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1844.58, -9.74}], 
                Offset[{-1.5, 0}, {1844.58, -9.74}]}]}, {
              LineBox[{{1874.58, 7.346}, {1874.58, -3.174}}], 
              LineBox[{
               Offset[{1.5, 0}, {1874.58, 7.346}], 
                Offset[{-1.5, 0}, {1874.58, 7.346}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1874.58, -3.174}], 
                Offset[{-1.5, 0}, {1874.58, -3.174}]}]}, {
              LineBox[{{1904.58, -4.7829999999999995`}, {1904.58, -15.929}}], 
              LineBox[{
               Offset[{1.5, 0}, {1904.58, -4.7829999999999995`}], 
                Offset[{-1.5, 0}, {1904.58, -4.7829999999999995`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1904.58, -15.929}], 
                Offset[{-1.5, 0}, {1904.58, -15.929}]}]}, {
              LineBox[{{1934.58, 3.368}, {1934.58, -8.524}}], 
              LineBox[{
               Offset[{1.5, 0}, {1934.58, 3.368}], 
                Offset[{-1.5, 0}, {1934.58, 3.368}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1934.58, -8.524}], 
                Offset[{-1.5, 0}, {1934.58, -8.524}]}]}, {
              LineBox[{{1964.58, -13.908000000000001`}, {1964.58, -26.668}}], 
              LineBox[{
               Offset[{1.5, 0}, {1964.58, -13.908000000000001`}], 
                Offset[{-1.5, 0}, {1964.58, -13.908000000000001`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1964.58, -26.668}], 
                Offset[{-1.5, 0}, {1964.58, -26.668}]}]}, {
              LineBox[{{1988.02, -20.841}, {1988.02, -38.985}}], 
              LineBox[{
               Offset[{1.5, 0}, {1988.02, -20.841}], 
                Offset[{-1.5, 0}, {1988.02, -20.841}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1988.02, -38.985}], 
                Offset[{-1.5, 0}, {1988.02, -38.985}]}]}}},
           FontSize->12]}, {}}, {}, {}, {}, {}}, {{}, {{}, {}, 
         {RGBColor[1, 0, 0], PointSize[0.002777777777777778], 
          AbsoluteThickness[1.6], 
          StyleBox[LineBox[CompressedData["
1:eJw83XlcTF/cB/CRIhShlIRKEkIo2uTTKkRJJQlFu7Sv2qZ9r2maZqZs2bNE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            "]],
           FontSize->12]}, 
         {RGBColor[0, 0, 1], PointSize[0.002777777777777778], 
          AbsoluteThickness[1.6], 
          StyleBox[LineBox[CompressedData["
1:eJw83HlcTF/4B/BSqEQhiVJJJYQoxLf4UFREpSJJkiJE+16a9mmfZmsmSVKE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            "]],
           FontSize->12]}}, {}, {}, {}, {}}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0, 0},
      BaseStyle->(FontSize -> 12),
      DisplayFunction->Identity,
      Frame->{{True, True}, {True, True}},
      FrameLabel->{
        FormBox["\"l\"", TraditionalForm], 
        FormBox[
        "\"\\!\\(\\*FractionBox[\\(l \\((l + 1)\\)\\), \\(2  \
\[Pi]\\)]\\)\\!\\(\\*SuperscriptBox[SubscriptBox[\\(C\\), \\(l\\)], \\(TE\\)]\
\\) (\[Mu]K\\!\\(\\*SuperscriptBox[\\()\\), \\(2\\)]\\)\"", TraditionalForm]},
      FrameStyle->GrayLevel[0],
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->All,
      ImageSize->350,
      Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Identity[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& )}},
      PlotRange->{{0, 1988.02}, {-127.368, 119.009}},
      PlotRangeClipping->True,
      PlotRangePadding->{{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}},
      Ticks->{Automatic, Automatic}], {193.32328936303585, -113.56374543279317},
      ImageScaled[{0.5, 0.5}], {363.2581833411064, 216.3118960624632}, {{1., 
     0.}, {0., 1.}}], InsetBox[
     GraphicsBox[{{{}, {{}, 
         {GrayLevel[0], PointSize[0.011000000000000001`], AbsoluteThickness[
          1.6], 
          StyleBox[{PointBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQ/d7y1z8nvWf23G6qpUyzXtlzM6+tejX5o31IkPqC
zg1P7SHy3+wv73ksInuSz8G49+13xwM/7ecKLt17MFzUgUlB6xf36j9Qec4D
4VFG64qU/tsXZ0x8W2P/fH/xamv7TYsYHF7cXPMr5q24A8R8Rod49nOSgbPU
HcRCt+7emM3kALScQzpOxsHHvH77Yz1mh5pEo1ADLiWH2nmX94g9ZHb42/7l
9vVG1gOBPYbaLK0sDj23MxjyGz/bL999XeyUDKvD4cvaqZJKcg7yHr6WYqtY
HRZtMf9xSEX6AMT9bA7nvwc/XirN4lBV/+tg9io2h4n8VWar64Qd2iZmW1XL
szuUTpZgCetTctDZzMJm1sfuEGqgtVI4QMRh4uPiaqfv7A6Pj8/YPe2CgsPG
dflT9KI5HEpUpv+fcE/F4cRR2/KSXRwOsief2i+5/3v/h80X/9aKcjpcC3uj
v1v99v6fOpNqludwOtiHR2/c/0YcGn6cDmfPgIDQgbNSH15NEeByOHXYaW3m
PXGHCS3MO+7HcjksZtzDKnRF6oCy17RrUSu4HJS9qpv1e4Qd5P+dPW3xgcuh
fXn4KSMXdQcA60rKgg==
             
             "]], {{LineBox[{{0.6931471805599453, -3.1467}, {
               0.6931471805599453, 4.8093}}], 
              LineBox[{
               Offset[{1.5, 0}, {0.6931471805599453, -3.1467}], 
                Offset[{-1.5, 0}, {0.6931471805599453, -3.1467}]}], 
              LineBox[{
               Offset[{1.5, 0}, {0.6931471805599453, 4.8093}], 
                Offset[{-1.5, 0}, {0.6931471805599453, 4.8093}]}]}, {
              LineBox[{{1.0986122886681098`, -3.1262}, {1.0986122886681098`, 
               4.4818}}], 
              LineBox[{
               Offset[{1.5, 0}, {1.0986122886681098`, -3.1262}], 
                Offset[{-1.5, 0}, {1.0986122886681098`, -3.1262}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1.0986122886681098`, 4.4818}], 
                Offset[{-1.5, 0}, {1.0986122886681098`, 4.4818}]}]}, {
              LineBox[{{1.3862943611198906`, 0.09919999999999973}, {
               1.3862943611198906`, 7.5972}}], 
              LineBox[{
               Offset[{1.5, 0}, {1.3862943611198906`, 0.09919999999999973}], 
                Offset[{-1.5, 0}, {1.3862943611198906`, 
                 0.09919999999999973}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1.3862943611198906`, 7.5972}], 
                Offset[{-1.5, 0}, {1.3862943611198906`, 7.5972}]}]}, {
              LineBox[{{1.6094379124341003`, 1.8317}, {1.6094379124341003`, 
               8.8397}}], 
              LineBox[{
               Offset[{1.5, 0}, {1.6094379124341003`, 1.8317}], 
                Offset[{-1.5, 0}, {1.6094379124341003`, 1.8317}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1.6094379124341003`, 8.8397}], 
                Offset[{-1.5, 0}, {1.6094379124341003`, 8.8397}]}]}, {
              LineBox[{{1.791759469228055, -6.6742}, {1.791759469228055, 
               0.22780000000000022`}}], 
              LineBox[{
               Offset[{1.5, 0}, {1.791759469228055, -6.6742}], 
                Offset[{-1.5, 0}, {1.791759469228055, -6.6742}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1.791759469228055, 0.22780000000000022`}], 
                Offset[{-1.5, 0}, {1.791759469228055, 
                 0.22780000000000022`}]}]}, {
              LineBox[{{1.9459101490553132`, -4.1225}, {1.9459101490553132`, 
               2.6694999999999998`}}], 
              LineBox[{
               Offset[{1.5, 0}, {1.9459101490553132`, -4.1225}], 
                Offset[{-1.5, 0}, {1.9459101490553132`, -4.1225}]}], 
              LineBox[{
               Offset[{1.5, 0}, {1.9459101490553132`, 2.6694999999999998`}], 
                Offset[{-1.5, 0}, {1.9459101490553132`, 
                 2.6694999999999998`}]}]}, {
              LineBox[{{2.0794415416798357`, 2.4938}, {2.0794415416798357`, 
               9.4698}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.0794415416798357`, 2.4938}], 
                Offset[{-1.5, 0}, {2.0794415416798357`, 2.4938}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.0794415416798357`, 9.4698}], 
                Offset[{-1.5, 0}, {2.0794415416798357`, 9.4698}]}]}, {
              LineBox[{{2.1972245773362196`, 8.2464}, {2.1972245773362196`, 
               15.356399999999999`}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.1972245773362196`, 8.2464}], 
                Offset[{-1.5, 0}, {2.1972245773362196`, 8.2464}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.1972245773362196`, 15.356399999999999`}], 
                Offset[{-1.5, 0}, {2.1972245773362196`, 
                 15.356399999999999`}]}]}, {
              LineBox[{{2.302585092994046, 3.3918999999999997`}, {
               2.302585092994046, 10.7919}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.302585092994046, 3.3918999999999997`}], 
                Offset[{-1.5, 0}, {2.302585092994046, 3.3918999999999997`}]}],
               LineBox[{
               Offset[{1.5, 0}, {2.302585092994046, 10.7919}], 
                Offset[{-1.5, 0}, {2.302585092994046, 10.7919}]}]}, {
              LineBox[{{2.3978952727983707`, 5.2179}, {2.3978952727983707`, 
               12.8219}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.3978952727983707`, 5.2179}], 
                Offset[{-1.5, 0}, {2.3978952727983707`, 5.2179}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.3978952727983707`, 12.8219}], 
                Offset[{-1.5, 0}, {2.3978952727983707`, 12.8219}]}]}, {
              LineBox[{{2.4849066497880004`, -6.6394}, {2.4849066497880004`, 
               1.2626}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.4849066497880004`, -6.6394}], 
                Offset[{-1.5, 0}, {2.4849066497880004`, -6.6394}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.4849066497880004`, 1.2626}], 
                Offset[{-1.5, 0}, {2.4849066497880004`, 1.2626}]}]}, {
              LineBox[{{2.5649493574615367`, -2.8589}, {2.5649493574615367`, 
               5.2971}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.5649493574615367`, -2.8589}], 
                Offset[{-1.5, 0}, {2.5649493574615367`, -2.8589}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.5649493574615367`, 5.2971}], 
                Offset[{-1.5, 0}, {2.5649493574615367`, 5.2971}]}]}, {
              LineBox[{{2.6390573296152584`, 3.3103}, {2.6390573296152584`, 
               11.7563}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.6390573296152584`, 3.3103}], 
                Offset[{-1.5, 0}, {2.6390573296152584`, 3.3103}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.6390573296152584`, 11.7563}], 
                Offset[{-1.5, 0}, {2.6390573296152584`, 11.7563}]}]}, {
              LineBox[{{2.70805020110221, -11.1449}, {
               2.70805020110221, -2.4269}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.70805020110221, -11.1449}], 
                Offset[{-1.5, 0}, {2.70805020110221, -11.1449}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.70805020110221, -2.4269}], 
                Offset[{-1.5, 0}, {2.70805020110221, -2.4269}]}]}, {
              LineBox[{{2.772588722239781, -1.9895}, {2.772588722239781, 
               7.016500000000001}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.772588722239781, -1.9895}], 
                Offset[{-1.5, 0}, {2.772588722239781, -1.9895}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.772588722239781, 7.016500000000001}], 
                Offset[{-1.5, 0}, {2.772588722239781, 
                 7.016500000000001}]}]}, {
              LineBox[{{2.833213344056216, 0.22270000000000056`}, {
               2.833213344056216, 9.5247}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.833213344056216, 0.22270000000000056`}], 
                Offset[{-1.5, 0}, {2.833213344056216, 
                 0.22270000000000056`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.833213344056216, 9.5247}], 
                Offset[{-1.5, 0}, {2.833213344056216, 9.5247}]}]}, {
              LineBox[{{2.8903717578961645`, 4.48}, {2.8903717578961645`, 
               14.076}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.8903717578961645`, 4.48}], 
                Offset[{-1.5, 0}, {2.8903717578961645`, 4.48}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.8903717578961645`, 14.076}], 
                Offset[{-1.5, 0}, {2.8903717578961645`, 14.076}]}]}, {
              LineBox[{{2.9444389791664403`, 0.12519999999999953`}, {
               2.9444389791664403`, 10.0312}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.9444389791664403`, 0.12519999999999953`}], 
                Offset[{-1.5, 0}, {2.9444389791664403`, 
                 0.12519999999999953`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.9444389791664403`, 10.0312}], 
                Offset[{-1.5, 0}, {2.9444389791664403`, 10.0312}]}]}, {
              LineBox[{{2.995732273553991, 3.306400000000001}, {
               2.995732273553991, 13.508400000000002`}}], 
              LineBox[{
               Offset[{1.5, 0}, {2.995732273553991, 3.306400000000001}], 
                Offset[{-1.5, 0}, {2.995732273553991, 3.306400000000001}]}], 
              LineBox[{
               Offset[{1.5, 0}, {2.995732273553991, 13.508400000000002`}], 
                Offset[{-1.5, 0}, {2.995732273553991, 
                 13.508400000000002`}]}]}, {
              LineBox[{{3.044522437723423, 5.170699999999999}, {
               3.044522437723423, 15.698699999999999`}}], 
              LineBox[{
               Offset[{1.5, 0}, {3.044522437723423, 5.170699999999999}], 
                Offset[{-1.5, 0}, {3.044522437723423, 5.170699999999999}]}], 
              LineBox[{
               Offset[{1.5, 0}, {3.044522437723423, 15.698699999999999`}], 
                Offset[{-1.5, 0}, {3.044522437723423, 
                 15.698699999999999`}]}]}, {
              LineBox[{{3.091042453358316, -7.1541}, {3.091042453358316, 
               3.6699}}], 
              LineBox[{
               Offset[{1.5, 0}, {3.091042453358316, -7.1541}], 
                Offset[{-1.5, 0}, {3.091042453358316, -7.1541}]}], 
              LineBox[{
               Offset[{1.5, 0}, {3.091042453358316, 3.6699}], 
                Offset[{-1.5, 0}, {3.091042453358316, 3.6699}]}]}, {
              LineBox[{{3.1354942159291497`, -6.008299999999999}, {
               3.1354942159291497`, 5.1597}}], 
              LineBox[{
               Offset[{1.5, 0}, {3.1354942159291497`, -6.008299999999999}], 
                Offset[{-1.5, 0}, {
                 3.1354942159291497`, -6.008299999999999}]}], 
              LineBox[{
               Offset[{1.5, 0}, {3.1354942159291497`, 5.1597}], 
                Offset[{-1.5, 0}, {3.1354942159291497`, 5.1597}]}]}, {
              LineBox[{{3.1780538303479458`, 0.24619999999999997`}, {
               3.1780538303479458`, 11.7162}}], 
              LineBox[{
               Offset[{1.5, 0}, {3.1780538303479458`, 0.24619999999999997`}], 
                Offset[{-1.5, 0}, {3.1780538303479458`, 
                 0.24619999999999997`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {3.1780538303479458`, 11.7162}], 
                Offset[{-1.5, 0}, {3.1780538303479458`, 11.7162}]}]}, {
              LineBox[{{3.2188758248682006`, -10.615}, {3.2188758248682006`, 
               1.2149999999999999`}}], 
              LineBox[{
               Offset[{1.5, 0}, {3.2188758248682006`, -10.615}], 
                Offset[{-1.5, 0}, {3.2188758248682006`, -10.615}]}], 
              LineBox[{
               Offset[{1.5, 0}, {3.2188758248682006`, 1.2149999999999999`}], 
                Offset[{-1.5, 0}, {3.2188758248682006`, 
                 1.2149999999999999`}]}]}, {
              LineBox[{{3.258096538021482, -0.10780000000000012`}, {
               3.258096538021482, 12.042200000000001`}}], 
              LineBox[{
               Offset[{1.5, 0}, {3.258096538021482, -0.10780000000000012`}], 
                Offset[{-1.5, 0}, {
                 3.258096538021482, -0.10780000000000012`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {3.258096538021482, 12.042200000000001`}], 
                Offset[{-1.5, 0}, {3.258096538021482, 
                 12.042200000000001`}]}]}, {
              LineBox[{{3.295836866004329, -12.973099999999999`}, {
               3.295836866004329, -0.4410999999999996}}], 
              LineBox[{
               Offset[{1.5, 0}, {3.295836866004329, -12.973099999999999`}], 
                Offset[{-1.5, 0}, {
                 3.295836866004329, -12.973099999999999`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {3.295836866004329, -0.4410999999999996}], 
                Offset[{-1.5, 0}, {
                 3.295836866004329, -0.4410999999999996}]}]}, {
              LineBox[{{3.332204510175204, -1.5541}, {3.332204510175204, 
               11.3279}}], 
              LineBox[{
               Offset[{1.5, 0}, {3.332204510175204, -1.5541}], 
                Offset[{-1.5, 0}, {3.332204510175204, -1.5541}]}], 
              LineBox[{
               Offset[{1.5, 0}, {3.332204510175204, 11.3279}], 
                Offset[{-1.5, 0}, {3.332204510175204, 11.3279}]}]}, {
              LineBox[{{3.367295829986474, 4.9812}, {3.367295829986474, 
               18.2852}}], 
              LineBox[{
               Offset[{1.5, 0}, {3.367295829986474, 4.9812}], 
                Offset[{-1.5, 0}, {3.367295829986474, 4.9812}]}], 
              LineBox[{
               Offset[{1.5, 0}, {3.367295829986474, 18.2852}], 
                Offset[{-1.5, 0}, {3.367295829986474, 18.2852}]}]}}},
           FontSize->12]}, 
         {GrayLevel[0], PointSize[0.011000000000000001`], AbsoluteThickness[
          1.6], 
          StyleBox[{PointBox[CompressedData["
1:eJwtUw9Q03UUn0MmiSCMMX7b74+OfyFCZTAdDNiDwSYMXZMULdzSgIQIjLM/
KNghAucZcvgHDHcSQrMzRAkiTwVeShAmhkqQQCjSIo5DS0WEzOv3Y7y7733v
3b33Pu/zee/JtmdtSOHzeLwo9nH/g1tyx4EJZ+jUrTkQ+Y5V9VtrWCd/iys8
+a/303FfBoO1d5SlFiHUa0d2i+qVODIbWni0xg2EBXit+tdoZAKdVi/IEoGm
+TGbocV/VRP3HxPusKxwwnBhOAijrmcm951xh6tTfkmlp+Tws7ExrdJfDJd3
HSEWRhggZ9qbCTeL4a1k5V29/duwqOHQ8RK+B3yWzkbgVriZRj+pMHmA7Hz2
jrK8RPgTi/ZYmzxAJTdejP1cC0Xg3mOxIyCLa0i2DLsJ856ueALiOTobdTji
7zDqVEbAqRi2QSoBDZc6w5feJIBF3+Q8qUer7J413kkCdRTbgUmFW6eZidc1
EiibzGUh3CBPadolzZVASUWmsGB5KOgEw5VvnJMA1x7hrYC+j8bk4nsS4NTR
bhNi48vGwVpnKeQfUx/MSFyHQ1YfIlAphcGZvemXzZtxf53v0ECKFDi6Jf0m
fN8wnn77kBT6a3aGLy42ooHOTVc0S8GLS6hLxOF3Z1P8hqS2eaRqsctHLWrh
kZAz7rvKoU4Ezt9FCZZ6k7AiqfTKlEIDL177py1IQ0I5Cz9GrodHkf5pEe+R
0H2dNUoLo+1TtVBMQrH4zo3phJXQWpXXGmchbfxLI/HDqsMuGe2kbZ6KdXjJ
XrOzfoSEB5wc/Dfx7PNpyusFCSyaX9JpA8pDdLk9Egq+lL76u3ffWrRGfmD5
MZgCEbcwvQrM8Y3oeklPwfrtLptDgj3x+wx1Rc0OCjZcYNgNeapKXnu/piqf
grnt6xlokxjLEu0qKWCrCfKPBeJgR2PH7QYKUjnbpMacq9Vmsmve941Dxy+I
qeG7FDxLGP3qRLAe3a8lHfF6Stn4PIxHHS/DftKRts27RIM9+/tco2U0BHHm
FoYWeX/5ytU0NP30cWuVVIz7Uv9a/HUcDXPymt2hKSa2usVIw8mHpzt0a8SQ
/8N0bWY2Pb/vbliu9nzlSuF8/bMy/OSZvevF47Rtfs8VOLuIqNnyDQ2WE+3L
zwsVKBhzWVLbQtvu42QYtuo9Y82/0DBXLi0MlasyGtQjtE3v0AAcqOPPVD2i
4W8O/kAA+v8hWPGtHWOrl+2Iu/cePJcrYoAVz3NwRog3HIqHFvgwwKrBBvDg
aFHLqFrOAHeuMc3eeKatYDg6hoGQOcILUdZr6hZsZCBv7qCCccmtw/yAbfP+
eDj+D1CH1ks=
             
             "]], {{LineBox[{{3.8651619792748226`, 0.668}, {
               3.8651619792748226`, 0.668}}], 
              LineBox[{
               Offset[{0, 1.5}, {3.8651619792748226`, 0.668}], 
                Offset[{0, -1.5}, {3.8651619792748226`, 0.668}]}], 
              LineBox[{
               Offset[{0, 1.5}, {3.8651619792748226`, 0.668}], 
                Offset[{0, -1.5}, {3.8651619792748226`, 0.668}]}], 
              LineBox[{{3.8651619792748226`, 1.3130000000000002`}, {
               3.8651619792748226`, 0.02300000000000002}}], 
              LineBox[{
               Offset[{1.5, 0}, {3.8651619792748226`, 1.3130000000000002`}], 
                Offset[{-1.5, 0}, {3.8651619792748226`, 
                 1.3130000000000002`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {3.8651619792748226`, 0.02300000000000002}], 
                Offset[{-1.5, 0}, {3.8651619792748226`, 
                 0.02300000000000002}]}]}, {
              LineBox[{{4.336924660761461, -7.538}, {
               4.336924660761461, -7.538}}], 
              LineBox[{
               Offset[{0, 1.5}, {4.336924660761461, -7.538}], 
                Offset[{0, -1.5}, {4.336924660761461, -7.538}]}], 
              LineBox[{
               Offset[{0, 1.5}, {4.336924660761461, -7.538}], 
                Offset[{0, -1.5}, {4.336924660761461, -7.538}]}], 
              LineBox[{{4.336924660761461, -6.697}, {
               4.336924660761461, -8.379}}], 
              LineBox[{
               Offset[{1.5, 0}, {4.336924660761461, -6.697}], 
                Offset[{-1.5, 0}, {4.336924660761461, -6.697}]}], 
              LineBox[{
               Offset[{1.5, 0}, {4.336924660761461, -8.379}], 
                Offset[{-1.5, 0}, {4.336924660761461, -8.379}]}]}, {
              LineBox[{{4.662655768524747, -27.68}, {
               4.662655768524747, -27.68}}], 
              LineBox[{
               Offset[{0, 1.5}, {4.662655768524747, -27.68}], 
                Offset[{0, -1.5}, {4.662655768524747, -27.68}]}], 
              LineBox[{
               Offset[{0, 1.5}, {4.662655768524747, -27.68}], 
                Offset[{0, -1.5}, {4.662655768524747, -27.68}]}], 
              LineBox[{{4.662655768524747, -26.515}, {
               4.662655768524747, -28.845}}], 
              LineBox[{
               Offset[{1.5, 0}, {4.662655768524747, -26.515}], 
                Offset[{-1.5, 0}, {4.662655768524747, -26.515}]}], 
              LineBox[{
               Offset[{1.5, 0}, {4.662655768524747, -28.845}], 
                Offset[{-1.5, 0}, {4.662655768524747, -28.845}]}]}, {
              LineBox[{{4.909746247982839, -41.669}, {
               4.909746247982839, -41.669}}], 
              LineBox[{
               Offset[{0, 1.5}, {4.909746247982839, -41.669}], 
                Offset[{0, -1.5}, {4.909746247982839, -41.669}]}], 
              LineBox[{
               Offset[{0, 1.5}, {4.909746247982839, -41.669}], 
                Offset[{0, -1.5}, {4.909746247982839, -41.669}]}], 
              LineBox[{{4.909746247982839, -40.244}, {
               4.909746247982839, -43.093999999999994`}}], 
              LineBox[{
               Offset[{1.5, 0}, {4.909746247982839, -40.244}], 
                Offset[{-1.5, 0}, {4.909746247982839, -40.244}]}], 
              LineBox[{
               Offset[{1.5, 0}, {4.909746247982839, -43.093999999999994`}], 
                Offset[{-1.5, 0}, {
                 4.909746247982839, -43.093999999999994`}]}]}, {
              LineBox[{{5.108403057626928, -46.944}, {
               5.108403057626928, -46.944}}], 
              LineBox[{
               Offset[{0, 1.5}, {5.108403057626928, -46.944}], 
                Offset[{0, -1.5}, {5.108403057626928, -46.944}]}], 
              LineBox[{
               Offset[{0, 1.5}, {5.108403057626928, -46.944}], 
                Offset[{0, -1.5}, {5.108403057626928, -46.944}]}], 
              LineBox[{{5.108403057626928, -45.440000000000005`}, {
               5.108403057626928, -48.448}}], 
              LineBox[{
               Offset[{1.5, 0}, {5.108403057626928, -45.440000000000005`}], 
                Offset[{-1.5, 0}, {
                 5.108403057626928, -45.440000000000005`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {5.108403057626928, -48.448}], 
                Offset[{-1.5, 0}, {5.108403057626928, -48.448}]}]}, {
              LineBox[{{5.2743678527913245`, -19.87}, {
               5.2743678527913245`, -19.87}}], 
              LineBox[{
               Offset[{0, 1.5}, {5.2743678527913245`, -19.87}], 
                Offset[{0, -1.5}, {5.2743678527913245`, -19.87}]}], 
              LineBox[{
               Offset[{0, 1.5}, {5.2743678527913245`, -19.87}], 
                Offset[{0, -1.5}, {5.2743678527913245`, -19.87}]}], 
              LineBox[{{5.2743678527913245`, -18.39}, {
               5.2743678527913245`, -21.35}}], 
              LineBox[{
               Offset[{1.5, 0}, {5.2743678527913245`, -18.39}], 
                Offset[{-1.5, 0}, {5.2743678527913245`, -18.39}]}], 
              LineBox[{
               Offset[{1.5, 0}, {5.2743678527913245`, -21.35}], 
                Offset[{-1.5, 0}, {5.2743678527913245`, -21.35}]}]}, {
              LineBox[{{5.416833466780249, 21.635}, {5.416833466780249, 
               21.635}}], 
              LineBox[{
               Offset[{0, 1.5}, {5.416833466780249, 21.635}], 
                Offset[{0, -1.5}, {5.416833466780249, 21.635}]}], 
              LineBox[{
               Offset[{0, 1.5}, {5.416833466780249, 21.635}], 
                Offset[{0, -1.5}, {5.416833466780249, 21.635}]}], 
              LineBox[{{5.416833466780249, 23.254}, {5.416833466780249, 
               20.016000000000002`}}], 
              LineBox[{
               Offset[{1.5, 0}, {5.416833466780249, 23.254}], 
                Offset[{-1.5, 0}, {5.416833466780249, 23.254}]}], 
              LineBox[{
               Offset[{1.5, 0}, {5.416833466780249, 20.016000000000002`}], 
                Offset[{-1.5, 0}, {5.416833466780249, 
                 20.016000000000002`}]}]}, {
              LineBox[{{5.541604663441556, 68.969}, {5.541604663441556, 
               68.969}}], 
              LineBox[{
               Offset[{0, 1.5}, {5.541604663441556, 68.969}], 
                Offset[{0, -1.5}, {5.541604663441556, 68.969}]}], 
              LineBox[{
               Offset[{0, 1.5}, {5.541604663441556, 68.969}], 
                Offset[{0, -1.5}, {5.541604663441556, 68.969}]}], 
              LineBox[{{5.541604663441556, 70.97}, {5.541604663441556, 
               66.96799999999999}}], 
              LineBox[{
               Offset[{1.5, 0}, {5.541604663441556, 70.97}], 
                Offset[{-1.5, 0}, {5.541604663441556, 70.97}]}], 
              LineBox[{
               Offset[{1.5, 0}, {5.541604663441556, 66.96799999999999}], 
                Offset[{-1.5, 0}, {5.541604663441556, 
                 66.96799999999999}]}]}, {
              LineBox[{{5.6525768957197835`, 108.083}, {5.6525768957197835`, 
               108.083}}], 
              LineBox[{
               Offset[{0, 1.5}, {5.6525768957197835`, 108.083}], 
                Offset[{0, -1.5}, {5.6525768957197835`, 108.083}]}], 
              LineBox[{
               Offset[{0, 1.5}, {5.6525768957197835`, 108.083}], 
                Offset[{0, -1.5}, {5.6525768957197835`, 108.083}]}], 
              LineBox[{{5.6525768957197835`, 110.458}, {5.6525768957197835`, 
               105.708}}], 
              LineBox[{
               Offset[{1.5, 0}, {5.6525768957197835`, 110.458}], 
                Offset[{-1.5, 0}, {5.6525768957197835`, 110.458}]}], 
              LineBox[{
               Offset[{1.5, 0}, {5.6525768957197835`, 105.708}], 
                Offset[{-1.5, 0}, {5.6525768957197835`, 105.708}]}]}, {
              LineBox[{{5.752493270596694, 119.009}, {5.752493270596694, 
               119.009}}], 
              LineBox[{
               Offset[{0, 1.5}, {5.752493270596694, 119.009}], 
                Offset[{0, -1.5}, {5.752493270596694, 119.009}]}], 
              LineBox[{
               Offset[{0, 1.5}, {5.752493270596694, 119.009}], 
                Offset[{0, -1.5}, {5.752493270596694, 119.009}]}], 
              LineBox[{{5.752493270596694, 121.521}, {5.752493270596694, 
               116.497}}], 
              LineBox[{
               Offset[{1.5, 0}, {5.752493270596694, 121.521}], 
                Offset[{-1.5, 0}, {5.752493270596694, 121.521}]}], 
              LineBox[{
               Offset[{1.5, 0}, {5.752493270596694, 116.497}], 
                Offset[{-1.5, 0}, {5.752493270596694, 116.497}]}]}, {
              LineBox[{{5.843353094382523, 93.962}, {5.843353094382523, 
               93.962}}], 
              LineBox[{
               Offset[{0, 1.5}, {5.843353094382523, 93.962}], 
                Offset[{0, -1.5}, {5.843353094382523, 93.962}]}], 
              LineBox[{
               Offset[{0, 1.5}, {5.843353094382523, 93.962}], 
                Offset[{0, -1.5}, {5.843353094382523, 93.962}]}], 
              LineBox[{{5.843353094382523, 96.33500000000001}, {
               5.843353094382523, 91.589}}], 
              LineBox[{
               Offset[{1.5, 0}, {5.843353094382523, 96.33500000000001}], 
                Offset[{-1.5, 0}, {5.843353094382523, 96.33500000000001}]}], 
              LineBox[{
               Offset[{1.5, 0}, {5.843353094382523, 91.589}], 
                Offset[{-1.5, 0}, {5.843353094382523, 91.589}]}]}, {
              LineBox[{{5.926656656360342, 47.096}, {5.926656656360342, 
               47.096}}], 
              LineBox[{
               Offset[{0, 1.5}, {5.926656656360342, 47.096}], 
                Offset[{0, -1.5}, {5.926656656360342, 47.096}]}], 
              LineBox[{
               Offset[{0, 1.5}, {5.926656656360342, 47.096}], 
                Offset[{0, -1.5}, {5.926656656360342, 47.096}]}], 
              LineBox[{{5.926656656360342, 49.202}, {5.926656656360342, 
               44.989999999999995`}}], 
              LineBox[{
               Offset[{1.5, 0}, {5.926656656360342, 49.202}], 
                Offset[{-1.5, 0}, {5.926656656360342, 49.202}]}], 
              LineBox[{
               Offset[{1.5, 0}, {5.926656656360342, 44.989999999999995`}], 
                Offset[{-1.5, 0}, {5.926656656360342, 
                 44.989999999999995`}]}]}, {
              LineBox[{{6.003566027924654, -7.783}, {
               6.003566027924654, -7.783}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.003566027924654, -7.783}], 
                Offset[{0, -1.5}, {6.003566027924654, -7.783}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.003566027924654, -7.783}], 
                Offset[{0, -1.5}, {6.003566027924654, -7.783}]}], 
              LineBox[{{6.003566027924654, -5.854}, {
               6.003566027924654, -9.712}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.003566027924654, -5.854}], 
                Offset[{-1.5, 0}, {6.003566027924654, -5.854}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.003566027924654, -9.712}], 
                Offset[{-1.5, 0}, {6.003566027924654, -9.712}]}]}, {
              LineBox[{{6.074987346079252, -54.667}, {
               6.074987346079252, -54.667}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.074987346079252, -54.667}], 
                Offset[{0, -1.5}, {6.074987346079252, -54.667}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.074987346079252, -54.667}], 
                Offset[{0, -1.5}, {6.074987346079252, -54.667}]}], 
              LineBox[{{6.074987346079252, -52.765}, {
               6.074987346079252, -56.569}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.074987346079252, -52.765}], 
                Offset[{-1.5, 0}, {6.074987346079252, -52.765}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.074987346079252, -56.569}], 
                Offset[{-1.5, 0}, {6.074987346079252, -56.569}]}]}, {
              LineBox[{{6.141654536603455, -76.453}, {
               6.141654536603455, -76.453}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.141654536603455, -76.453}], 
                Offset[{0, -1.5}, {6.141654536603455, -76.453}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.141654536603455, -76.453}], 
                Offset[{0, -1.5}, {6.141654536603455, -76.453}]}], 
              LineBox[{{6.141654536603455, -74.557}, {
               6.141654536603455, -78.349}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.141654536603455, -74.557}], 
                Offset[{-1.5, 0}, {6.141654536603455, -74.557}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.141654536603455, -78.349}], 
                Offset[{-1.5, 0}, {6.141654536603455, -78.349}]}]}, {
              LineBox[{{6.2041597035557325`, -63.852}, {
               6.2041597035557325`, -63.852}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.2041597035557325`, -63.852}], 
                Offset[{0, -1.5}, {6.2041597035557325`, -63.852}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.2041597035557325`, -63.852}], 
                Offset[{0, -1.5}, {6.2041597035557325`, -63.852}]}], 
              LineBox[{{6.2041597035557325`, -62.026999999999994`}, {
               6.2041597035557325`, -65.67699999999999}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.2041597035557325`, -62.026999999999994`}], 
                Offset[{-1.5, 0}, {
                 6.2041597035557325`, -62.026999999999994`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.2041597035557325`, -65.67699999999999}], 
                Offset[{-1.5, 0}, {
                 6.2041597035557325`, -65.67699999999999}]}]}, {
              LineBox[{{6.262988654904324, -31.372}, {
               6.262988654904324, -31.372}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.262988654904324, -31.372}], 
                Offset[{0, -1.5}, {6.262988654904324, -31.372}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.262988654904324, -31.372}], 
                Offset[{0, -1.5}, {6.262988654904324, -31.372}]}], 
              LineBox[{{6.262988654904324, -29.674}, {
               6.262988654904324, -33.07}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.262988654904324, -29.674}], 
                Offset[{-1.5, 0}, {6.262988654904324, -29.674}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.262988654904324, -33.07}], 
                Offset[{-1.5, 0}, {6.262988654904324, -33.07}]}]}, {
              LineBox[{{6.3185536134386355`, 4.842}, {6.3185536134386355`, 
               4.842}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.3185536134386355`, 4.842}], 
                Offset[{0, -1.5}, {6.3185536134386355`, 4.842}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.3185536134386355`, 4.842}], 
                Offset[{0, -1.5}, {6.3185536134386355`, 4.842}]}], 
              LineBox[{{6.3185536134386355`, 6.6339999999999995`}, {
               6.3185536134386355`, 3.05}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.3185536134386355`, 6.6339999999999995`}], 
                Offset[{-1.5, 0}, {6.3185536134386355`, 
                 6.6339999999999995`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.3185536134386355`, 3.05}], 
                Offset[{-1.5, 0}, {6.3185536134386355`, 3.05}]}]}, {
              LineBox[{{6.371194666206859, 26.127}, {6.371194666206859, 
               26.127}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.371194666206859, 26.127}], 
                Offset[{0, -1.5}, {6.371194666206859, 26.127}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.371194666206859, 26.127}], 
                Offset[{0, -1.5}, {6.371194666206859, 26.127}]}], 
              LineBox[{{6.371194666206859, 28.087999999999997`}, {
               6.371194666206859, 24.166}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.371194666206859, 28.087999999999997`}], 
                Offset[{-1.5, 0}, {6.371194666206859, 28.087999999999997`}]}],
               LineBox[{
               Offset[{1.5, 0}, {6.371194666206859, 24.166}], 
                Offset[{-1.5, 0}, {6.371194666206859, 24.166}]}]}, {
              LineBox[{{6.421205920983605, 24.141}, {6.421205920983605, 
               24.141}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.421205920983605, 24.141}], 
                Offset[{0, -1.5}, {6.421205920983605, 24.141}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.421205920983605, 24.141}], 
                Offset[{0, -1.5}, {6.421205920983605, 24.141}]}], 
              LineBox[{{6.421205920983605, 26.232}, {6.421205920983605, 
               22.049999999999997`}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.421205920983605, 26.232}], 
                Offset[{-1.5, 0}, {6.421205920983605, 26.232}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.421205920983605, 22.049999999999997`}], 
                Offset[{-1.5, 0}, {6.421205920983605, 
                 22.049999999999997`}]}]}, {
              LineBox[{{6.4688347265741495`, -4.595}, {
               6.4688347265741495`, -4.595}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.4688347265741495`, -4.595}], 
                Offset[{0, -1.5}, {6.4688347265741495`, -4.595}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.4688347265741495`, -4.595}], 
                Offset[{0, -1.5}, {6.4688347265741495`, -4.595}]}], 
              LineBox[{{6.4688347265741495`, -2.428}, {
               6.4688347265741495`, -6.762}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.4688347265741495`, -2.428}], 
                Offset[{-1.5, 0}, {6.4688347265741495`, -2.428}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.4688347265741495`, -6.762}], 
                Offset[{-1.5, 0}, {6.4688347265741495`, -6.762}]}]}, {
              LineBox[{{6.514300754186411, -58.683}, {
               6.514300754186411, -58.683}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.514300754186411, -58.683}], 
                Offset[{0, -1.5}, {6.514300754186411, -58.683}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.514300754186411, -58.683}], 
                Offset[{0, -1.5}, {6.514300754186411, -58.683}]}], 
              LineBox[{{6.514300754186411, -56.436}, {
               6.514300754186411, -60.93}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.514300754186411, -56.436}], 
                Offset[{-1.5, 0}, {6.514300754186411, -56.436}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.514300754186411, -60.93}], 
                Offset[{-1.5, 0}, {6.514300754186411, -60.93}]}]}, {
              LineBox[{{6.557789208710769, -98.449}, {
               6.557789208710769, -98.449}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.557789208710769, -98.449}], 
                Offset[{0, -1.5}, {6.557789208710769, -98.449}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.557789208710769, -98.449}], 
                Offset[{0, -1.5}, {6.557789208710769, -98.449}]}], 
              LineBox[{{6.557789208710769, -96.093}, {
               6.557789208710769, -100.80499999999999`}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.557789208710769, -96.093}], 
                Offset[{-1.5, 0}, {6.557789208710769, -96.093}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.557789208710769, -100.80499999999999`}], 
                Offset[{-1.5, 0}, {
                 6.557789208710769, -100.80499999999999`}]}]}, {
              LineBox[{{6.5994676970104855`, -127.368}, {
               6.5994676970104855`, -127.368}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.5994676970104855`, -127.368}], 
                Offset[{0, -1.5}, {6.5994676970104855`, -127.368}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.5994676970104855`, -127.368}], 
                Offset[{0, -1.5}, {6.5994676970104855`, -127.368}]}], 
              LineBox[{{6.5994676970104855`, -124.928}, {
               6.5994676970104855`, -129.808}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.5994676970104855`, -124.928}], 
                Offset[{-1.5, 0}, {6.5994676970104855`, -124.928}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.5994676970104855`, -129.808}], 
                Offset[{-1.5, 0}, {6.5994676970104855`, -129.808}]}]}, {
              LineBox[{{6.639478369227031, -122.11}, {
               6.639478369227031, -122.11}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.639478369227031, -122.11}], 
                Offset[{0, -1.5}, {6.639478369227031, -122.11}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.639478369227031, -122.11}], 
                Offset[{0, -1.5}, {6.639478369227031, -122.11}]}], 
              LineBox[{{6.639478369227031, -119.669}, {
               6.639478369227031, -124.551}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.639478369227031, -119.669}], 
                Offset[{-1.5, 0}, {6.639478369227031, -119.669}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.639478369227031, -124.551}], 
                Offset[{-1.5, 0}, {6.639478369227031, -124.551}]}]}, {
              LineBox[{{6.677949584794377, -94.694}, {
               6.677949584794377, -94.694}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.677949584794377, -94.694}], 
                Offset[{0, -1.5}, {6.677949584794377, -94.694}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.677949584794377, -94.694}], 
                Offset[{0, -1.5}, {6.677949584794377, -94.694}]}], 
              LineBox[{{6.677949584794377, -92.315}, {
               6.677949584794377, -97.07300000000001}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.677949584794377, -92.315}], 
                Offset[{-1.5, 0}, {6.677949584794377, -92.315}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.677949584794377, -97.07300000000001}], 
                Offset[{-1.5, 0}, {
                 6.677949584794377, -97.07300000000001}]}]}, {
              LineBox[{{6.714997857482528, -46.804}, {
               6.714997857482528, -46.804}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.714997857482528, -46.804}], 
                Offset[{0, -1.5}, {6.714997857482528, -46.804}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.714997857482528, -46.804}], 
                Offset[{0, -1.5}, {6.714997857482528, -46.804}]}], 
              LineBox[{{6.714997857482528, -44.477000000000004`}, {
               6.714997857482528, -49.131}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.714997857482528, -44.477000000000004`}], 
                Offset[{-1.5, 0}, {
                 6.714997857482528, -44.477000000000004`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.714997857482528, -49.131}], 
                Offset[{-1.5, 0}, {6.714997857482528, -49.131}]}]}, {
              LineBox[{{6.750721279714932, 5.168}, {6.750721279714932, 
               5.168}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.750721279714932, 5.168}], 
                Offset[{0, -1.5}, {6.750721279714932, 5.168}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.750721279714932, 5.168}], 
                Offset[{0, -1.5}, {6.750721279714932, 5.168}]}], 
              LineBox[{{6.750721279714932, 7.5}, {6.750721279714932, 
               2.8360000000000003`}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.750721279714932, 7.5}], 
                Offset[{-1.5, 0}, {6.750721279714932, 7.5}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.750721279714932, 2.8360000000000003`}], 
                Offset[{-1.5, 0}, {6.750721279714932, 
                 2.8360000000000003`}]}]}, {
              LineBox[{{6.785213563748824, 44.445}, {6.785213563748824, 
               44.445}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.785213563748824, 44.445}], 
                Offset[{0, -1.5}, {6.785213563748824, 44.445}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.785213563748824, 44.445}], 
                Offset[{0, -1.5}, {6.785213563748824, 44.445}]}], 
              LineBox[{{6.785213563748824, 46.804}, {6.785213563748824, 
               42.086}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.785213563748824, 46.804}], 
                Offset[{-1.5, 0}, {6.785213563748824, 46.804}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.785213563748824, 42.086}], 
                Offset[{-1.5, 0}, {6.785213563748824, 42.086}]}]}, {
              LineBox[{{6.818556784721521, 60.218}, {6.818556784721521, 
               60.218}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.818556784721521, 60.218}], 
                Offset[{0, -1.5}, {6.818556784721521, 60.218}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.818556784721521, 60.218}], 
                Offset[{0, -1.5}, {6.818556784721521, 60.218}]}], 
              LineBox[{{6.818556784721521, 62.562000000000005`}, {
               6.818556784721521, 57.874}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.818556784721521, 62.562000000000005`}], 
                Offset[{-1.5, 0}, {6.818556784721521, 62.562000000000005`}]}],
               LineBox[{
               Offset[{1.5, 0}, {6.818556784721521, 57.874}], 
                Offset[{-1.5, 0}, {6.818556784721521, 57.874}]}]}, {
              LineBox[{{6.85082401581211, 46.225}, {6.85082401581211, 
               46.225}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.85082401581211, 46.225}], 
                Offset[{0, -1.5}, {6.85082401581211, 46.225}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.85082401581211, 46.225}], 
                Offset[{0, -1.5}, {6.85082401581211, 46.225}]}], 
              LineBox[{{6.85082401581211, 48.49}, {6.85082401581211, 43.96}}],
               LineBox[{
               Offset[{1.5, 0}, {6.85082401581211, 48.49}], 
                Offset[{-1.5, 0}, {6.85082401581211, 48.49}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.85082401581211, 43.96}], 
                Offset[{-1.5, 0}, {6.85082401581211, 43.96}]}]}, {
              LineBox[{{6.88208253622108, 13.664}, {6.88208253622108, 
               13.664}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.88208253622108, 13.664}], 
                Offset[{0, -1.5}, {6.88208253622108, 13.664}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.88208253622108, 13.664}], 
                Offset[{0, -1.5}, {6.88208253622108, 13.664}]}], 
              LineBox[{{6.88208253622108, 15.836}, {6.88208253622108, 
               11.491999999999999`}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.88208253622108, 15.836}], 
                Offset[{-1.5, 0}, {6.88208253622108, 15.836}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.88208253622108, 11.491999999999999`}], 
                Offset[{-1.5, 0}, {6.88208253622108, 
                 11.491999999999999`}]}]}, {
              LineBox[{{6.912394501130562, -35.119}, {
               6.912394501130562, -35.119}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.912394501130562, -35.119}], 
                Offset[{0, -1.5}, {6.912394501130562, -35.119}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.912394501130562, -35.119}], 
                Offset[{0, -1.5}, {6.912394501130562, -35.119}]}], 
              LineBox[{{6.912394501130562, -32.85}, {
               6.912394501130562, -37.388}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.912394501130562, -32.85}], 
                Offset[{-1.5, 0}, {6.912394501130562, -32.85}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.912394501130562, -37.388}], 
                Offset[{-1.5, 0}, {6.912394501130562, -37.388}]}]}, {
              LineBox[{{6.941818484257838, -58.444}, {
               6.941818484257838, -58.444}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.941818484257838, -58.444}], 
                Offset[{0, -1.5}, {6.941818484257838, -58.444}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.941818484257838, -58.444}], 
                Offset[{0, -1.5}, {6.941818484257838, -58.444}]}], 
              LineBox[{{6.941818484257838, -56.080000000000005`}, {
               6.941818484257838, -60.808}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.941818484257838, -56.080000000000005`}], 
                Offset[{-1.5, 0}, {
                 6.941818484257838, -56.080000000000005`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.941818484257838, -60.808}], 
                Offset[{-1.5, 0}, {6.941818484257838, -60.808}]}]}, {
              LineBox[{{6.970391992830112, -80.037}, {
               6.970391992830112, -80.037}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.970391992830112, -80.037}], 
                Offset[{0, -1.5}, {6.970391992830112, -80.037}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.970391992830112, -80.037}], 
                Offset[{0, -1.5}, {6.970391992830112, -80.037}]}], 
              LineBox[{{6.970391992830112, -77.602}, {
               6.970391992830112, -82.47200000000001}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.970391992830112, -77.602}], 
                Offset[{-1.5, 0}, {6.970391992830112, -77.602}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.970391992830112, -82.47200000000001}], 
                Offset[{-1.5, 0}, {
                 6.970391992830112, -82.47200000000001}]}]}, {
              LineBox[{{6.998180821071554, -70.615}, {
               6.998180821071554, -70.615}}], 
              LineBox[{
               Offset[{0, 1.5}, {6.998180821071554, -70.615}], 
                Offset[{0, -1.5}, {6.998180821071554, -70.615}]}], 
              LineBox[{
               Offset[{0, 1.5}, {6.998180821071554, -70.615}], 
                Offset[{0, -1.5}, {6.998180821071554, -70.615}]}], 
              LineBox[{{6.998180821071554, -68.11099999999999}, {
               6.998180821071554, -73.119}}], 
              LineBox[{
               Offset[{1.5, 0}, {6.998180821071554, -68.11099999999999}], 
                Offset[{-1.5, 0}, {6.998180821071554, -68.11099999999999}]}], 
              LineBox[{
               Offset[{1.5, 0}, {6.998180821071554, -73.119}], 
                Offset[{-1.5, 0}, {6.998180821071554, -73.119}]}]}, {
              LineBox[{{7.02520937165382, -49.673}, {
               7.02520937165382, -49.673}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.02520937165382, -49.673}], 
                Offset[{0, -1.5}, {7.02520937165382, -49.673}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.02520937165382, -49.673}], 
                Offset[{0, -1.5}, {7.02520937165382, -49.673}]}], 
              LineBox[{{7.02520937165382, -47.119}, {
               7.02520937165382, -52.227000000000004`}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.02520937165382, -47.119}], 
                Offset[{-1.5, 0}, {7.02520937165382, -47.119}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.02520937165382, -52.227000000000004`}], 
                Offset[{-1.5, 0}, {
                 7.02520937165382, -52.227000000000004`}]}]}, {
              LineBox[{{7.051535225313704, -24.83}, {
               7.051535225313704, -24.83}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.051535225313704, -24.83}], 
                Offset[{0, -1.5}, {7.051535225313704, -24.83}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.051535225313704, -24.83}], 
                Offset[{0, -1.5}, {7.051535225313704, -24.83}]}], 
              LineBox[{{7.051535225313704, -22.244999999999997`}, {
               7.051535225313704, -27.415}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.051535225313704, -22.244999999999997`}], 
                Offset[{-1.5, 0}, {
                 7.051535225313704, -22.244999999999997`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.051535225313704, -27.415}], 
                Offset[{-1.5, 0}, {7.051535225313704, -27.415}]}]}, {
              LineBox[{{7.077185768526413, -9.102}, {
               7.077185768526413, -9.102}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.077185768526413, -9.102}], 
                Offset[{0, -1.5}, {7.077185768526413, -9.102}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.077185768526413, -9.102}], 
                Offset[{0, -1.5}, {7.077185768526413, -9.102}]}], 
              LineBox[{{7.077185768526413, -6.51}, {
               7.077185768526413, -11.694}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.077185768526413, -6.51}], 
                Offset[{-1.5, 0}, {7.077185768526413, -6.51}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.077185768526413, -11.694}], 
                Offset[{-1.5, 0}, {7.077185768526413, -11.694}]}]}, {
              LineBox[{{7.102186549654269, 1.395}, {7.102186549654269, 
               1.395}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.102186549654269, 1.395}], 
                Offset[{0, -1.5}, {7.102186549654269, 1.395}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.102186549654269, 1.395}], 
                Offset[{0, -1.5}, {7.102186549654269, 1.395}]}], 
              LineBox[{{7.102186549654269, 3.967}, {
               7.102186549654269, -1.177}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.102186549654269, 3.967}], 
                Offset[{-1.5, 0}, {7.102186549654269, 3.967}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.102186549654269, -1.177}], 
                Offset[{-1.5, 0}, {7.102186549654269, -1.177}]}]}, {
              LineBox[{{7.1265855414259, -0.419}, {7.1265855414259, -0.419}}],
               LineBox[{
               Offset[{0, 1.5}, {7.1265855414259, -0.419}], 
                Offset[{0, -1.5}, {7.1265855414259, -0.419}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.1265855414259, -0.419}], 
                Offset[{0, -1.5}, {7.1265855414259, -0.419}]}], 
              LineBox[{{7.1265855414259, 2.12}, {7.1265855414259, -2.958}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.1265855414259, 2.12}], 
                Offset[{-1.5, 0}, {7.1265855414259, 2.12}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.1265855414259, -2.958}], 
                Offset[{-1.5, 0}, {7.1265855414259, -2.958}]}]}, {
              LineBox[{{7.150403373954327, -14.792}, {
               7.150403373954327, -14.792}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.150403373954327, -14.792}], 
                Offset[{0, -1.5}, {7.150403373954327, -14.792}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.150403373954327, -14.792}], 
                Offset[{0, -1.5}, {7.150403373954327, -14.792}]}], 
              LineBox[{{7.150403373954327, -12.265}, {
               7.150403373954327, -17.319}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.150403373954327, -12.265}], 
                Offset[{-1.5, 0}, {7.150403373954327, -12.265}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.150403373954327, -17.319}], 
                Offset[{-1.5, 0}, {7.150403373954327, -17.319}]}]}, {
              LineBox[{{7.173659424517349, -38.675}, {
               7.173659424517349, -38.675}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.173659424517349, -38.675}], 
                Offset[{0, -1.5}, {7.173659424517349, -38.675}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.173659424517349, -38.675}], 
                Offset[{0, -1.5}, {7.173659424517349, -38.675}]}], 
              LineBox[{{7.173659424517349, -36.105999999999995`}, {
               7.173659424517349, -41.244}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.173659424517349, -36.105999999999995`}], 
                Offset[{-1.5, 0}, {
                 7.173659424517349, -36.105999999999995`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.173659424517349, -41.244}], 
                Offset[{-1.5, 0}, {7.173659424517349, -41.244}]}]}, {
              LineBox[{{7.196394393323197, -52.3}, {
               7.196394393323197, -52.3}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.196394393323197, -52.3}], 
                Offset[{0, -1.5}, {7.196394393323197, -52.3}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.196394393323197, -52.3}], 
                Offset[{0, -1.5}, {7.196394393323197, -52.3}]}], 
              LineBox[{{7.196394393323197, -49.626999999999995`}, {
               7.196394393323197, -54.973}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.196394393323197, -49.626999999999995`}], 
                Offset[{-1.5, 0}, {
                 7.196394393323197, -49.626999999999995`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.196394393323197, -54.973}], 
                Offset[{-1.5, 0}, {7.196394393323197, -54.973}]}]}, {
              LineBox[{{7.218623952509243, -62.411}, {
               7.218623952509243, -62.411}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.218623952509243, -62.411}], 
                Offset[{0, -1.5}, {7.218623952509243, -62.411}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.218623952509243, -62.411}], 
                Offset[{0, -1.5}, {7.218623952509243, -62.411}]}], 
              LineBox[{{7.218623952509243, -59.597}, {
               7.218623952509243, -65.225}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.218623952509243, -59.597}], 
                Offset[{-1.5, 0}, {7.218623952509243, -59.597}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.218623952509243, -65.225}], 
                Offset[{-1.5, 0}, {7.218623952509243, -65.225}]}]}, {
              LineBox[{{7.240370085276045, -57.869}, {
               7.240370085276045, -57.869}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.240370085276045, -57.869}], 
                Offset[{0, -1.5}, {7.240370085276045, -57.869}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.240370085276045, -57.869}], 
                Offset[{0, -1.5}, {7.240370085276045, -57.869}]}], 
              LineBox[{{7.240370085276045, -54.91}, {
               7.240370085276045, -60.828}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.240370085276045, -54.91}], 
                Offset[{-1.5, 0}, {7.240370085276045, -54.91}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.240370085276045, -60.828}], 
                Offset[{-1.5, 0}, {7.240370085276045, -60.828}]}]}, {
              LineBox[{{7.261646351544253, -45.102}, {
               7.261646351544253, -45.102}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.261646351544253, -45.102}], 
                Offset[{0, -1.5}, {7.261646351544253, -45.102}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.261646351544253, -45.102}], 
                Offset[{0, -1.5}, {7.261646351544253, -45.102}]}], 
              LineBox[{{7.261646351544253, -42.019999999999996`}, {
               7.261646351544253, -48.184}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.261646351544253, -42.019999999999996`}], 
                Offset[{-1.5, 0}, {
                 7.261646351544253, -42.019999999999996`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.261646351544253, -48.184}], 
                Offset[{-1.5, 0}, {7.261646351544253, -48.184}]}]}, {
              LineBox[{{7.28248622772044, -28.075}, {
               7.28248622772044, -28.075}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.28248622772044, -28.075}], 
                Offset[{0, -1.5}, {7.28248622772044, -28.075}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.28248622772044, -28.075}], 
                Offset[{0, -1.5}, {7.28248622772044, -28.075}]}], 
              LineBox[{{7.28248622772044, -24.907}, {
               7.28248622772044, -31.243}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.28248622772044, -24.907}], 
                Offset[{-1.5, 0}, {7.28248622772044, -24.907}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.28248622772044, -31.243}], 
                Offset[{-1.5, 0}, {7.28248622772044, -31.243}]}]}, {
              LineBox[{{7.302900654683446, -5.526}, {
               7.302900654683446, -5.526}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.302900654683446, -5.526}], 
                Offset[{0, -1.5}, {7.302900654683446, -5.526}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.302900654683446, -5.526}], 
                Offset[{0, -1.5}, {7.302900654683446, -5.526}]}], 
              LineBox[{{7.302900654683446, -2.3129999999999997`}, {
               7.302900654683446, -8.739}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.302900654683446, -2.3129999999999997`}], 
                Offset[{-1.5, 0}, {
                 7.302900654683446, -2.3129999999999997`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.302900654683446, -8.739}], 
                Offset[{-1.5, 0}, {7.302900654683446, -8.739}]}]}, {
              LineBox[{{7.322906656679722, 5.403}, {7.322906656679722, 
               5.403}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.322906656679722, 5.403}], 
                Offset[{0, -1.5}, {7.322906656679722, 5.403}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.322906656679722, 5.403}], 
                Offset[{0, -1.5}, {7.322906656679722, 5.403}]}], 
              LineBox[{{7.322906656679722, 8.628}, {7.322906656679722, 
               2.1779999999999995`}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.322906656679722, 8.628}], 
                Offset[{-1.5, 0}, {7.322906656679722, 8.628}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.322906656679722, 2.1779999999999995`}], 
                Offset[{-1.5, 0}, {7.322906656679722, 
                 2.1779999999999995`}]}]}, {
              LineBox[{{7.342520256135163, 5.554}, {7.342520256135163, 
               5.554}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.342520256135163, 5.554}], 
                Offset[{0, -1.5}, {7.342520256135163, 5.554}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.342520256135163, 5.554}], 
                Offset[{0, -1.5}, {7.342520256135163, 5.554}]}], 
              LineBox[{{7.342520256135163, 8.778}, {7.342520256135163, 
               2.33}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.342520256135163, 8.778}], 
                Offset[{-1.5, 0}, {7.342520256135163, 8.778}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.342520256135163, 2.33}], 
                Offset[{-1.5, 0}, {7.342520256135163, 2.33}]}]}, {
              LineBox[{{7.3617501999109445`, -4.868}, {
               7.3617501999109445`, -4.868}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.3617501999109445`, -4.868}], 
                Offset[{0, -1.5}, {7.3617501999109445`, -4.868}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.3617501999109445`, -4.868}], 
                Offset[{0, -1.5}, {7.3617501999109445`, -4.868}]}], 
              LineBox[{{7.3617501999109445`, -1.6290000000000004`}, {
               7.3617501999109445`, -8.107}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.3617501999109445`, -1.6290000000000004`}], 
                Offset[{-1.5, 0}, {
                 7.3617501999109445`, -1.6290000000000004`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.3617501999109445`, -8.107}], 
                Offset[{-1.5, 0}, {7.3617501999109445`, -8.107}]}]}, {
              LineBox[{{7.380623551217374, -8.838}, {
               7.380623551217374, -8.838}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.380623551217374, -8.838}], 
                Offset[{0, -1.5}, {7.380623551217374, -8.838}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.380623551217374, -8.838}], 
                Offset[{0, -1.5}, {7.380623551217374, -8.838}]}], 
              LineBox[{{7.380623551217374, -5.536}, {
               7.380623551217374, -12.139999999999999`}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.380623551217374, -5.536}], 
                Offset[{-1.5, 0}, {7.380623551217374, -5.536}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.380623551217374, -12.139999999999999`}], 
                Offset[{-1.5, 0}, {
                 7.380623551217374, -12.139999999999999`}]}]}, {
              LineBox[{{7.399147287358679, -24.986}, {
               7.399147287358679, -24.986}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.399147287358679, -24.986}], 
                Offset[{0, -1.5}, {7.399147287358679, -24.986}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.399147287358679, -24.986}], 
                Offset[{0, -1.5}, {7.399147287358679, -24.986}]}], 
              LineBox[{{7.399147287358679, -21.559}, {
               7.399147287358679, -28.413}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.399147287358679, -21.559}], 
                Offset[{-1.5, 0}, {7.399147287358679, -21.559}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.399147287358679, -28.413}], 
                Offset[{-1.5, 0}, {7.399147287358679, -28.413}]}]}, {
              LineBox[{{7.417334125844713, -24.073}, {
               7.417334125844713, -24.073}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.417334125844713, -24.073}], 
                Offset[{0, -1.5}, {7.417334125844713, -24.073}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.417334125844713, -24.073}], 
                Offset[{0, -1.5}, {7.417334125844713, -24.073}]}], 
              LineBox[{{7.417334125844713, -20.461}, {
               7.417334125844713, -27.685000000000002`}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.417334125844713, -20.461}], 
                Offset[{-1.5, 0}, {7.417334125844713, -20.461}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.417334125844713, -27.685000000000002`}], 
                Offset[{-1.5, 0}, {
                 7.417334125844713, -27.685000000000002`}]}]}, {
              LineBox[{{7.435196102649348, -28.62}, {
               7.435196102649348, -28.62}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.435196102649348, -28.62}], 
                Offset[{0, -1.5}, {7.435196102649348, -28.62}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.435196102649348, -28.62}], 
                Offset[{0, -1.5}, {7.435196102649348, -28.62}]}], 
              LineBox[{{7.435196102649348, -24.784000000000002`}, {
               7.435196102649348, -32.456}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.435196102649348, -24.784000000000002`}], 
                Offset[{-1.5, 0}, {
                 7.435196102649348, -24.784000000000002`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.435196102649348, -32.456}], 
                Offset[{-1.5, 0}, {7.435196102649348, -32.456}]}]}, {
              LineBox[{{7.452744620055396, -28.412}, {
               7.452744620055396, -28.412}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.452744620055396, -28.412}], 
                Offset[{0, -1.5}, {7.452744620055396, -28.412}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.452744620055396, -28.412}], 
                Offset[{0, -1.5}, {7.452744620055396, -28.412}]}], 
              LineBox[{{7.452744620055396, -24.337}, {
               7.452744620055396, -32.487}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.452744620055396, -24.337}], 
                Offset[{-1.5, 0}, {7.452744620055396, -24.337}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.452744620055396, -32.487}], 
                Offset[{-1.5, 0}, {7.452744620055396, -32.487}]}]}, {
              LineBox[{{7.469984791019949, -14.114}, {
               7.469984791019949, -14.114}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.469984791019949, -14.114}], 
                Offset[{0, -1.5}, {7.469984791019949, -14.114}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.469984791019949, -14.114}], 
                Offset[{0, -1.5}, {7.469984791019949, -14.114}]}], 
              LineBox[{{7.469984791019949, -9.802}, {
               7.469984791019949, -18.426000000000002`}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.469984791019949, -9.802}], 
                Offset[{-1.5, 0}, {7.469984791019949, -9.802}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.469984791019949, -18.426000000000002`}], 
                Offset[{-1.5, 0}, {
                 7.469984791019949, -18.426000000000002`}]}]}, {
              LineBox[{{7.486938372410089, -14.268}, {
               7.486938372410089, -14.268}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.486938372410089, -14.268}], 
                Offset[{0, -1.5}, {7.486938372410089, -14.268}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.486938372410089, -14.268}], 
                Offset[{0, -1.5}, {7.486938372410089, -14.268}]}], 
              LineBox[{{7.486938372410089, -9.729000000000001}, {
               7.486938372410089, -18.807000000000002`}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.486938372410089, -9.729000000000001}], 
                Offset[{-1.5, 0}, {7.486938372410089, -9.729000000000001}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.486938372410089, -18.807000000000002`}], 
                Offset[{-1.5, 0}, {
                 7.486938372410089, -18.807000000000002`}]}]}, {
              LineBox[{{7.503609314962015, -3.431}, {
               7.503609314962015, -3.431}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.503609314962015, -3.431}], 
                Offset[{0, -1.5}, {7.503609314962015, -3.431}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.503609314962015, -3.431}], 
                Offset[{0, -1.5}, {7.503609314962015, -3.431}]}], 
              LineBox[{{7.503609314962015, 1.3309999999999995`}, {
               7.503609314962015, -8.193}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.503609314962015, 1.3309999999999995`}], 
                Offset[{-1.5, 0}, {7.503609314962015, 1.3309999999999995`}]}],
               LineBox[{
               Offset[{1.5, 0}, {7.503609314962015, -8.193}], 
                Offset[{-1.5, 0}, {7.503609314962015, -8.193}]}]}, {
              LineBox[{{7.520006888283769, -4.744}, {
               7.520006888283769, -4.744}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.520006888283769, -4.744}], 
                Offset[{0, -1.5}, {7.520006888283769, -4.744}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.520006888283769, -4.744}], 
                Offset[{0, -1.5}, {7.520006888283769, -4.744}]}], 
              LineBox[{{7.520006888283769, 0.25200000000000067`}, {
               7.520006888283769, -9.74}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.520006888283769, 0.25200000000000067`}], 
                Offset[{-1.5, 0}, {7.520006888283769, 
                 0.25200000000000067`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.520006888283769, -9.74}], 
                Offset[{-1.5, 0}, {7.520006888283769, -9.74}]}]}, {
              LineBox[{{7.5361399133127644`, 2.086}, {7.5361399133127644`, 
               2.086}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.5361399133127644`, 2.086}], 
                Offset[{0, -1.5}, {7.5361399133127644`, 2.086}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.5361399133127644`, 2.086}], 
                Offset[{0, -1.5}, {7.5361399133127644`, 2.086}]}], 
              LineBox[{{7.5361399133127644`, 7.346}, {
               7.5361399133127644`, -3.174}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.5361399133127644`, 7.346}], 
                Offset[{-1.5, 0}, {7.5361399133127644`, 7.346}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.5361399133127644`, -3.174}], 
                Offset[{-1.5, 0}, {7.5361399133127644`, -3.174}]}]}, {
              LineBox[{{7.552016790812235, -10.356}, {
               7.552016790812235, -10.356}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.552016790812235, -10.356}], 
                Offset[{0, -1.5}, {7.552016790812235, -10.356}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.552016790812235, -10.356}], 
                Offset[{0, -1.5}, {7.552016790812235, -10.356}]}], 
              LineBox[{{7.552016790812235, -4.7829999999999995`}, {
               7.552016790812235, -15.929}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.552016790812235, -4.7829999999999995`}], 
                Offset[{-1.5, 0}, {
                 7.552016790812235, -4.7829999999999995`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.552016790812235, -15.929}], 
                Offset[{-1.5, 0}, {7.552016790812235, -15.929}]}]}, {
              LineBox[{{7.5676455276406305`, -2.578}, {
               7.5676455276406305`, -2.578}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.5676455276406305`, -2.578}], 
                Offset[{0, -1.5}, {7.5676455276406305`, -2.578}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.5676455276406305`, -2.578}], 
                Offset[{0, -1.5}, {7.5676455276406305`, -2.578}]}], 
              LineBox[{{7.5676455276406305`, 3.368}, {
               7.5676455276406305`, -8.524}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.5676455276406305`, 3.368}], 
                Offset[{-1.5, 0}, {7.5676455276406305`, 3.368}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.5676455276406305`, -8.524}], 
                Offset[{-1.5, 0}, {7.5676455276406305`, -8.524}]}]}, {
              LineBox[{{7.583033760999599, -20.288}, {
               7.583033760999599, -20.288}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.583033760999599, -20.288}], 
                Offset[{0, -1.5}, {7.583033760999599, -20.288}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.583033760999599, -20.288}], 
                Offset[{0, -1.5}, {7.583033760999599, -20.288}]}], 
              LineBox[{{7.583033760999599, -13.908000000000001`}, {
               7.583033760999599, -26.668}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.583033760999599, -13.908000000000001`}], 
                Offset[{-1.5, 0}, {
                 7.583033760999599, -13.908000000000001`}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.583033760999599, -26.668}], 
                Offset[{-1.5, 0}, {7.583033760999599, -26.668}]}]}, {
              LineBox[{{7.5948944475280875`, -29.913}, {
               7.5948944475280875`, -29.913}}], 
              LineBox[{
               Offset[{0, 1.5}, {7.5948944475280875`, -29.913}], 
                Offset[{0, -1.5}, {7.5948944475280875`, -29.913}]}], 
              LineBox[{
               Offset[{0, 1.5}, {7.5948944475280875`, -29.913}], 
                Offset[{0, -1.5}, {7.5948944475280875`, -29.913}]}], 
              LineBox[{{7.5948944475280875`, -20.841}, {
               7.5948944475280875`, -38.985}}], 
              LineBox[{
               Offset[{1.5, 0}, {7.5948944475280875`, -20.841}], 
                Offset[{-1.5, 0}, {7.5948944475280875`, -20.841}]}], 
              LineBox[{
               Offset[{1.5, 0}, {7.5948944475280875`, -38.985}], 
                Offset[{-1.5, 0}, {7.5948944475280875`, -38.985}]}]}}},
           FontSize->12]}, {}}, {}, {}, {}, {}}, {{}, {{}, {}, 
         {RGBColor[1, 0, 0], PointSize[0.003666666666666667], 
          AbsoluteThickness[1.6], 
          StyleBox[LineBox[CompressedData["
1:eJwsW3c4lu/7RvZe73zsWUj25r3szWvvVVQqMxKV0BCJilJSiTIqhDLDna2S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            "]],
           FontSize->12]}, 
         {RGBColor[0, 0, 1], PointSize[0.003666666666666667], 
          AbsoluteThickness[1.6], 
          StyleBox[LineBox[CompressedData["
1:eJwsW3c4lu/7NpM93/nYGRkVCZnvZe+99ygNJRQppdCgMpJRChmhIjKy5bZC
sjNaEoo0RBIyfs/v+Hz/eo/7uN/nfu7rvM7rPK9nifkG2vox0NHRVbPT0f3/
77za2qbu7i80p7fz0hnf1mnsjE/C55IXaCmzyQ4yMQzw3/wybftf+ym9MgZQ
iv/xVwet0kYlTzR9YqUHBlHZNfaiddpKh+65yKsbNCfXvSUnxbdozknqAyXd
K7RTRRq08lw6cMYaHevvLv1vfXrIrzVvKrFaoBEdntWXHWOAI1szrjwsP2nm
qherp3YzgqWQhd4pk2+0iKyhBuInRngY/M35HXmOZhOnKMd0hQliqwfbXalz
tML6UeJLQWaIslp4br04RxMxtlAjPmaGc+9PHdW3+077b//bYHl2mynbtp+0
8Itrzcceb4MPOzsD6j7N064mHVM/J8ICiyHBqqHff9HkK5i2qSSwwNhjMuPx
hQVa0tSpc7p/WcD0ddxfIt1vWllJYMput+3w2LD1dRRlidbZrhUWUrcdwk0H
MHvNP7RfFQMbEQRWcK5cZ390cJm2Kn/rfOFxVhAXeCYM1//S/sOPFczvv1dh
zVuh9VB/zaXwsMHJK32jwY9XaTcvM9Z89GCD1BnL4mOZa7Qdpmkjrg/ZwI2b
sE/s7D+ayGZP9/5fbMDW5JIfqLlOuzfCvlqgzA5xHYzlAjPrNFe5JOPeM+xg
cDtTyfbsBu1YZ83zoVp2uPzVs6vv9wZtoGZ4aWyFHbpY9QubnDZpy5y1UevK
HBCgkGrOWLBJa//NbecazAGfJi84/H63Sfsvvxxw1C24zf/PJq2xQ/3nzikO
eHOqezzhxybtoU5r+wsKJ7j7fMp51bRJG+GMPbJqyQlnaiVeuB/bpHGe3Ksx
FM0JlWVpEVO/NmiWxQkGfs844aVf/6lYmw3aLq3d9k1fOOFp2RxvVMI6jfe7
APEXkQsyjIPtAwv/0fTs11WYDblgPkwx8sa9NdqDrrzT7CFcwHOPj57ov0o7
rnuzkSuHC1olzxCc+FZoVb9u7qH2cME5hb034pKXaaH11pr7V7ggMnn48pPv
S//jJzcInBgdShH8TSvFiqsHzbjhUkHjDh7xBdoWnc2Wdwg3NL587Nv49wfN
5FHJY8kMbqAeGmD0tvlKK9IUP7KzlRvarnz7F2s5TePgbwkL+soNJpzlqkHv
PtB+b9a5RLPwQNyvgI6rboM06+Oy3X8oPJDzNHi09XgNzeXukxyCPA/0hfy1
JGfVN1kYvmif1uKBMxy97b4lr5vOynSs+lnxgG/rYJ1V5qemG3v93t/z5oFt
fecEpg2+NnEe5/sWG8wDY67Cp6Ue/mr69l768p5oHojJzYp9/WGpCSNPzSbd
4gHGK3Y//fVWm/6rPx74+S6gUmVsoylUJiX5VjkPgIfs3jILelSww/TtvhYe
uHwiY5L/BSPaxbtz4e4AD9Annrij5rANqfXWZ7+Y4AFsp+xxhX/bUT01JbN2
ngd49r1/ta2GHYnpHL4WuskD91X6G7tvcKGuEYmlfxy8cKpF8rpRPQ+iOS25
W2K8wKj84K2CJh/6skdc6YQML1il3Pn6uJMfCRWtj7ir8sLRLQe5Km8CcmfJ
vYsZ8EKRdqqBPBMJ8c2iliJb/PifSi/GyslIc695DJc3L5DG6laijlORjOUO
AYMAXtAPFRqYVRBEp8pKr1mH88Is69mRzi0hpB95ZkMxhhcyBF9zjo2JoP/0
hxc0h0+cnPogivwyCxjOZfPCIz1HLtHXYih62jd+upgX9g3Wpv3tFUev/ZZZ
d9byAv2/tgDT3h2ILW/F07CdF+52xK2uDUggw8av/jDAC6OiJ27NvZFEg7Rb
TKQPvLDjR+nV1c9SyDvY49/LWV6o3i0pzLIsjZavl5A8lnhh7E9v5gKrDOKR
V8R6t/B4ii6YpYnJoufuks3C7HxwZdeZ4AFNORRypPC5FZEPGC/x+15wk0dB
I79bfMT4QOieY//piF0ovakwzEGeDxbKuJ/dzN2Npho2IuVU+YAfMYlkv9yD
Vh6wXJjW4YPEY0zf68MV0IrZ5+1R5nywa794RQivIvIPWamid+KD3Lymq76P
FJGcEJFy2IcP+Pz3zR7X3Yv+02c+cHjxqyb8/V6kWIdJT4bygTafuMbJMCXU
2BHzceUiH8zsceJT49+HvvO7+C1f44M1YUn9ytJ9aPKeivK7ZD6gC+7e32mu
jPLVlToLM/mAxkVVcplTRsl+v5LdC/lgsoipyzxWBbkZNbGtPeWD6Qufs2Kl
VFGbNboXWccHi/EPlhfaVNE2B/qKX618YCqRXxZwYD9SNLxba9rDB+mdFbYT
9Goo50EnIXGED4brfm/tylZD8RWscs8/8oHIo1eX1bXVkfslJdexWfz/4WN2
X9+po9uf4ujHF/jAfKo/VuisBjLQmj7ft8YHGzsi5moJmuhGfL7kE0Z+4Gy6
/z27TBOVGM3bhnHwgytpuqzSXAtVBxW47CbwQ5jXrOvoFy1kN3ItblCIH+xv
La1+u6iNus7qax6U4ofqIjk0TKKh//yNHw4b3X0WVkJDZhULpjaq/HDi3heP
t2KAvqad1HlC44eVaaXO6mOAZCRYpv8a8UMr8cPh9kpAMzKLZxWt+UH8X9G5
pXVALl4txq7O/ECRcNqnoq+DdHd7p5z05gctuZ5n567roLJF6v3wI/xweeEi
uapPB3VXPXt0Mgg//mGp/wi/LqoIOvXb9Qw/vFGpKutx1EW+neJ1SpF4fPts
v8Xd0UXT/jLqGzH8kGy+yMX8RhfJ/0ooqU7kB3PFe9rSZD10zJnF5sBtfrhW
3uj+2UEPpUpuuNDd54enTe9iFW/poTDCPbrEAn5I0fmzuPFKD2VGDodzl/DD
po7kB81t+mjV59RG1DN+eLybljmhpY/42EkNXxr4oVP+eNa7U/rIM9bwq1Yb
P7BodPqKPtRHwrWnqmK6+SEudetyzlt9xCLMZN82yA/RHd9qbdgNUK+P88Lv
N/yQJKI4uEPdAP3XP/DD9It39WyHDZC77+SU/Cw/lLNuXFpNMkASYfTJKvN4
fh4bO0/VGaCfAW1/lJZx/HjKY+s/GSDXxXcqkhv8IHie9VroNkO0awaLZGMS
AG3/9EUmGUN01zJqbYpNAHJ0dAs9TAyRHd3+3jJeAXBjkNIIOWyIrPdki4eQ
BaB7VPiO1iVDpNtsJywnIgC7w3+Ml2QYovCzcjMjkgKwvsh4tLHCEK2t6OWG
yePrg/VLz05DdDiVIYRTSQD8+FmGYt8aIvft1Mg7agLwwPNEkuKcISpbSfhK
BgEwlnhoZ/XXEJG9GgYTDAWAjyni0Ri9EYrucPJYMxeAG2zSh9pYjVBCUOhj
NzsBGNcTzGXlNkLGpnFvy10EQNn/TcN9XiN0bvgsJ523AMSWFntewMd501d8
9Q4JwBYtMjyTywg9ox1aOX9cAEAw3+rPdiOE5HR/FJ8UALuczGMX6IyQ1+gz
z6EzAhBkNFuk+McQ8T0ZPvrrggB4WL+kbZ8xRP/1bwKwev3q43/Dhsh4bvQ5
1w0BiLt++gVziyESfOcMPEkC8JOS1y5aZIguM3W93H5bAJxHJJWMkgxRTHjb
mZUMAZByX1o6FWKIeGKCD37MFQB5iyKLXHtDpOBxqbDxIb5+tMt4j6IhyqzR
dEsuEYCdKmYPF9kNkYb/yTvelQJQwD3MxTllgPYNxodJ1gnAZVORN5RqA+Rs
nMgz2SQAdRO/lIixBsjyFM+5tHYBCCsMr9hyMEByiYa9ut0C8D1I3OG1qAFa
z2MSm+kXgDQhy6hbs/qov7jx2qURAbj2Zjen2hN9VF56VZj8XgDUd8ZpdpzQ
R3Id5D8PPglAL3tiq+YufVQiNCQuOyMAn6TiO9Nn9dCBdw0Nhd8FwH586PN4
th4a3RYzKrQoAISgU3Kcjnpo3DkhJu6vABxXYBOT2q6HxJg+TPxeF4CPE/di
5Kp1UV2Q/F87BgIs3xJJEz6gi1S+f/lQzEKAH77ZZXQceH1byjzc5CBAoFrQ
k6EyHaSS3HbEhI8A10saXqXb66D9/rS98SQC5O6QaHNYAvRff02AqSrTerYk
QM07Lu+kEyfAPs1AywZZQEcP/jmzR5oAHsfpRD9E09DVntsUZ3kC8A77CJg/
1kZ2GSlYuCIBRLIFo/q6tdAvm6HEVBUCKFB3Hjg5o4kC6f9dfaxBgOmJ6Kew
oYHyU0/x1gIByogebkacGugf12FaswEBhvh0HVJI6iiktkW01ZQAMtm6t1QE
1ZCs2/7251YEEK8R5tDG9qMIN5pmpT0BsqoC2+sFVJHoFCE1z4UArx0HXzVv
V0Gaf5rH4zwJoHaZBw783Yemovh2Bh0gwHFfM6vKCSX0Lzj7osURAvCcloSX
bXvRQHHfb4kAAtT5fw+qz1NEcaT+W8vBBBiRbHW7H6GA0hOy/FtOE2CeVy2N
mr8bObxhvhZ7jgDofV6pgoE8Yrhz/59xJAEeqjo5F7yTQXryw32MV/D9/TLO
zD0ijfQzJvhqr+Fj8aPGlt8l0KOgnoEjCQT4+VPl89AhcRQYf5bCn0yAPoei
601PRdBn5rTl6tsEcJfQZ4NoKvr4rTDUKYMAh+0SRK/pEpAKlTVvIRvHx9Mi
fX2KG3WvzV6/mo/ns0M5glOcGf13fUSARE3LaOXIpaa7L/nqsksIYETnT9cp
UkMr4v1JlqoggECbiGQZ+ksb3nncp6CaAKHXb91mEWKBVuPfWWINBKBZmp9l
1+CFS5db399GBHDVeaxh8IcImyf/SrK243gNPGAvbRCErteXr4R24fFxjp/y
MRYDLxWtbR96CLBpGu13br8EfE/oLacNEkDeetPGc7c0PHzXmpo5QoCXuWWS
zTKy8Kf6Su3yWwL0Xrva6Cy7C1QWXXeafSRAVf7uhW8kBUgSOvr97hQBtDM0
cv9mKMJd0WfcX2YIsFgaVC8loQQszTsy5L8TYGU0MNTqyT64IB9+78QvnL+E
J44m+1Xg+gVPUvESAbjKUs8vtalCj54z5fMKATicUxr32qnBtbX+x5QNApi8
4LX5PKkOZ28KDJvQE+HZsn/v91OaID1ukxPKTASdazNyMtu0oUnkHjmTlQgS
A6WNZ9NpcPjYFz3ESYSoCp+742kA+pJc8h95iZB+5W/vER8dkAgeeLNKIMLZ
NB8FU3ldmMx57cBDJYIpn4FI8F9duF2Q81BcmAh+UvcfdrfoQVbow7cK4kSY
UoMrRgn6EBlKW1KXIoLemiFl0MUAXk3lbYAsEbaS751yljT83/U7EYpr/S06
fhkC701LOp29RLj1PpuVvcEIWDdTWDVUiGCm5lfJHWMMIWuPxBXVieDJnMrQ
bGMCC9W2dju0ifAmSduGTdAUUiO18nh1iTDvK5g/8tkUsrkZqOsG+Hq2PI95
Ss0g6qtY06QJEXifZ5XnhpmDePn2u+0WRCi7dbT6NM0CcqM4yh/YEOFlZJHj
6W2W4K96givSgQifyRVD119ZQm23S5WTCxEcxjyImUlW8Oj+l6dyHkQ4WmUy
/FLWGqq7Sczr3kSI857w2h1nDUPH39d2HsTjjZMR+PHdGrb94h5JOkIEztz0
4jVzG3jmHu7tdJwIJ0z2XTMrtoGozH4vShARPgnFqI2y2cK7jsq3o6fweKYr
BdKO2AL4Vo3eCiNCDZH/SGS7Lag8svUwPUcELStaWIKYHbAPLQVvXiDCybF9
52vO24G17TJWGk2E7fK+hcsjdrCXdN/H/Sr+/9DnIjoK9pDRJ2my7ToRivg+
MtyMtQd1qadjxfFEsCVw+r37aA/udHZE6yQ8Py9dbTAVB3hex7f9VwoRlFRq
u4xuOICB31RF3B0iVN3h7HD+6AAFGw9FpDKI8OCvoZrhXkfgeKRq03CfCM4J
p1i2X3aExu92llZ5RPjmN8Kd9toR6j+XC34sIEJT67r07A4n+O/+BxHinw8J
Lgc7wd1HzXp/nhChsrSxvPq5E9TH3Sw8V0YEw8bCfAk2Z/B9PrG4WUmEO54i
j/bZOwNziJDcxRoimL87fORjhjPIP8tzWK8ngnhP4lXBaWd4EdcSdrqJCFcf
XM2aknGBO2r1aT9aiOAmsldP/oQL/PRorvZ5gZ9/6tLWj6cucGz3v4+DXURw
2pboKLroAmLZUQI6Pfh6KpmtdYquMJbq7VrcT4SIRv26ykBXyOK4XSXwGs9P
e0QBc7ErJBmRdoePEiG4v/r7gy+u8HvtRfv7t0TINJ//ek3EDRJOX4zWHCdC
zlLL7yJHN3Dt4zya/gnn37NrzgxxbhC5XenC72kirF0+7HW5yQ2KNR68MJ0l
wmyTGUF2wQ2qEZvR/W9EsEbHn/8UdYdSeyamhZ9EkJ86Gd1r6Q77YQcDLBJh
dflmbnu4O7hE/DSIw3Wwhef92f4H7pD//tPQ8AoRePryIr69codumRNPBdeJ
8Gv3Sy3+3+5w12r1o/cWEY7NYX76JA84cm78UC4DCf4deVh7Ts0D5mknTD4x
k4DylCJU5eIBGdU/bwixkkD8A0f8rzAPcCy4t9eJgwRzhUd37EzxgGd3C3QS
uEmQx19PdC3xAMSl2tjCR4LDO2PqLr3wAOFY/0dLBBJUTRVczH3vAa+q7dkk
KCQ4WJ61VPHLA+zSt6asBUkg7LPc/ozBE/67P0aCWY6k5/l8ntASl8ibJ04C
0h7mzihRT6gVdAnolCSBCenPnJG8J3SlFtt820mCqQeHrJaVPeGTnF8LuzwJ
0lQxrRtanrDA5dAqs4cEr/RnMWY9T/h91cDZYC8JdvFyh/gaekIk99/Lnsok
yGpI+Zlj5AkbJ8UsQveTQPnKXYcWfP7g51OV1zRI8Ozns5QW/PhM4dTn97RJ
IHDeuDZH2xPCQ3YEFumQ4JjM2KKnqidYL1V21eiTgJ7tcPLqLk+QOj860GpE
gqcCr7iDxT0hcYjnxitTHG87Nrp2AU8QbhtfGbQgwXraI5E/THj8itXCo9Yk
eHuHy5L+N46P4na6N3YkGMgaTPg67gEu4vuzxxxJoFiPsZV0ekBzaz7DiAsJ
OuX+cFg99YAWs4eyA+4k+PW3gLUn1QO2X0jEXnqRgMmK687Osx7Q3pw3hnxx
PONOlvu6ekCoqpTfMz8S0LaJnojA82/Za91WeIQEccXKZueIHuDt4rh6+xgJ
LLx1Vj0X3CHggS/L1RMkULJ76CT30h2CYu8uBAeTQOYW5+mpbHd4t4XVu4WQ
IOBuXcr1UHeIU988pBdGggPYNkkJY3c4W2azsjOcBO1f6rsqyO5AVBc9yRFB
AvuEy05aM25wkhIw+uMizrdS8+G2CjcgkJTleqJJ0PK4+LzlBTdISzwR9PgK
CTb0revGDd3gx1XWx1diSXCHzXN3OKcbxNXNv/W8gcc7P14sOegK/91fJQF1
TlL7S4orHB2R3M2eRALHcFWRZgdX4Doj6zieTIJb7Iot9QKuoP5tKrI0Decr
Q1nvuwEXUEoWKruQTgK6e1ri0vEuwLmU8dUsA8ef80l/nqEL8LeK7SLdJ0Fv
X5yE86Yz/Fr2uzCRQ4LRfdfum1Y6Q/Go0EThAxJs0Q+vRR1xhqNcK/YBhSQ4
unJTmhlzhm+VmR8VHpNAxEvJ6l23E3w7WB69WEyC7uz5IfZzTqBm9BrKS0kQ
0ilkk7XTCXLEMwSDyklQTsm9dxfX20f+mWT5ZySYz7Rv2X7REQiWh1S/VJOA
XH2Ea0HaEfa3XzyXVUeCjzmvGd37HEAwO2DGvpEEx/lrfWxDHeBUSkkEKyKB
UHOn+AeKA3iZNUBDCwmafpRGMDfaA3Mgu1JAOwlal899fu1pDyvV7E6CnSRo
+MrA5rBlB6Fr0qVdL/F64zUbS8yygxClF1qhPSRIOrcYnqhpB9dSjZhF+klQ
fzvN1fONLWSnbt/eMUgC6acawiyhtpDw19s4YBjHI6WyKIXbFkLe5nXyjpEg
fjvbTr5HNrDRJnKj8i0J1Cri1a7r2MDpMuFbDh9w/F0D25neWMMzypePSx9J
4M/vKXQt0Bo+M1SfvjWJ7/ePbIMwszVIsvY67/5MAnUZgbi7Slaw5X8gtnOG
BD9IhbxqbpaABIpYfOZIkLIRu7IzygIKi16P/f1OAiuNyMvh+eaweId9M26e
BDlWYpbanWbQJhB2VnQR5+eStd6Vr6Ywr6BuUb6E48H6otCb1RT+u39Pgsmn
NwiT0iaQwUvbNrBKAh2bSxGYgTHsTi+f91gnwfmcL9IiPkYw7PZJ7esmCbwe
dVVunTOEJ8Zvv5ykJ8PdjxmC/akG4HTo4coaIxn+EEqf5pXow9R72+CobWRc
J0uxhBd6cHnrve02VjJ851DwzfugC2qOhvevsZOBfkRq6u9vHTArvO7MzkWG
W5VBztmsOlBOlxt5g4cM1O12o2XCAF7NkRQ2fjJ8zvqXc+mQNhzJJUnGEMgg
6INJvUrQBG5kl89AJoPXH+zm0Sp1qM8VzjhPJYOW+5/52A/7odfIk/2PIBnQ
ziu8zkyq4Cn7Z+mYCBlGL9+KYJZThmGzFtdPYmR4yToYjmyUIFwzR9tBggxZ
WnNctWcU4d0O/9wOKTKQUn9u0mAPiHUtxOyXIcOAp3CBxU05MLzHulAoRwbZ
yhsPtj5Jg1rtxY+E3WQY0/HlbVCWgIlVYYdoBTI4L7y5MXdDFLiXSux+7CXD
w9CI8NkuCu7zS+8dlcmw48fCs5hoPnjpWbr4XJUM++cdcolXtkEew/00SXUy
fHwQ0Ksh94s2Ohzx8romjv8xxuoQ4a9NSbmMN39qkyFqerpi5CYTShb9PGut
g+MZV7dP3JcXXVsfGinTIwOd4/NhtiAygo8X3HgNydDIbZZvHSyCXoQknQk0
JuPXrwJKDXt3oKhTlXtemZIhsFfhJFeBFBLJi4+WtiDD1pCz8HE+WRQ91XQy
yooME7XYz5ywXShB6Rv9WxsyGFiyiT73V0Az1cWKivZkuKzrGz9F2IvuNGcx
xjiSoWRZmSjdqISKXzuffedMhgPhJ/1OeCuj/54fkYEn+flq1pYK2mER6hjp
gef38WHJrLv7Uf/vFdTvRQbW95ZcNorqSEgpZljElwyP+oefZLRqIL2fj1ID
DpJBZ7i7389GC4X4zDLUHSJDTbIrKemtNvol3SHMfBTHr+BseNQeQKy6nXOW
x8hwrk9ozGoeEAU7duR2ABn4DSPK8ot1kEeifPp4IBl2VTBshBzWRT0LVy9I
nCTDjcNpd0tF9NAY7yLlaAgZ6sZS7IyG9RBRZ+p48Wky7OFsf7srVh99de45
8/MMzq8dVq/s9xsgdiRK23OODMX95U+efDZA/EFmzSciyNDX2fhD5qYhmlir
oXtykQy39aOn61SNEP3Nwc2vUTifYiyGbN4bIWaGrQbJy2TgVc+a/hhhjJq7
czW9r5Khlw2TdxQ0QZcIohfTY/F88V4ryK82QZp1I1cGrpNBWrdFrcnKFN0x
l7DdHo/Hv1VUmTxtilgED37WSiTDq/hdffynzVCD2jycTCID22kpWQUmc5QZ
IXgoP5kMUtJ+Vm8SzJH4DXAcTSXDc6vMsi2CBZIdecK3/Q4Zko55FienW6DW
wsoM1bs4fspsl69QLNEX8bw/fhlkuCLd7deeaolETNqFk7PIwP7t+mE9Liu0
d+sgpSkb59+n2Zj5aCtUwvvyy9dcMjQlK5TU/rZCIWrqsfz5ZCgi7xw2VrBG
CqKrmxqFZPjnITNZedAa9R00Nj/wiAyaHOdA5LY1enf/cPC1Ijyf7gtxMR3W
aOxwSmDJEzK84F4/++OPNYpzYDMeLCXDL8XePmtxG2SwnXF9qYwM0dNXjpeZ
2yAW2ao4YiUZ1jB7fe5QG9RwyuWfShUZ9IMe+Pjfs0HWZaImjjVk+PtG/3NL
kw367/kmrhdh8dsok/h6pRNXkxrw+L1i+QMYbBH7DdWzT57j9WJBCW4StUVB
6SesOhEZei5I3uPRskUdOk/ZJlvI0HWyXsLHyRZpEyWL19rIwHhfvaYs0BZV
jf7ex9eB88P2HInxqi1KPKtTsLOLDGruy5jjXVvkJ6lIr91NBuav36uKim3R
K+1pQ9seMvhp31xgarRFG4fCz/j1kWHpjMwP325bdCaS93bYABlO+elMvRi1
Rfnl7XmxQ3j8uzol907aIq+Asvt3hnG+KmuJFMzZoujjP24UjpIhon/EVmLB
Fh2tv3n02RsyWHA+di/5Y4t8a56qtbwjg2TY4ILBii0SI/ts9Hwgw+Hp9Inv
+Fj0a8WzsY9kCFbM5sn/a4u20moPTH7C9XA746WgJVs0/CNy+7cpMoiUXbG1
mbdFF4RI+YufyRDWVlNhMmuL3jfEqK/OkOH0ptgft4+2SKDnfdfmV1wfWA5e
vP7aFj1vELZn/E6GVOlDw6MdtojvmP3bbT/JUCh6PsWw1haxyV3yYP1Fhtrp
+JA3D23R+Rcl42yLZGj3oxknp9miXVFvPNmXyBBrS944HW2LxjGmj2zLZLjw
qehezHFbZDW6y5t1hQx3kpFRp70tUguzn9q2hvvJVhhoatgiI4OQo4zrZGi4
fnrii4gtoheI/b25QYYEGntWN57/cp1r0atbZIgJr/P9OWWDTOoDSb/pKXAx
QyfFvtUG7dlSrPjGSIGuJ3b8TDk2iCLa7jjFTIF6F4HPDBE2aKhDkPEtCwWY
qkyUnJxsEL26XG0fKwX0WRLMWRRs0Ljjp7Nt7BR4EB71gMJigxYzdxvWcFLg
yeK/oZT31qhJgV6kiJsCWa3a6RefWiP/YQPmTF4KdAZKjU1EWyPv1ZnVeH4K
TJ5wv9tkZ43+ez5PAd8/sdw7dlijic5vvAEkCkjZsGKSk1Zo87GQqhuFAuMj
AmJy56zQwwsWJ4wxCvxQHjx9mNcKWQl61+wTosD2Iv/Srw8s0V8+NaKoCAUc
DiwXNStbooeP62LZxCgQj03c22q1QDNf2nmWxClQGW+8UWFlgbBr6qXvJfD4
1o5mzo+Zoz98fw+2SeHnq/p3p9XLHA12ju0t2kmBlXup7jrTZoi3sp6SJEuB
hCz+/PBDZuhYfjj1tDwF+oxXL0Z9MUX6qvPKrrvxsdaw2ZGDpuhH38JxLQUK
VFQ/qNGZMEGLeS5IZC8FDhBVO0VdTZBdzboC/T4KVHsk9ZIHjVHTdGnTJ2UK
PHxuc1LL2Bh1DRsGNKtSgI6Z/0lugxGicKeoZ6tR4LJOf7f7HiN068eRnRc0
KCAvaBwYmW2IIh6lqrppUaD7knecOI8hKnD+ekSVRgGa2PXjzhcMUMgvxUY+
HQrs6N9RovpNH7Eaayr/0MX5sWtcf8RRH5lQXw+80KfAoqhIuGmzHvrJ0pZ8
35ACX6z8fjyW1UMJ6cPnwowpgAqKUriSdVGWzsB1S1MKXJt51RC3poOCPC80
S5jj6++cYdXy0UGKmnmiaxYUWKU1hal2AHpLZH7Ua0WB/DAJ1xR5QJKCR9xy
bSigZEs+NixOQ2cCEveH2lHg2WmeM2nftFCvmJaOkQMFzuff9LpeoYnuGu09
TXaigOY1BZ7+cA306MvusVlnnD8v901d1VFH6/SLh2tcKTBry5jZy6KGstPV
pGLcKcDZdTugo0cVXSpu4XfwpABFdOVXUrIK0lI3URT3poD4+4d7rFyU0bR+
7MWfPhToeSJ2X1RkH+oeVNuqPUABniod8Z2f9yLTX8Syy34UWJZvY40tUkQR
ZaOplocp4JlfKXDgpAL6p6RUQjpKgauSHZ9qTu1Gt7I/rn30x/ma+ez0HiZ5
9N/7JxQYy8+jP5kmgy4KbSmdOEGBr/3657tkpVHNizdi+4IowPL+bPPFZgkk
mfjacDUY52u2WsJHV3E09is7r/EUjt+FJaajP0UQ6dz8/qhQCuToK+mn7cLQ
6lAgi34Yni+J+KJPp4joX20/97azFKiRHxqdaeZF2czItiMcr08V1UMJCmzo
3+O5/pjzOP7u0j9o83RIt379utEFCqS73PDNYZpv8jyUE7UtkgIp++3fsca0
0/zXo5+1RVFg5qCl1MWaJZrevKl09CUKHNmudeaPMSMwvs4Z1b6C85UiFk8T
4oDLB/d0rF3F86e7UTJ1jA9GIu8uP4ulwJnmB17p9URACtcOBV2nwKlVsc+8
G1SQz88mycZRwHTmzvGMPSKQrXaFbSqeAqy+i6J6j8TgUehb2r1ECgzLTR2K
L98BJlx6NbZJFAjkZH1pUyEJnjPeIazJFOgXmyfvK5IGdsJwSFMKrieDY7tG
02WA+IFWF5JGAbfksR/vL8iBeQ0YyNyhgOTuGaMvLrvgvd1p4od0CkR1rSkl
y+6BilsXdt+8R4E0KW4XnTMK0JewHK+bSQHiFoFW6qAI6XfDlZey8P0mUrQv
7toLiroFkvnZFCgWvciXt7UXWs0FvBxy8XyYFZ7keKUErxo9J5keUKDJ+y/X
k1v74MiI8NOKfFy/mKeSTtspwx3ij06fQgrEnPtz35VLBS5r++zifkSBD5ff
jZq2quB9EN94/WMKnL55fHD/SVWISkh7d7iYAmFuleJEbD/MRV+S4i+hwP3E
dYfXjftBZS2gqbGUAvtVRn4fdFWDPyxzBYfLKMAsuuNC7S810GG58YGnggIy
iSLBrZHq8P3e1IHaSgpwPzumF8KmAdUVV9R9qijgqkA41BivAadjGHy311Bg
4Hq2/k02TYCMubcltRQwqOYzGI/UhNttPfn29RS48GKt484vTYgT02hdbcDX
33FuZ5mLFkztaFbKek6BRhu7BnKD1v/eX6PAMYuvQ4ikDazBFjyfm3E89trV
3T2uDVvKARExrXi93fF+drtOG8bSxmgy7RTg3fWA+RE9DTLyqM4vX1DgjknE
lyYdGhS0NL7w76QAZi6W0BNOg6Yyszi2l7jeaufvai2mwa4Yi0ePuingZcKy
kDRKg8ZyM2HjHgpw2O/fkv1Hg7ebPd8+91Jg71O+xiZ2gMQkN75L/RTIS/Sm
AREg5Uf4LZFBCpQ3XL3FLQRg/7vseP0QBVKT+EBKFOD3pys5jsMUcIwW7zsv
AmDpfE5xYYQCRp/829gxgE0HotCNMQqsPVTP7eYDcNB8e1DiLV5/GpGzldsA
3PtMWBvfUaBlX4ZM5A8avFKZYXP4QAGJiCb97nYasG0p+X8fx/l9XlNAM40G
ZGqZ9KUJPF5P0yutnjRImhjXo0ziepSYEGkrQoPbfFpNJVMUkJvSujk+qg1t
Y6Z39T7jem3ydj4wVhtE2q8Oj36hwJ7jWT38itpA9/pE8LFZCsS+FyoeHdAC
5oDIE5tfKfCUUuDb5a8Ffw/s77n5Decf332hv/804ekqX4L4Dwp4f/3mGXhF
E1g+3Cir+EmB3FazTWDRhFI54f36v3B/8qmTORelAcKn9MVfL1Age7jfb9eS
OhwrOxN04Dfu12ekEg57qcMex307FpdwvhmUDau1qoG33i/1yGX8fFNSHZUi
aqDYK1HDuYLzicfD4GvIfvjaZHLv7ioFHt99fGO2RRWeO45MS/3D9Z/XeHcb
qyo8NNRJLV/H/drwKTXBRAU06uieaG3i+mRIf8c5WhnO2l2X79zC+fDe3Uil
ch/kytsJ2NJT4cplEwn1j0rA8qbv4DsGKnC85rsSxqgEb/1ChA8yUcE4ShZj
ENsLq66VOt+ZqWDyK/b3D1VFqKln6DvFQoXJb5xhVsYKUMEy+GJtOxX0hlqG
Tz/YDQkaKTJRbFQoDnz4Kb5IHloH6v5u46ACOT2Km7tAFg62VinGcVJBNnGU
JJWyEyZjV0Z5uKlA967rxFaoFPz3fiIVaHZ9+p1mEpC+yHGMzEeFkLmwmBKC
OLizP3e+x0+F+/5ubc2FIpAwGVwpRKCCvt2PCCFODFrPpF24T6SC8NSxhH43
IgTYpleLkqnwu/Vtp2YKLySdmfHKoVDheMg/xhsBrBB19keYGEaFw/dPGGlz
b9FuHyXR5QhSQfUu22O28c+0uan+FRFhKixkfrgyxzLVtMV2xTdLhAo2aPY1
u/Fm05VrWVqCYlR4hwSMu56wIrrkmOvp4lSYIcqNK+/hQxemH5kQJaiQ9tHw
TuxdEjJoP3HuliQVLlqc232MLISustBEuaSp8PGtKaZoL4YYWC/tv7aTCrdU
q/T/Skig5orcNkZZKqyqhz4w2pRCFReY2yPk8P9/3Tc/8VEGeZ3gU/8rj88b
xq5HdsmjOIKCRNBuKvAbEV5M1+1B06ltl2b3UOFUoY/StIsiyspWdvFWpEIc
31Lc7zd7kXjY7IPRvVRg3q+RGeGxDxV90zlsuY8K854EMa9pZfTdpyC7TZkK
ksPuB0NOqKKSvrM26qp4vrsv6KT/249CG0XCS/dTIYvKJ/bohjqiGP2jSqhT
QUXsxOoFYU10TDBw3x0NKjx6rmP5p0ILvYz68IJdC88/k6zCFzMa6rB+OHhB
mwp1eRJZhFOAqlcUnBdoVPAZ/9ljqaODHC6OOR3QocK4/nf6Gzy6yD5qa+C1
LhVqrdVdqyZ00crebR0G+lR4WHmooaFMDz31NletMqBCzDf1oWuX9FF+oOIO
KSMqONyL4WJ1NEB2ngI3Uo1xH16Zz5WUMURYu10gkykVtLSeXXu5bohej1j0
nzTD+S8aHTnZb4TcfbxLJsypQFVXYXXON0ZyvbOslpZUYAgsO0oIN0EfxfWn
6qyoYOt7v4jJyhS9pO9Tl7bBx9O6GdwSZij68WeeZFsqNAbpvBJZNUP+a1N+
m3ZUQOdOJAr3miOdAEn1ow5U+PknbX0p1wIVCDEnDDlSQb3O/MeNMEv0qP2D
j5YzFU7Tl290m1kh8ybWqgIXKkh5iL/o5bZGPMxT17ndqODKOuwectYandnb
OhHmTgW1z5qVLyet0X/v9+L1O345q93MBgW/Xecx8qJCYFZGr3OlDWp/xvL9
iTcVAoyFx8IEbZGZxnkTAV8qeMns20O8bIsclcplwg9QweIZRXjnN1tkzUYf
//Egzme/PUX5NnZIY6DplP4hKogMnm6OqbZDu7UNxh8epsK+LB3NDkF7NFQ8
84rjKBXmJCRn3KPs0ZzwBi3InwqsOj8jdD7bo+ea71SHjlGhiCO1OMDYARU6
jFYqB1DhS6oC99vHDijK27D69gmcj3lzihc5HJHM+nnaaiAVtIN/33QIcERL
gX0WrsE4v4+E3nHoweeLkybrTlIhYjz2QZi8Ewo3JW1SQ6jQMCpNX3ndCZ1O
qMgOD8X52CA2xzDrhFgO1b58c5oKK8LcN9z1ndHHo+fO7z9Dha0gg62a+85o
4YNZVdpZKtxpeWnDs+aMZsrOn1kKp4JpkkmEq50LSozyarU5T4WnWkzHE4tc
kF2qwe2SCCr0HO76W8DgivInLy6xXaTCjYkvX+84u6LTHF7vDkVSIX5O6J/7
E1eUfUDJvCWKCtintKE5OjfkOmNuJHSJClFrr9nU7dxQrsG/V2GXqfDv5yNp
3QduqOxd/IeBK1QQvCyTvfbbDflU2Z2Vi8H5P5b5xlXXHWXeupd9OZYKkZnh
O10T3VHvhwq7D9eowMJt0z//1h3pVc3dUr5BhW0ZrYz8kh4o41u8Z3wcFRJb
z07XBXggla25qul4Kvhl818ar/RAiRJWGRqJVJh4IfQxZM0DVeiwcN+6SYVe
ceaZEG1PlDPvxT2bRIUDCmxnhiM9UXl4fqZWMh7vXWXP+GZPtDW5o+5WChUO
zZnaJ9N5oRfvpfxmUqmQ4t7IOK7lhYb6V7M0blOh8mYu08GzXmj8/czhxDs4
fzgKP2AVXmhhSANNplOhNYGeaX3OC73ShofK96hgl1MREMHjjYzcaaKxGVRw
8dpyjZH1RuVil3a+zaRC9A22rNt63khVw6FZ7j6u15Oew8Vu3kiDY2vufDau
77xt9i9OeqPG0q78nhwq3D1jdXIq1htVrmwsCOXh+rx86CpjljcKPDndF/CA
CkG8bd8ky73Rb+92WmM+FaZYwrZM2r2RU/OsDkchPh74Kho46o3+e3+eClXi
U2Ups97o0THC5sNHVDA6c41Yt+KNDlg/qVl+jPND8NCzcRYfZP7hwTb9Ytzf
dh75S0/0QVrlurM3n1ChvmPGaMcOH6Qn2+PxoYQKP94/FNDd44M23a4flnlK
BQ378R4PdR+0SEHMoWVUKCTt+hKq74M+L1bsR+VUKOUpHbxm4YOU9xbRsVdS
YbfdMlu6gw9SmJjzcHhGBc5ZbtY8dx/k11Jtfb+KCtPMMSaFvj6Iwd3xzWw1
7u9MR8zyD/sgiZ9sK4q1eH2c07uZccwH7TpDeRJeh+vZPsWMuBM+iFzTvtJS
T4VU46E/IUE+qE/W7h1bIxV2rDpLOQT7oPMczA62z3H9FomulcfHb52FD6U3
UcG8IEfrX6APiuv+xDWBcL/mzdFDAT7o+ESSlVQLFShajF7n/H3Qu6Ggncdb
qUB/fUZS/pAP4s9D6WVteH/wnkNx0NsHhXO05i23U4H90msswNUHzSXWGmp0
4P4WZ3B53dYHsQV+jr7YSYWuaG72SFMflPokxrm1C6+/tHi7v+CDink/dWzr
xvNR0sXoq+KDxCT2Dpi8okKy+8W2Jlkf1KlQHxLXg/sts4gOj7APajFsKO/t
xfX2ab+0HQ8+vz/0Bk8/FfYeCJOJpfdBYZmSWzYDVLjeWbFasuCN7vdxcCUP
4vWaOWPZMeGNYn8erRkawuvVZv9kf6830h8/t8k/jPuvzuhsd703mjeKmrAb
oYLVkEJ0XaE3Yrpb45k8SgW3bBPr+7e8UeZ277ODYzie5ylb5897IxT/TIH3
LZ5/9RR9Rz9vVPB1+bLVO7x+fpRN7LLwRgx5Pqfj3+P9yERY5rZ93sicRYm5
+wMezwCd1RQFX1/uoeL2j3j9JLIXxm94odWvG//0J6jwQqxH6ki7F0qaCToY
9YkKNXcOMrjf8EIciVrHGidxPmDeSoFWXqiXP5tndQrX32+9HYW8Xigj+LX9
vs84nuq2k+yDnujrceL+wC9U8GDaU5dz0xPxJ+fUPZqhgqWb571AC09UpF72
fmqWChna97+c2+6Jai5FZgnNUUH8ZgxvT7MH+uNkSuf0jQoV7KkFR896IMox
E4ab36lALNY2cN7jgUgaNQ86f+D6+YY59/6UO/LiGZihm8fx9Yy5apjmjv77
fgXvV6riBuyM3NHlyVnroAWcb8pCYb3LbmjjkFtY4SIVZBgTIxtxfQ2j86KN
/6bCzcE7HDtt3FDWvPwjgT84Pha+VoR1VySss1lpuoz7WWrqrbh8VzTZw34g
8i8VuIqDlFMtXJGFRkLFsxUqxBqPFKssuaCof40Fc6tUyJ/3vHQm3QWlWgxp
ivzD/SjY38VXywWNam07bbeO6z2d4ud/H50RS0GCbcwG3q/8HVo0j3JGt3c9
GKzbxOv1SuBBDzFn9MnkwvKPLSps3Jbbq4yc0BFt++ei9Bh0MVr4v/dwQgQh
D1k7Bgz2Nhoquq05ooAXfepXGDH4sPWyuTbVEfV9nZyvYsIg78T743QKjqiU
ucdklhmfN/mYrtrlgAYOtxlTWPDjrz9+cdjHAV3ctfXdZDsGIiLpMekr9qhD
r0IlnBWDqNyCk8MJ9qj8MFHqMRsGWR20iR0S9ihCyrP+DX4hOCkYLRNfY4eG
PjQtb8f78nvd0o0UczvE1BA0psqFQcH8bZHBcVukifK9D3FjEPd1ee55kC1q
qktOTOHBYHeqSt8svS2iWAT6tfBiIFUqdcv5lg3ymDs+Oc+HwW+eK9wkcRvk
OIq2CQlg4EjHpbarzBoh2fuDJgQMmi7EER/QrFFEj4bhaSIG7lLDN1jvWaFX
4S99ckkYPNt1afnpM0t0Hl2Q7CXj45XX9DZ9Fkhy60bSKgWDGEvBwPUZc+Tk
L1kggWFQ7HZM/sWWGRrZfuGAlSAGjdbP7JuJZqijsrPrrBAGtf9+7qHfZYrm
sP1v8oQxsPXZo5Sua4JeNm0m9YhgUGPdT5fpZIzm/1guLYti8Gk94YjocSNE
nHWlExXH919QfFg10hD5pNhXGe/AYIuTW2Y52QDF9gQQgyUwCNzjwxxcqI+4
NMZE0yUxeNKldKmhTg8FubQPIykMNjeEnH706CK38EPKs9IYKI9/OED+pIPG
2r7TuGUwOEs8W2e7BChK+dofZVkMBE573C1jAfQ067ijuxwG5/8xTKWoaKPy
hx2+0fI4n5TYav08NdHCwEvqw10Y/DJ7YEEfo452BRZc6NmN4ddjZ1OTn+5H
+UXXExb3YMAsaTpl/E4FGV0rNCUpYiB6SG7WgkUZTU3IV2jsxfn27FVF3z4l
5ORr2umlhIEHR3XlvwOKqCFlz/VL+zDwvC8YvCWzB/33fRkGSqb5Y/w35RCf
JxfhpQoGT4X0apPWpBG72qHx76oYzNn+/DZyVAL5WOg6cKthIFM0zqo7LooI
LgNnFdUx+FOOvT34lIrCFnXM7TQwuJXHLEv3lB/Zx7a8CtHE4E3xQmNcGCsS
8Y36l6qFQXrinIeP9d8m6ezisSptDK457nC86t9Pq9I4eXCUhsEXSZusQ9Zb
NBMWuvt/Acen+KBcmTQnVJZciiXp4vylv14cZUAA62pZMVU9DNofVz1/OouB
dKT4UUd9PN/8guGR2mIgpHvHO9QAg4xuJr9tURIgyFPLkmKIwWv699ur66VB
e7TMs9wIg/xP51c8f8rCimepX78xXi/suUEvybtBz2Rc8KcJBg3NY0W+mQrQ
znfsMrsZBu9XWrM4ZffCFl90xk5zDFh+5zwxK1eCwPNWfgYWGMTnxpowqChD
s/vWuI8lBmqH1qqJz1RgIaOR9YIVBtaPu/lO7NkP4fRVn9OtMUh4vN34xwM1
OCMrcOqZDV5/G28pZwkaMJLMWN5vi0F9ZKDwcqQmBKeW5n6zw8Bn5l2T8YwW
GBzQM9jmgMGdM0yaDsY0SOScSxd1xGBnLwxu2QCsRfZmqzthEDStO0/YAGi5
irnaO2PAcMtnwDNfB961/WsPcMEgOOqh9itTXRB8nj591RWvh2+dX6x+6IL3
oEjVfTcMhP05DryL04On2jXqNe74el1GKt4y+nBYKP5kvwcGBrM9r/pa9MH9
UKfHrCee30jf85iLAdDPJ69veWGQTNl1ed93A0jwp1iRfPB6Hyzi4DhvCBL+
0Q67fTE4oV0gnbzdCBbdV7gNDmBwnCbaX5dkBB43H1xwO4iB+SvzuVMkYxBR
eJoT7IdBxGKkXmm6MQQZ6p+NOYSvf0XqlgfZBOQarjFnHsagk6c0NDDZBL47
PzIsP4LzM+fq6WE2U9Bq7dbsOIoB8em2bZEXTKEskjL7zh/nl+ZjTt+fpsC9
XGf86xgGC1lDhWdczeDE4TFPpgAM7qt7X2ltMQOvlXRZ8glcLz/t9dGVNgeO
YuliuUC8fnZr0f2JMQcPv0dT2kE4Pq2xiu+mzYEyYzhgE4yB2VHoXdKyAJbX
0qEHT2JAs66t1Um2AELpqb7TpzCw8jj/qXnaAs68s5mIDcFgTd9KK3SvJbzM
+Fp4NxSD8lGtPrfzlqBE8pUqPo3vVysvL7TFEi5ZTbo1hmHwjaQ00MJkBf99
H4rzb4ThrJ6eFRgEp34fP4uB7+dbL/5GWMGnToLxfDgGNgOj8x8rrWCtbr/b
1jkMDjzVU16fsYLSMgkp7gg83pszQQXs1pCwsvVQ+AIGxu5RkkfFrKGu4dfU
rosY6LNHHjFUtgZmTqFRzUicrykGgdpG1kB8+zjaLAqDU9XXQmycrOHSctMX
l2jcD1I9ay76WcMyMZrxyCUMNoyVI7uCrcFkkPgm9DIGXNcmiXvOW8PDnLzD
l67g6+nlvXp62RpKJixKb17F9VdN7K/lDWu40qP+NDMGg7vpYQusN62B6Vqi
/+NYDALyVAUnb1nDADF4vOoaBrPKAR9Gk63hvAcTR+t1DAwv5mV/w+czpE78
7r2BwWrM1xEh/Pgl4aGUt3G4f46NLJ/A148bcfr1OR6D68Sb5z/i5+9BotsW
EnC/Tuv+Gojvr2Cf7ci/RAymOEbaRU9aQ95xHp9tSbg+8NzOXMTj44q5WMBz
C4Oh/lTGL3j8bFdbC6jJGOy4vZH4D8en0orOVyIFgwfRuRNKKtagUeIytisV
A16WbemJ4tZAb/2bVTUNA3KWmy83pzVUdfxapt3G+4NS6ujhb1ZwOi70vvEd
DJjY/F03aqxgcvUBo006Blr3rINno61Azzp3h8tdDAarnaaUTKwgs/Lmlvc9
PL4zhWlz7FYwpJB8+0gGBkbKgjdJ3ZaAKl59C8zE9Y/O/Xf7VUuw5fVeP52F
wRmB7wz0NEsoZAjqiriPQa69oejr3xYgLSVidzkb96/Wn92m+RaQvZWYfj0H
g0P/YvOD7Czg4Mp0xs1c/Py5P47ZbJqDlxd4pOVh4PSNtrGSbw4qR9ve3nuA
85+O0emUqTl4KiQTcvLxeozck/bqmxloPevlLCjA/ZTD5C/PdXw8fqf1cSEG
rmmnRswlzeB7GL9q6UOcD3TXSuMaTYFf2ftIxSMMxs7tFv5gawqDJdlO1Y9x
PWWf+2D62QTqDy4z1RdhkLOm+nIyxAS+NkQHPS/G/cM+e7yM3gSoTIfvNj/B
/dTrlUr7DWPoDmiLbivB8789g0uW3xhsBRpkOkrx/idMo+XHbVyfVk4kdj3F
+Xtwf68Q1QjWGTcrustwf8293deRbgifmK7f7inHoDtj7tIq0RCsy5XU+yow
SHt+sAslGYDFYyyjvxLXj61fWXJsBmB80rdx4BkGVYZGEsaR+qAetjNrsAqD
lEX6uxJLelDHmaA9VI3jbVLh0+enB4STFVlDNXj+59Y2HId14b/vvzEo8brH
91JXF5oFn2cN1WHwLzTxoGqJDggemNIeqsf7kR6Rt09IOnAvzPj+YAMGA/or
4ZoXAeKEOdFAI378dPjEdBcNLjPZ5PQ/x0DBRp/1eZI2hD1X0utrwmCkYtV4
h6MW9HW9zu9BePxqdfVKJE24EmfX1d2MQZ+TbjPXsDqoOvQ96WrB9SSRuDGU
qAY0t8N2Ha0YpEqzVOYa7YeXz9Xr2trwcePEp9vrKvAr9shkczvuhy47hPpL
lOFlEfer5y/w/vXBHrUjnvsghsEqrL4Dg+nm44YR7EoQY2MwXd2J7//DiVvy
VYoQYMjLX9mF17ut0MNkTwXYf2aA8elLDPwWy+5ns+4Gp8MPqoq6cb9v0heh
t5WD1oiHcoWvMJC3jnS8krYTeLjXfXN78P5K/aWx/6gkXHNudM/sxfvtI09C
fwjsAFoUG+VOHwaVvlJvzK1EYcdd+ju3+vH6z/44Go/32YJZ6E3cAO6PUllG
ymEEwE76jV8dxMDlyKU+oRpuUPjMWRA5hOPhmqakfJYJcp6OKoS/xv3vadD3
g36LtI2wiQunhjHgUdoqUB7qb1LqMrh5fATHl7mYJvZ2remhoKSf3yh+npeh
OXpt25Hx8L0NjzEMyqLp2M5x86Es6HBxfIPHW7Mpw/WchL6mtZ21fItB4u4o
L/sAIbT731MPw3e4/1TmfPdNEENW5x4xa7/H+6TWosnvfhJImKc7WPkDnv9a
w52MWtLoZObeXPlxXK/ufbf15pdFmovraTs+4v1OxIfTz2fl0Z1OQ2vqBN4f
OQ9KjTbsQV/a5Xt5PuH9/Kmx2jIjRTQW3s3DMon7502RZc6ne1H8ARp5Ax/L
7Tpm6U7ah7JmHkwvTmEgnvR/LN13PJXv/wdwe0QJ2fd97C17z8vemwqpkFIq
DSmjZI80kOyIkGQVonXeKRmVUSErCikqW5Tyu76Pz+/P5+Nwzn3f1/t6v1/X
P+dcTDh7TgM0PPlDvk7g61XvlDD8rAkiv+tfj0wKofOx/QcTzbXhy3z217df
cJ6lRjiplunAh51j7a1T+DwQlp/Hy6wHkoolxx/j3DcV8beVw18ffvoyjNR8
w/09jMK+Cgbg0S3AUTKN+3erwL5yQSMo0qdlzp7BeYDZ4PE/bQRqnn0vUr7j
/nYlefzAOM7nrXVWF37gfJE/kRieYgwcWxvTTv0UQiYebmKq6iZw586fogOz
eD+lXPwcNWgCjn9yQj3mcP7hFZn1iTQFV5daXrt5nJ8HY/e1i5lB+XePMMMF
ITQ7QmdS/cIMZherbykv4v6mcy91k785RJ/vzBBbEkKrGqfQW3oLuHql237b
shBqNplS+VtoAfJ8Pa8ZV4RQyI9D+tH6lrB7YZrrF7YYwybZXX2WoDyjLfL1
lxCCa9H3Tx+zgv++/wHP089qyT0M1pC6MXS1fU0IdZ4iHHyzrYHG+cBS02+c
F0XfplEUbOCv/BXhO3+EUCFX+Mf1xzbQsn6cK2ddCCU+eVm+aGsLzKTUm6S/
eF6tftm79sEWVt61OYb+E0IvGZL2MOzH57Udp3ICNnDeP9G5vOmHHVx7aVS5
k4ZA+m4WAfTB9tCtbpVoQUvg8+CX6fFVe1i4USqvQUcgjU90JUXhDvBoLjhT
nJ5AcQvWNRrrDtBL/+YVJwOBOuwe8qeHOcJ4QVvbBvbWk/nDNSuOkBEWdfkH
I4EoWijERNsJ7mlxkkNMBKo8dT2DLtgJVA+lBrcxE6iWvqchvcoJLK8IZdSz
EMhsOP7J3JQTBPG3ny9iJRD9A9/4bSLOkOBzX+XKJvz3d4Sn1nY4w0D9YmU4
G4HGi+KqclOcQcGxePEgO4GEv/rfWgJn6HcfonPbTKDnBZlJG4vO8Hqsbsho
C4F+2C7xPZB0gaplq/PyHAQa83Kj493hAsOJNdO8WwkUkHtxiTfOBWLOMYjS
cRLI8Ll/et09/Pcl3qI/sJdWiyK+4fP5jub3M/1cBHrnsGRRw+oKQTHRF5q5
CcRgtxpFr+YKfxIiR+9uI9DaAa2GEU9X4N8zwZLJQyC+nE3HdKNcgSOmff0C
L4EGeihuAqWu4Odn+egwH4G0KtyFw9tdYdwzxMyNH6/Pru7kfTOu0FB3LMtA
gEDKeQvuHWxucKTC6oGUIIHaH/ubNcm5Afsh4iaHEIHiU4UoilZuIMFMt2MV
u/SMc7Xsfjf4cJmzb4wg0EvX9La7591gdtVXtJ0kkOPFp4aNmW7wZfsW7VoK
gQrZGGfsqt3gD6O8YLYwgerQ3J3AFjfQte5pvSCCP493/z6eQTdIq+Y3DhAl
UOrKzXmbH27wcYw/3lGMQJwvbK03b7jBavC365riBHIaO7DDm8Mdni3ePEVK
EGhDeC+7PsUdNHs9CAZJAn3qYvW7I+8O4VEyqdPYdfdv7yjXcodpJ8m33VL4
+ax/n9IxcQexlIOjDdJ4Pdx+C3nbugPnEaamPBl8PW2H1rld3YFVUGBvtCyB
/gzZZe71cIfW6oaeg3IEEjmvvIH2uEOi1spWe3kCLTCI2Db5uMPWuz8JVQVc
z3K3r7f7ucOj1YZl3u0EOr5tkPbUfndIWfPP/YOtau9Q24Bf1w7n2jKmSKCi
J9KdGfj/tfXe2b9QwvdXyxvPid+/e+qp521lXB9dXmzy+PNFRb6rp6gQ6L3o
q2vjLu6gFXxiOEiVQN/Zurz18fVz+/s7u6oRaMg0sFQT39+T/R/TNdUJxPTZ
6P47fP+2fQvFAhoESrBJebNNwR3++34YAl3VVzX9g5+fsLPl9lFNAnm8bDyQ
uNUdfPvulz7TIlCLheOVJzTuUNyy7WexNoEuH+rmz5t1A17tC/TxOgS6K9/i
JzniBk7a7FMHdQn0t+dgr2e7G7g3d2ZZ6xFobrq036DODW4+H+GX18fPy0Pc
vzvfDTSFHA+yG+D7ucBZzRvvBneztWN/YItZVkTwHHUDHdqaoE5DAtUYNxT0
uLgBML6SrTYi0L6FpCVHLVwfdgX3riBc3wM8vhmCbrB01GTTcWMC+TyeGihd
dwWdhXZlJxMCmTap7EoacYUnbrZSyqa4nqO6x42fuMIFuuFpDjO8ntHOl3tz
XeGsZ+r5WewDm9ZOWYe6Ql7lhU+d5gTaEd72qMjdFZYNqdxVFvj9T8RmflF2
hdumvjyXLAm0PvfQVJDNFWjHz38JtCLQ14x2ZtMJF4jSlEuwsSaQSfW4xoHH
LvDVOvSXjA2B2KP55ZPSXcBYKEqL2ZZA53w9HGsPucBCzg7LSWyb8UieCUMX
aK7YIv3cjkANzG5/pLhdYErsaV+hPV7fg2lJkV+cYVtb6I7zDgTS9l5wXWx0
hmj3HaVejgR6oq6wlpDsDP/OBLzUdiJQtv2GmKmXM8x2vmjgccbr6aQdLyfv
DIe/R55ZwN6y68Fn099OoOlexdLlQqCDXCH0GW1OMHJh/+EKVwKp/Lv0VPy6
E9QNNOQluBGIOdFwednXCaYeNxX4ueP+rLuYzqnkBDFhUaeMdhBoU0+6xNqS
IyS4i/EL7SRQVK3Kl9BkR/gSU3NpBTtt/ltiLcUR8hTR+55duJ+uBBndrXWA
2hOTM3c9CFS8ZbNriKkDWO+ue5/gSaDJkbvixHt7uDsHl329CPQv7Zv0HT97
cJMQFjTYjZ+PJ/8PhQU7WB79HMLnTaC2fHe+2kg7SN4QLpnHXg5K9TFlt4M9
LtO3Xu0hkOi73Py5TFsQzHUPKdmL10tEpa5FzBZeXTktELmPQLpWTCVdd21g
fsD78i4fAmkOTooIadpAPK9Yr4ovgSbepO+4/9QaNvf1/tjkRyBWH2uxYgtr
yMpL+TCOzU3uOrX8xgr6PnlkPN5PoKMi6nb1blZAcDpLZPgTyNPufPOPQUsI
SoqLO3oA95uDWzbK91nClfxNTeYHcT+2/2uwPGkBtNcWn5IBBPqsVt05eNgC
BMtcM5exJ1tHuA/MmsMmRkOTN4cIZB1QFFN0yhw+d7VQbx3G883mQlnuLzMo
Jf9xRATi+q84RniHm4H96pqq6xECveIcT1v4Zwp93q9l5I7i+jw11Hkw2hQs
UeI8zTE8T+y/lrUxmkJzHLrUj23DqsUqmmQCcSws65VBBOqezZ2PYDeB9evz
BrHHCeR3Me/U1yvG8N/3SxFo8FFofRC3MVB7T+spn8T9cElnnpKJYPNXjV+M
p/D67bkfTIdji0yHb/wQNqeMgqm9oRF85uD4VhNMIEj7PqhkaQjBxvbC8acJ
JC9S+bzFyQDihpRkvULw9T/w05bx0gc1x3Ym5TMEIobY8o4f0AMxOoVGhrN4
/tx4GNp4UhciHQ4bDGD/0b0fK3BBB9hjrl+vDCXQi8DwrMrL2iA33vw8Kgyv
15PZxss3tGCilLbFPZxAT1l3cfVXa8Ly7/05shEEaoLwtcJmDeih2TD9i92B
GmaY+tWhrvPTs+5zBNq+j+2K+A81KA4S3nbrPIEc8vTucTKqwfnxdt0zkbj/
3/xg952iCnTCixo2F/DzCvOI7NRVgV62SkYyCt+folL6u13KkJrIemcW++By
7fL2BUXoCBAUb47G/SVkvjhAazvwn54/fi2GQLeCOx9ejpIH0cDC9AOxBHq7
M5X3Q7csFP7Vvqgdh9dv2oHpjKQMnHj/euemeAL93L6YFR8pBVkpR9eGsEO0
I4WIUQmwbFQ4XpmAr9dXe8nOTBx+fhR6fD6RQHsk7xcpVouCwTm7EcckAiW7
fKT2CYuAEmP3O5FknI/OEuv1CiTwfnxQMI9tP8jhUiQpCDf28xg3X8Trf5rf
7oYcHwxMrz1IS8H760/LVK/eNrBuDGHwu4TzUsBr99MenDDBmi+ldhnP63r1
JWfmzSDKdZ5Cf4VA/o8/9uueZoa/q3Lf32KHR0zM/FunBdbhuitFVwl07Cjp
MWewRg3sVGA9mUqge1Fay/THflBnPhTvMk7D/5+hZXkzs4f6Z03u/NZ0Aj2k
p13MettnBJLvQkexNbsdfk8ozRrxW1TaVl0j0LaSV4FmpmtGxbodixEZuD/l
RuXMe9KiNx90T9pex88ve09O8i9G9H6Go1Ugk0C/tmz7w3FmE3qr7rkwhd0W
eldAYmALenFYbqk+C/fXE/qn6y5zojTd1Ncx2Xg+spxcp97kRgKWBeHOObhf
kMVqcSU8SEXWn1Y4l0BXNu0+8z6bD9UHLXp/x7aXPTV77rwASinwTG3KI9CJ
uIXLzq5C6J5aRW58PoG6kmi3CfOTSD9/OcL1BoH08juZG15TkL+pjYZIAZ5n
Z/VHT2qLoPSYphffsW8xnaswpBNFe2pd5ZsK8fV1JoyUPBdFObyyh+Ju4npO
Suu6EiGG9ixan3cuwvOxlPJsXEEcbTr/8jBZTKBM2Z99ie/Fkdt4leI3bP6I
VcEDpySQlQV3R90tnL/d9kb4skoid6A3uFBCIPXjfl37r0uiHT5XE2xLCcR4
zuONq6AUSldqL+ctw+u3cGMbb4YU6pJ+WvwJu5/poWUWkzSyM4g8ffc2gT42
ap0fPSaN3nsQwmfK8f6zF2f99UYaPfMuKTS+g+fd/ZZd0+Iy///9hAR6M9Cw
/uK4DJI89lC+Dzt0erY4rU4G7WY/oFF4F9fjnmFi76wMSqrX5ztciZ/PcqC7
pqgsMhRy6FGrwvPPTsJLwkYWvZos9/uLvXJN1UvjsCwyrdvb+bIa9wP6c0Wn
o2RRNBHJebWGQD0f6vLnr8gijQq+7R61BJLsOThQnyGLPo9ri4rdw3nyLidd
V5os+okWfkxjUzQVJ6wTZFGpmmv6/fsEcr5oc0TtlCwylwjkjKjD/Z2dryxr
hyxaO2EdYFZPIK8vZ5/Fq8iiHyf/ZrI34PUqz2VhY5BFzsHXC99jl/DRT6t2
4vt7KB6d9wCfBx7mLbJdlUEeF+r09zfi81Vuz7tiaxlUvrqzW76JQObNmR4s
f6RRpx1psIgdqxwbbHlLGh3N5455+BD3w03D6kHm0siTzqYo6hGB0JfSV5c+
SqEbyV05Vo/xPB6jJtcGSaFQ/ftHOJ7g+R8wNfF1VRIF8TDw92FPevYeNQmT
RLabevLynhJIYpPN4OtFCSTNLPvHl0ogju0iNJn+Eih4VlBNFnD+LNzTV90l
jtbz681msTP/WZ+WUhVHsxPMyvXPCHRWKYR30yUx9OWSyHJYM4EW5T5sOzwm
ir55bLmGnuN5ntP/3V1BFIXSjrEzvSDQ7/h9+iPHcb2r39r7Ctvgx7c44d3C
6EHOoZSrLXj+WZ57/ruVRAtvDdPdX+L30zbWOoLPBWOnVIMFWwm0eShV7lqw
IGpgc1Uaxf6ZFSuXXs+PzEWqXxS3EcgtgY0l+SsvYlJyVw9oJ9Cj+zdsCzbz
IP5K1/MKHQQizSsKOSS5kRNzU9Ec9lBocBapxIk0i9Jv1r0iUNj576f5d21B
2wbnw86+JlDeVuMthtqb0ArdZ0X9NwS6iSS/qG0wonsBJ59sYCsoVX6IrqRF
8w61Us87CZSrfnLfoYTfRsrzdw/HdxGob/cH+9ux80avo08lWXfjfpqekne/
bMyIQYk7hr0H3/+rvOjLN2qotAI5O7uw132Fw1ilJ6lDXrzMaW9xf6lvrRu2
XKIWbbqe6vYOzwvuuNkeyX/UvcrSv3jf4/WJVn0vyssAIt39WgPYn21QDvN2
VlidqHfN7cXz+esGDcvOLcDm22Xj3UegmM2vJlvbOeGKqiop3I/zPHXffsYT
26Bf53vHGLYKjeq3eRE+cHVlcyv6gOftlvgDJgMCkOOS3+g3QKBnTFTXimwC
TtDXrEoM4vNuIaVyzEcYXss6b/uCXeHdstbBLwofoi6zlQ0RSGCLLK9RrBjQ
wumPB4fxfA0/Oye5KA7LV7ddkhnB9TBw+Mouf0moyD7L9w3buyztUfWgFASe
qT5X/pFAs2pog95VBrqoL6mHRvF6P/Ir3d4pC500r0dkx/B6MBx/ymAnD1R4
3f8N+6WtPq/PawXYc76vsvwTgaa6vxgIOipCb83K3kOfcd62ehDP/F4J/vv+
TAJZRVygvVCpDDLyNbu+Yr85T2f644QKFOntLyibwOe/kOkeTS1VMHDZ33xg
EufnwJwPln9VIRWePJP8gvPzt6c+bC/U4Hn3ufwJ7HMrRruOXFSHlJZa9+Ip
Aknnqia4u2qA4eCBaZ+vOI8WtmfXCmlCq8kdL5FvBHJdsxAKnNCEx/JJ5R+x
3aJLDxyt1IKdD7e+z5vG758ce7YsRBti2B2GPGcIpNbWLMGKdGBM24HK/x3P
zy+npaNZdeGFA+VCH7Zt4KAE3TtdsNjxirz2A39ej3X52Tw9QE6+Wc4/cf/I
UJLt9deHXZpzs1tmCeQi+4+GWckANn5HSbzGZqaTOP33lwFEJEloJs0RqLqF
5l4ZGMJ8y4SExTyeT3KDr5YSjcDrUtcc3QKej9EBo4dkEOTXz2dTsbO1Ah8I
pCCI3bxLJGKRQBZu3a5Rswg6dnPEai/h/UQ4bclyMQZiv0TLEnZKVJi6e70x
iI0Uj9cs4/ySW8tcw2cCkWE5o0dWcH+Ul3hSEGoCw1PbmmR+4f2j1HZOaMgE
vrYLH5/ADvF2PyCobwr7nrYyFK7i/VdmlJCeZwrbdguc8VrDeftJ7cS5dVP4
pirayvsbn0+zE0K6vcxg4tXMUg+23yZrmeiHZiBXHkdz6Q+BVnE6SOI3B0aL
P98s13H/fjzl9fG0OXzn9ail+0ug/Rr/QkLemkNCUsWOJ9gceQcnrBQt4D7D
xsCZfwSiiaxztkuygPive/VUN/B6WdHsOzNuATsvD4Z9x/bpnCkGfUt4ZhWe
VUpDopLezBJKhiWU+zlc20dLoqzCgrGE75ZgJLHvmCAdieb9uV8smFgBS/tj
qffY0j0n77lnWcHnpONPLtGTKKW8jLbsuxUwZCWoWjKQ6LgozZ9hI2tgo2yJ
p2Ek0bNLskM/Uq1h2WhrYxO2HMi97fpsDUpCOW0nmUik1LSHPlTVBtJfPngg
z0yinvVjcaMXbOCEy+m4CWwldQfftTc2kNb2USWfhUT591UzHwvYgp4CzRN3
VhLZyIWZiuy3Bc2wSaktm0jEwNeuLVJpC+9u5wS9xP6ebRrctGQLP8vkM8+z
kchi97m5r7p2sLjvVr4mO4n4Hp4tqcDnv/GGrTE/sRvHShL/NduBZ3yEZelm
Ep3+/CnlI4M9pJYsTntvIdGtudNFVub24D8RdZSHg0TgyvtAJ9YePNjVul5j
b9R/qq96Zg/5Y1xbY7eS6JTQvoRbf+2Bi7JdWY+TRPzS0Zz82g5gF35JaQH7
N1ehFtMJB8i5bbSlnAtf3/LZwcDbDrDJyfH1Xm4SHXiu8sH8owMc4mk7xLuN
RHnxbuypXI7geL3+y2tsgcNdjjbmjkAeFjeN4cEeXTx7LMQR6MXISB1eEoX2
nPb6XeIILNZVObPYfQWH26bfYe//nFHCRyJnZQlLCo0TwPyL4144J944eVI/
hMcJOg77yHMKkCg5+OHtP7JO8N/3+5IoO9989q6BE7R+XjaKECTRvTG2k4lO
ThBZx5CjIoSfj+v91BR83if5/rz7gr36/Erlg1NOMLF/4kcuge/XoEicJdYJ
uBdeTTmRJEq8meUUke4EU+xPnjFS8P0pvrnCVeQEN/82hz/E3sNnodde7QTJ
TN94goRJJM9VX3HjsRP88tO9Ki6C63csRDu1zQkc7Jqn+7GffU/TKnjnBCxz
FyVTREnk2PHw78sRJ2gILUJIjESb3lt/ZJrCr2/h1F/C/lJtJu896wSdrz7z
3RYnUc6XXRptK07w55XYey8JEp8fhm0t/jpBtejwcQ5JEiWgN4976ZxBbVDg
ZzN2w6fu98HMzkD/94ttiBSJTFbVRkXZnOHtRYdkWWn8+uA3yaHNzpAU7VU+
jJ0223yhgMMZnPv5y6/IkEg9GE+Qrc5wLSw1yUQW309F2i4HbJqd3TbL2Dcr
/krp47+/7Dz2vUyORF+3lJB6+P1irV8HecqTiCvq9g+7Tc4Qyl/wjl2BRBS/
eNtTTM7gmebHT8WO3UvOVtM6Q2CchOGJ7SRqEahKZ1h3ApeH383EFUn0p3b4
18llJ+BceqnQi10dcW9k/YcTcM09WY5XIpFEUsGmW5NOIHNguEBbmUR3rSIs
Dw87QSrLdvlp7FW5i/uc3zrBeszDzFwV3B8MwiS9Wp3gSuSVSTtV/Dxh/6Gk
R04wmdew7R82U8d7uo9VTsB/VleyWo1ERuMvXnnedAJqmSTfPnUSbS26eZMW
18Pq4+jprRoksrK09X8f4wQHTXcXPMNm9+L78x7Xk96zxxonNUkka/3WhtHP
CVQfVFWKaZGomPGZ0UFnJ7hRqM/8Dpv1RlHbuiH+/8XjJjHaJDIequ1vlXeC
rSI79qrpkOjzSKlvB58TNKaueI9jNzU3+jLRO4Fo1W7DdF3cX7wNy/8MOkJd
bxqNqR6JzNalT/hXOUKUX/GtBWzNynIJhwuOYF6ZJVekj+s72fptk5MjHKU/
l+ZsgOvtRe6Vu8KOQNR6DtMY4v73xDxU7ocDKKzrsdRg0wTS3tdqcgAlSXne
vUYkQmGFBz/EOED4QVWmLYhEluc42rfaO4DkmteHx9jPdT22Tm5zAFa2eymB
xiTqnCk/5zFkD2/aDMUFTUh03dVl18lCe5jYxZ7Xhh1JefVTbT/uX8MSv0JM
SUTlaLxeJGUPM0Fp6pJmJGJWmrnbPIX7n+xet3fYEuwBGVlldmBKZOyIMidR
oXe1mOwBO6hzNdRTsiDRZu6612HidtDcv59uBFvKYD7i2qgtfLzDdTfZkkQO
sUekz+XYgl+Hs7a2Fb7/Zw879NxsIVNRoWwS+0wSw/F+dlu431GxmmaN729u
k/zOFzYwljKogGxw/6VVEGwOswG0p9n0BzbHuYMHhJVtYFbsqEGOLd4/u/1M
QyasgfHhhIClHYn+ZR+ffZNpDTf+qg4sYjPmXrm/3cYaBpp9wgvtcb3TnB7P
+2MFQwNhNPYOuD9IXB4Ru2sF/30/OYlGnjGytXpZAbtk+v0SRxK53G4bvbrJ
Ct6MlXxydiKRskbyYEKjJUT9bV/4i+1AtMfe97eEMlXWqXJnEr0efXdSiMsS
BlWPPnV3wfV95Y1p6xML6K3YOEvrSqJUj3s3nwZYQLBFB28ltrrYbmNWbgto
LO3L3OVGojHVhM9Vj83hTaDiOr07rufePscH/ubAqjxkWo39Ynpgj9wWc5hP
/HLMcweJwi9yzHE0mIERs+c5xp24nppmfgZ5m8GoplFQDbbm5yFnFwYzWLtR
YOa1i0RJGbaC1DumMPcs9i+jB4lYhMrdnjqZgj+5ml2DncZ0mH/Xignoy9EL
enniebXOkXgt1wRu7q4+x+hFIl/+7T3hyAQYJJhaqrF/tQYo8E4ag+TM1jmP
3SS6ox87EphkDJz8A//ovfHzFt6rFrfdGKTZA+Yrsf2U1xMO9yAgJFpbd+4h
0behOCRxGsGfBxtRtHtJ9PeLy5uH/AgUhYREKrBp2Ptcj541gvA8sSK3fSTi
nuF9iKiGsClemOUf9uPdO+dpmAzhACnkUuZDooFBenWqnQHEFVMuOPmS6FLK
s+8X0/XhhZta2hr2OU0F2uBBPZgL8E0s8sN55nnBhRhRPTDnrve13Y/vr2sp
6WWALpyOVhddwm7uibe1rtGB0rFvz/P88Xwv16XnX9WGUNePNuYH8PyG2H+G
SBvY1wUbfmD3GQfldCRqwZ+V24zXD+L9cq/QtLVHEw7sTtUxDCAR7ZxPiDHO
2wtGI85fsKuKbj0199eA1zUZDpcP4f2bzdo4Vq0OlU3PlTQPk8h24stm4T9q
MLzv+PII9uZjDuGbLdVA5fatgrhAEjl95n7VmK4K/JcOKW4/gvvXnnf92z+p
QAZL28332Ccv/boYqqQC5hzta+FHSdS/SP10+7wy+KSe1hQ/RqLaxMsvU/OV
4HlY384O7Bkvbvc3RoowdW/J+0QQiXYH9TVTJhTgJzFgxX8c56328JjCZHm4
mZnCT8Xef/aq3FE1OQj+y/fG/wSJZDKvBxZ8lIFkidgD7Cfx3ydxCbqkSEP9
x4GJe9g7+TNlC/WlIHxN1MrjFJ7Hrm8rb81KAL+h/9UN7NqF7MGwEnGIOnH3
SUkwiTL0VukN94hBgBtNt+1pEnW7a99gFRQF/eJDrfPYLzZ/CV+oFYbtvPPF
mSEkmojSVHbWJEHJp8Df4AzOE1d4GA4+EwQa9XPs49j7I8nxQFd+ENdNz0o8
i/tP3te1zO888E1wmlUxFNffQbkG8UvccCo0ed877OW2tpeWGpxwfyki72wY
iXadmdYK69gMR6U7npDheD8ppnSG6rKC8e2wF83Y0Q4FWrSPGKCYNbPmYASJ
zBnDh2PsaGBqQDqa/RzOQyerXGc+/qKiYg2dWmzDsnUjhdSf1Gczbb3u5/Hz
DnvR4ew1RPXVmN75GzuaS2qL0r4HRnT/blJvRJJoqnif5VG9caNA6iq76QWc
B5quC24unDdyml0xmsLmVHMrfR2xZrRj49aui1EkehRAbRrJpkFc3mw7laJx
fvIzaHH0ZUD//f4CznsVjQcL+FhQa7EY45kYXE8N4lHVTWyoyXWiTjCWRENm
NqO+Vhxo12ikzVNs771fKJ0+nIi/8G+LTxyJ1t5vFi/g4UaBM/7SjPH4eo42
tWZQt6EOrmfHbmMvXD3sWLyXF93z48uzTSCR7v2YxcZlPnRH+kT1T+xZKYuJ
1igBZHKr73ZqIv77ui6rZ/RCSEDIKVE9iUS9+/iNrocTaKR90r4f+wvr3JDW
N3zd0wVrockkClZal8u0E0a29+IvEhdxfb3xzHzrIoIaXYvoqdiGDGrHZX+L
oML13z4+KSSqWeLKssoTRTL9WaX0l0hUxng0WkZHDF1jje0pwd5zm//Gs24x
ZNXw4rPlZZz3lZzd2f3EUecf38Fv2Oa36zbTzomjd0sHGi9eIdGrhyYyWWck
kErjh4jtV/F5xc2LtmNNAk3vAuku7Hyap3OXQySR4hfJpuOpJIrfmmg9+kMS
7Q3kVOFKw/Pmk5rn/b1SiGMu+cp9bJbezCP0r6UQ09mc927pOH89m2hpVZVG
ZvRWNCvY/YIlpavp0ojmci5X5jV8vil5ZHN5VhrVbM1n084g0V4T328XzGUQ
0wW3mQ/Ynbyy9W0ZMmj5dXtt6HUSCcksD3mPyaD6CYa9gpk4H/77F68tKYue
1WxefIjdtdAz6LRfFo3wfj/qlUWioK82v27kyyLetbKuP9g1T67/EuyRRS81
rPnzskn0oCVABv7Josyyfkv9HHz9c7fvXZeSQ9GSXnuGse9bTTDdsZJD76KH
vCJycf87KlLO6C+Htl/Zh4g8Ep1fGVeuD5dDKbwLbI+xt/gaWr9IkUMmnzKf
euWTaL20u8YwSw7R1Xns+oNNv69XR/mGHBpyNBrIuYHvV1O24xa24UknY90C
Eo1/dPG6nS2H/r2/dnUA+8/Li78trsghd8VtrWcL8XpNtralRMqhCeW+Cb6b
JFI59PR33GE5VH/x87cG7L6P8x8MneQQmkZ97kUkMvVupD5XlkOBS6vlS9g/
P5gKi7LLoWQHLv/0YpzPSu6E+32WRQHZ15hVb+F8bz57JPO+LDI5mZDajT2i
zFrQHimL3pxcoAsqIdHRN997mCxlkZbKiNfmUhK5t6YPeLHKIjnkmFeB3baf
8UbvSxnUpej0wrqMRHZDe4SiImXQq8Spd1PYXXZDPoFqMsimj3gVd5tElcnD
GTc/S6O13F/l4uV43n5ZmFW+JI1zceTxZ9gJdZOPpdSkkVHqI8reO7heEh95
X30vhQYb79etYy8XNluGn5BCtVZBqjkVJBp8lMWwzCqFpOqWM7Xu4vw6rabK
dkMSKQU6TL7HPl0+Hf1quyRyHrwgeLKSRJ4/w5+YNkmg24evaXFU4Xn2nO9J
FJJA36Ku6t/Fjt1+8ET6c3G0LzpC1roa5/+v1z7Gm4ijlY69/yaxDTzdycNP
xJDSA+NH0TUkmlv56WmrLobUCmT3CdfifBNlMqBdJopa+yk/HmG/8H73E/GK
op33ZHx33cPngfYuppNRImgpwoG6hO28T9WkvkcYuUdnMqTex/3wfdYtrmwK
+sjKprq9Dp8nx+5FCeGck7+zxrIde8TGwuAXJ4H++/0Z3M9JqSNdzwWRt3ml
PG0Dzg979wy9OSaAvu7m/p2H7cZgc5Xg5kfNsm012g9wP5Avb5us4UWnRt86
vseuYHvw29WKB+lV6fYHNZJoHw/qTR3gRtueM1myNZFIcHOjUcd+LlRvaVhQ
ij3D6uQpM70VXfX9Omr8EM8HdYH1qndb0LAmO+sItl3Kg1CmNjaUMlEjePYR
npcHdzyvqmVBuxNHtnE/JlGg9vrYxlVG9Eov+1cl9hIjs73LATokzDPTbPWE
RJ+u1Xz96/fPKFB6MGQc+1Eh3dGnX38ZXYw+yn3+KYnEtT6+yvaaN5JVu5vF
T8XzL9BLJCls0uipST7Tfey+J5sru3W6jbIeWHrbA4kEqo7sYIlqob69di9v
Cntp8/2ShD+fqX6DEy+inpEo5Ywp02OPOSpP3GSvUDOuD9qS606mv6gXLz/q
qsfepx5yqVXnH9X8x9F7js9xPcQNMqrdoIPCa/Tnv2Ez334poS3JBL3BMaox
L0hURKF5da2WFWjCl7qIFlwvshby0yabQTjVe0cDtoVBfdSRI1uB+0ZLi+NL
EnVEcnVe0OGC0jg1yjfsxI1TE1Es2yBRpmpvdCv+/zcDp4wGeMB1v36yUBt+
HivBc4kVfHCJezK/DjvvcGr69kgBqNhcnWPfjvP+t0ivdVch2CJ988IXbN/R
SLYXsiRsVml2jOzA+zmkXN6VRhh+rvGz8L/C/aUmkOFxoAj8sLtbXoP9MNjK
88JOUTBaiFa3fo3z6XBotLepGHBUF9/+hL246GCjqyQOMeY8TGFv8H6esfX5
KygBT4I/2nF14ucnk9R/mUkSPq4ynruDfS/5VN7wvCQwXky7btKFz1vpT1j7
hqXA7VNy9iB23GK3/+FWaZirWo472Y3zcUvreGKtDNDdGvDa1IPr082/WCRX
Fh4dNRAqwv4WwFErEisH7g3SL3Te4vPymZeMZ4/IA6dkwY4e7J3ewgk8bgpg
vOfO24B3eB516jF/1d0OJvRO2jTvSWRv/9zso4giXLh3PSETO91qePoLoxKE
MceBYi+ez+sSqXPflKA5R3S8BVuM7BsJPqAMf2lPze7uI9FL8dNH9/Urw1RX
5OQiti/PiOQ9SxXYec2hJbkf7xeJcnmfByqgOzx5WfQDiXwybmTvl1KFXBU7
k0Zs96TyC/evqcJNocRRhwESaa1/mDKjU4NrlMIDk9jNVV6vOYLUYPBRTn/4
IK431whRtiE1+HfivCrXEInqhG90b7fAefux85nb2A/FdZqO1ajDo21CpYbD
JDrB3V/zQkADxOfGnr7HltTniJGK1oBNzeXPDo/geo2JmU/+pgFPf4dX0XzE
+efE8P2vjprwkHlP3HVspamWM5r1mlDuusNCYRSfXw7OjB0W0AI/i8D5Z9hK
HUuJERFasGBWHL9zjEQ7zkRv+HzUgoxaBqYf2LWLsh2cRtrwZCYjKPoT/nzL
k/ujb2jDNifv53yfcT00dhvdWdeGs9o+tJXYP7puPY/00AHG9TJZk3F8flXV
sF+r0wGOWS39fuyHXyqUNnPogowfn86RCewurrrag7ogUmYnQjuJzxf6TgIj
T3WBmfnjfAb2urr4tbhteqD0uqdS7gs+L28RcbwZoAf//T4X3v/9dw9LPdKD
gfy1CdcpEgUEnnRhZ9cHNyXdfV+xabI7wdFLH5iUV1oivuLzfOTo85+39aFg
SI2XE+e42+/fB0wt6QMRuOZUgs1+ffaRlpEBvNxmH6IzTSLr6ai2kQQDUGfX
iH+DPcs6m9XfaQB20Q8u+MzgeTB8R1N8myFYlAz6L2M/k9S983SnIVQV3tJI
+k4iYkPlT1m2IfjlC80RP3C+HdRSHhkwhOxn5hk12ALWtI67+Y1gRFlW0uwn
ztvDrrvF3Y2Al/11QT/25GeG3cpXjSD6hDpj4Cye/wfXnKLajYAaEeD+D7tv
JI2STIOgxeLY1dQ5Ehl3vbx6SgjBz0nbBol5XA/fRDfCNRAsHmVufYB9lUHj
UJEDgrnZ0mabBVzP3vydkwcQ+IYpl49g3wwPVDA/j0BJ4E7Y8UUSZfK4R1Ov
IbjZK6BFv4TPg1tj3rjeQRDYEPcxA5vJVI6NloqPpdTF4zLLJHqfwKT98i2C
8YVDPx9iMyd7OhVNImBz/LnDfgX3O5h1vPYLQVx3/J1R7P5dvKq5LMYgekLn
24lfJOJgLZmv58eWYedmWMX9gVhLHJc2Bt1pBpnr2A+tVubFNI0ho1xWRmaN
RKqXmaROmRpDp/sF7ofY7vqClHeOxvB7aMu07W8S0bWXvTX2MoYyqaGKEewQ
qNB76m8MA+TMrqA/JHpTftvJMsgYuMrM5mnWSRRDW8YyfMYYnEp+BKdhh23W
8AyPNAaOtZlx8b/4/P76gJ5EvDFYXTA3rMd+Mtd7s/eiMYTy0sRa/MP9supm
9OWrxlBwTbS+H3sUjr21v2YMej3VPQEbeD6YHYzjyjQG18KagTXsXccaieEs
Yzj9TvZNMg0FnTxq53Q32xjqdUTvCtFS0MqJ6IA47NqCvJC72MoGdLWH8N+n
dt1UMKCjINUDT856XTeGTamanW+w68/McXqnG4N3+T6vPfQU9NNR4u3xK8bg
NST5/if2rIMSV3ayMeyfuqgdyUBBMYWaih9ijSHwYlYiByMFJeytjlM+bwxL
0c4vCrAt/uwNvxViDPwJj2eUmChol43Pac1jxpDgMPqPir36W3jk635jiL9E
/evITEGHMryFn3oaw8IyDhTYbfMqdxvxephpdT0NYqGgH+7svwbxel3+xxq1
gW1VVxcirWUMF1b4la6wUlAjjX1Joawx+LfStlM2UVCghwuNtZAxyPF1OFRh
66IbLOLs+H6SzoABGwVFzR40UVlHIEXloLzB/nvJXCNkBoHnzqyDu9kp6I7v
9iNLAwiO/eTNn8HOo5w5XdWKIIKS+jRsMwUNCY18Lq1DYBHJ/pp1CwXn1HPW
Y4UINEsvt2RhOwwPGXunINgrRVZIc1DQtYefDoqcQRB19UlEA3bsuTFPBR8E
DKdO65pvpSD7vWlPYmwQ0HvaTLzDflwhpCmrhsC0yzjMl5OCeDaxHxPG+1Pf
02d9Dnu2Zi/XIToEfBeqDkdyUZBwCG0Z51sjqHyu2LKZm4KuRl7toLthBJdL
ptjysAuPb/y9E2AEG8UfDeW2UZCZxYsGDlUjWNMV2NOIXZmre0LztyEoTeQd
suChIFqZ0hqJZ4awmS/I5z02p5TGxmi8ITRaZZj78lIQ91e6n0dtDeG/3zek
oB3ugjzvtxhCw4nFt+f4KGjD4iw3f48B0FtpRrDxU1CnZfBbozQD2Db0mTMb
e8udZCcXFwN4fu1fupQABR2eVPmwg9MAqocv09VhW6XnPXbr0gdt/mxvY0H8
+r3HHq4p+hBzR6ykEzs732Kbp5U+hC0pD3gJ4XpzrPM4Tq8Pb9za175ia5pY
FeY/0YNf0vNMIQQFidZvPfgtRA+02ypp6EkK2nN3WsNLSQ9uXGKYuoJ9cTE2
//cXXaDp/N1EUChI1sdPqytfF+hHMkLLsW3GP5WMueqCAPuQpKYwBWlEaV3T
ZNWFuDtdT5uxOb1DGz480QFPxlAzRxEKihS/0d55QgfCDg43DGE71F9IF5HU
gRsCGzwBong9i8Y/9/Zrg6PvF58l7PGpU1dWkrThZ1xmzgUxChrVfB2arKcN
NS/5gF2cguYoZy9mf9eCkv1H3mZh+8ytNMjna8H9/JweCQkKurT09JeVvRbk
VJY9qcE+H4Zc1tY1YeVN1nV9SQq6/vPrO7O7mmCkeWp3G7bWX8l0NS9N6BDS
53CToqD9BQHVb1g14XXtatUodhAh4yzUqAE7Zav0AqUpKGPXZLnEAQ3wrfWp
X8GuKdi+NM+tAc9C+IloGby+226cuvhMHZRv9QdtlqWgrye+BK8dUwd731s1
WdhhO17bmxHqkNsf81FcDvcfN0Xv4HY1iJMJX6vCTptjYksLUQPvM1dodeUp
KH0xqK1EXA32TLSsvMDeQZRwNHarQtUl8QFHBQp6msu8v+ecKnhfqbw9iE1M
i7j8llOFQ/SH/P23U1AvT2mQ3gcVeEjrxTGHzZQd5pUfpwJyhYmlYYoUtD3/
/hMZNRWIXliRY1SioNdcuZZfxpQhfFNF3hXsBqQj9vGyMsCv8j8CyhR0cGet
Nq+BMsy2rlrewn7bwNUr3a8EefF5UYoqFNQ6V6nTpK4E9gY5txuxPypFB8+k
4Xy5uPLYRBX319f0B9rnt8PdqgdPX2N/Qz1r3s7bweDkp8odahRU29wgVVer
APlGoclj2Ee07/3s41IABd5Yt8PqFKQfsbKnJ1gebBaZ2JewM8Jnr1T1y4HL
W6bacxoU9OGqeUmonhzk3k00ZdakoM/7Pr0xKJSFyNDU51exi0NmTZmYZGGH
opSKoBYF3ROZsPt4RAbCntqmFGOPd5zX6XkvDeZCzL0K2hTUT3b6TxtIA5+6
N1sDdo6Jmo7GbSlwXXFRMtLBz6/PX+oJtxT42f9AbdgiuWcqLl2QhAYxFeSs
S0EK7/qd7/2UgGZv8e2D2I+Dd1Zp7pEAlok2Zj89CnK9pOAj1SUOnNlS3TPY
Kd+XeS4Zi8OJPcbxwfoUdPbb05iQejFo5abI/cVu46A/+lNODJ5df/YozgDP
i57aApoiURB4rqy3xZCCtm1XXW4UFIWsk8dvX8fmO3rARTxDBPjPxdELG1EQ
2VJdZsspAjGNwXZl2BSliU/hFGHoXTWJUUIU1CSlFMhOoYDw1uWyB9jxkzKc
PqIkRHdeeWhkjOeVbu/WNBkCtOn4H7ViF3d4Pn2gJgRXzqSVO5pQUIDHprhp
E0H4sUof34+tZnJgymSHAHQ5nHDaa0pBMs9lIweO8sNro1GWKWx1f6e/L5P4
4PpVl+pjZhSU5UfKSdzhhVX6btMV7M+04pOsXTww5Ln75TlzCqqetpZMXd0G
//1+LN6ftz6svpXaBu6VdRkp2A37Tjyc8OAGN9Hkz9yWFHS57VfZ61QuuHko
iszFvnS7TONSJyc8MyiwELOiIMsJol9mKyd4uH71Lse++M1l4+aOraC+x8dP
2ZqC/ISsjFdMOcBgK8fOB9gjEmkeRyc2Q4LAirahDa5/vlrZqsvsYCMjxNqC
rXQqJe2JCRt8+RrdamtLQfnKLacKaTbBJ0bV4LfYhiF1FV5tLPBdejuHhx1+
PfAw31I2M4wtn80axc7UrUw7dpoJnm8T3HrAHq/Xs1+/ujwZ4YU0T8h3bMG0
syKkDQOYdB/rOOlAQW8at054mtJDW6X85jXs2OsuApct6IBjj5NhpCMFPRi8
kPHIlRbozn3yZnTC+8XgksLXwzTQdGs88CK24BtFXxX+DWr0Ua8ATmc8H0v6
vxYf+0sdPGrvmokd58Z4SWXgD/WU7lMF0gX3E5m/M+M7f1NVD9xbKsKOddxZ
+GJ6laoerVgh44r7j+e68UjqL2o7qeVUhb2mKH5Ay36FGvGye1zNDdfPFYeC
YWKZysZCc6AJO2bK5lwfzRL15JH2PkN3CmJmULikuLZAnQhX0XyBvTFh4/GT
cYHa/Vg/1noHBZUamx4Slp6nfro/C53YNDvmjV/tnqP+G3f47roT55EDox0r
9rNUu849TAPYXL2ypSfZflIVF8Q59uzCn3fg8xZy4TvV6k0R0zi2/fGsVRa6
79RzQ6PfD3rg+sw2d7bWm6EuXB999h37npY17Xz+NHXz2dK4E544bwz6zXDJ
TVPPLmtrr2Dz3b33/dnoN6p4bO5AmBcF/ft0Z3gr9RvVMPPtoQ3sKD2eS1xt
36hmhZ+/xuzG+92HtWPg9zfq0pbuHSzeuJ+KuJX67pymujkX3E/Brsp+rOIw
Mk2te+e2sXUP3u9sEcZSKTPUuzTLOhnYn29M8gX7faeKGMf6CezF+9dHfT/4
/qAarjNF5GN/3u5hkp70kxqVGRUjug/noYw23eD+WWpVyGpoCTZxWEJ0uWSO
OvQnaK+sD84TY6PDBqfmqYEJ39UqsT/uo9Ha6bpA5Tx78peyLwX5qr95RW+x
SO2WY7pThz0R5PKD0XaJ+u93ha22H87To5bFwr7LVGQSMPwI+1j5rztcF1eo
V3cZ7TbaT0F1bZJnClt+UfWvabxqxt51cUUpmXONOmntKGvhT0FuX3vvXT32
mxrz+mpIO7a3xp604OE/1P1H/92zO4DzgrgR74rnX6piRN7HLuxDsxJ6vd/+
UT9aBK25HMTrk+I4EGBGAx0C4fR92BJlMSd6hWihyOjF+q4AvL/c6xY5/tDC
CVrHySHs1zr3W399ooP8UuEnew7h/HEzVelINz18C9aN/YRN35luafeSAYJr
inX3H8b5pUiC6cxzRniUu3fsC7Y+T7veq1YmyDtz8vShQApKzOBOl37HDK4x
Y2sz2LvSMq8enmSB8PXKo8eO4PxGO5J28h8rcAuPds9hlzS5viUpbBAueVb8
1FEKOipt6WNjxg6nrc75L2M3X+uR7zu+GWRxBZ45ht+voOvXjeItIEYdfrCG
fWLm3f7oYQ5wjjBqCw+iIFPVzStVl7YCm6xw21/sJ4sGx5mVOWHrSuSDyOP4
/TuUtXR6OSGe68B12hP4eSsPv1E9xwVrFb37Y7AdrBaKP0tzw/6fb8UYT1JQ
S9Ygj1YvN0gz+HbHY3d2VByhxG2DrbwJR1lO4X56py4wXosHdtla/E7Cjvyn
t+r5nQf++/1uCgq/oRmUUMwLrPXFn1Owyyln+H7t5gNmZRvDLadxHntUKprB
zw9XvHKTrmCnaBvetuvjB7qduS+2huB+13a+muW6ACgjh9lU7N7hw5J1OwVh
t1ojK/cZvJ8FqZ90hIRA13aE+xq2tNZMSeyYECwUPtvMcxb3l+5NZGQZAcJ2
h35lYF87+HGI+zgJPb4funlDcb8WeLFvuy4FLq9x5WRiC9fUcDcwCoOTOOnK
H4Y/f5eMRdZbYbg4//tPFnZcb67AXicRkAquuSYQjj9fp2GDpVEE4puMyRxs
L+uDw4YiohDXeS9DMALnhbAjFcuJonD2KfO/HGw1NR1vsQVRUE432yF0Dt+v
5mJfk5cYrLodvZGLrSsUtFDTIgaZm+L7hM5TUMEThfPrSuLg2pT2LxdbusLV
IDVHHH7uz+QlInE+uVE95ccoAeUcWZQ8bOm3d2UPHZcAs4dZvMQFfP0lbrcy
hiTgn1/+v1zswhbrHyMWkpCz6U6fUBReX/qWy5r3JMHzTvONXGz3PanM10gp
oDOc2SEUTUFS5SyvphOlYOCp9EYO9uV5DmOlJSm4KxGRKRhDQc8/c7903ysN
Hf7fhXOwTY8wVrh0SAPrmYgsgVgKMp5w1xDUkIFmW2XabGzGF4s3Cgtk4EMv
myd/HAXt7rDgHWSVhXpG7uJM7NUHCk8fnpIFqw7rYd543H8Slis1R2RhM2cd
43XsVp5988YWcsD00l2YJwE/vx3XE7ur5OD5O1XZa9hXvsoG9PHKg5e4ozh3
Is5fZ7eGWp6Xh9N5VZvTsD9wJETwT8oDknT/ujUJ5/9fcU3Gtgpwrsji/hXs
WX5Rt8c1ChDyK/7YlmR83m3gOBzFsx1YmAQFL2GPi1VwJYduh/wq+ga2i3i9
eb7v6RreDordlibJ2NcvHfKwMVIEK6vppywpFCRntINpqVARWBZ/yidgf509
79dCqwRCFR5JjJfw+py3CnjgowQt1or9MdhUmSrG56AEg6XHeegu4+u9IZx+
nEMZWrIkzC5g/360ZSejoTLELtn7/cP+mXXOgDiiDBWX5k5GXMHXe579Xm22
Mvhrbj31G5uRT4xsfqkMp6k1fmevUtC7oOlx60VlUF/tNVvBZhlxDzAXVoGM
qhje4FScH6T5WWttVECs+smHeez8sjLRpNMqQNuScDEoDZ+Htuhv6ihQgfmm
ScUf2FmNb/iOt6uAw46h5sPpFOQRui3vzIIKcPgcsfyKHTsdPzksqAqtBXmP
/a/heSzmYZRnogqlfUFi49gCTBHztYdUIaLt29l9GRS02SoPCV5VhQbNLTCC
/Vhb9FhPvSr4fBr75XmdgkKFFRrfDaqCTIK/yAdsOuZMD3JDFTwnC3TcM/H5
l24p6Y6YGkw+SDd9iy35++K5M+Zq4NFkZuiYhed7p7f/hYNqMF3UIPsa+1IE
GfQsUQ2OKfxgtM7G68mn1qJZrgb72L+/bcE2zm+6PNymBqO/Gq6a5FDQQvD5
2aopNagucjaiYp/4tcF8h1Ed9KjUj3q5FCT26chyu5g6pP9jCGrE/iFT3LPJ
SB1ObJWcU8+jIM9VxfsBnuqgXizuW4tdxmRTORqsDl/8GFq251PQtPZgV+Bl
ddD618F/B5unGfWwlqlDPBHuLXUD92d+rs1NT9Wh7yB/ehF2dtRUYmivOgwn
lDZRCrCrP9nYzqjDophsTw52iEO5hyKNBkh/LB7gLaSgqbVjj8W2acB2b8F3
adjiyTNhMtIacMTk6pMtN/H52mhfvpGOBqwosmYnY5szZSoE2GjApeZEf6Yi
fD/UzypFnhpwK5dLPBp7RE/4wY9DGrB7552ev9jhxbUvbc5qQFKq64nQYrwf
cxMDm+I0oGaCk24ZWyWPqNVJ0wCW6a8xx29RUPdkUPGrfA0I0xlemcGWnNji
GHRbA4oPzXoeLMHnKf+tzyTuaUAfh1TNZ2yRIR7m7w81gB9iVrxLKei0s61S
S7MGSGxmVxzA7pk7aFXTrgGBic073Mpw/W+q8qns0gDe5jvHu7BZ/GaSH7/X
AAbrtnCb2xQ07xv6fuSDBry6Qznbgr0gbeDIOawBj07V+uNhhezZbrPv/KgB
w4qxZo+wna8/oFSPasCcf842zTu43quWMwXGNODUzV+9NdgPxUMvXsev5wUU
JMpX4H4VN8kuhf9/j3GGQil2W1ygctuQBgTUDD8TuUtBc9vbN53Dny+hE2qV
i+3Nb1Nrhq/vsfcx4KmkILbcVh3h/11/AVX2Knbfv9sP2fH99Uccj91UhfNV
w7jNZnz/fqdju2OxHSr+0Iri5/ORcWPzBjbVlX7VslYDFO6M64dW47zzLdc8
ukwDFoY1vBexdZ8v03fnaUAm39qxozUUlHCy204lVQNM3iqfnMIeXQjTLY3V
gLGYsQM+tXi/Lr+bUjyjAcJFbPZD2PeXrY+/CtCAEzfrJdzvURC71IZfhIcG
sC9/+tGJLb22VdLMWgN+brl22+o+Pn8o1aZIauP13Nvl1ox9LEP3jLiUBtjv
zFzQq8P97JHKC8StATf9ZqPqsfPNLHZc2FCHr/ODdEr1FJRW6so9Oa0OG0e9
T9/GPmnnO3EC13+KSdiAaANej/Db9bJU/PoHdaVc7MeOF0M4bqtDavbVkG0P
KMj2YYGA1FV1MJu5Wn0J+11CxbXjZ9RhSk1nkKkRX69V6di8tzpwf0hZicRe
C3y4dtdUHbbrXWFYw36zYT56S0YdDlJNGU424Ty0PJQ+zK4O0FK5PI39YMaM
3DmnBgxV3R/8HuLzp9WFWL53atDZV105jO1G39IrUq8GCfkOwe6PKMhxLFok
5LoaHNpTo9CJHefgd0bwjBpEBH/os3iM8469zdzWnWqQo9NxkopNF73z1m5N
NTjClESj/QTnGaepahoe3L9U+S/UYLeEpavSLKrCLHf4vMxT/Hnp6o57ulWB
g6be7SZ2+KXP8pRKVWi2aS8XoOL5/Wd53iRJFbosHs2lYs+vsHR27VeFd+aX
ZTcBBU0Krs62GqmCYZa5WzR25NnxZEXcz3demjj++3++rdTLtKQCeqeORZ58
hvthWTyL2xsVGLr+JXIaO3bxg49AqQrQmzmd9G2moDDvPaKe51XAtaVqxyB2
tH5mssAOFTDfz7jd5TkFicraT3huVwGFQzuX27E59a+dFWVQAXWh29XGL3Ae
GX117figMvjAb68mbK26giTbGmW4lu/yW7kF54d3LBX1ccqQuHLv/yqw73iu
/i8O4PbefGwuPmWHiIzKLVJmJVQSJZUoKSSRGU0js4HsEWWU9E26JyEpsyEN
GSGyR9l+5/fn8/H5PK7P+77f79c5x/UC9K+rNrvLHbWgnZfglavHeSeC/aOp
phb0r7kbloI+WzKW482sBXxBSr/53mB/ZsEwee6RJgTYNpJR6O/WJ9eb2WuC
1kDkjWV0sOPpPNdFDZDwPdTg2yBL+p+un2rB+j6/0e7fH/S9NcmQtF0Dzp86
LX70rSz5r/LEq6qhdSBsWaz2FR1tqf3IPHod6PKIrN/TKEtK0Q7u2KG1DuQH
85Ub0B2elXYv2tVhRdBTyPidLLlBMja31Fcd2l8dHqtA341IF1AXVYfrqjdf
qL+XJXWfiPvqVarBRPBEUDY6s6uwomOfGjydiNOUbML5QTigRmxOFbxLvT/G
oc+MqMaupKhC8mi8J3szziNqfWKJG1Uh8vPCzCX0oYIdh7s/q0DI7SLvmeb/
50+Yzx8/FXjoUtDl0SJLZt0j3apFVEBm38yWHvTGgy+snB8rQ11B/K19rdgf
PH5q83mPMoRdivrchP4XGJywbkIJxJbbeU3bMH8+TlieilECbZvAjc/RQYuB
pXfVlcAjOXyvVjv232flGV81KsLmhT9H8tCiqf6Rg+6KQEt77ir9QZasTSu+
KcquCKaZk/bxaAu9q6cdctcCl3KiEcdHrK8vT0eVmKyFuD25wsHobwPOm1V7
18DIJuWuaXSjxvJqc+gaIDjk7p38JEt2Z900ySPWgGRrrMVPdELn7OVnL+lQ
WXpxxO4z9svcDTv5nOnwqrYvtBGt42IkVbqsABNrm9nJDlmSj10nLi9NAUZG
NoVVoIWDjE0WNiuA5XqdUdUvsmROekbH4y55SOR8YpmBdp7aMfctRB423ahJ
pXXi+a76ui9QXh4eNh7pvo4uM3xSeve1HGz5lijK8FWWNO8crN12XA4MWpyN
/dB2ok6pgZxy8L2yxnEYHeHjHpjoSIBD7mt3l2+y5B9p3b5j2bLQmOd28iN6
4fN9Dt9RGbBuLHAy/y5Lmh4/cOONvgwMSydse4lmyzEROhkpDZkPFKV0fmA/
esbH8sgHKTgefHwgH328UnvkmYIUyGfZ50h3YZ56MZVd8JGEJ7L/7G6h/wtP
PVRYJwEzi9ZzrD9lyYGvsy/2SkhACXko5iLa8iCZGeolDg+mlMTG0RnvR/r0
68QgU7Qs/mg37s9M8bFIGTGwKF1k+IJOOu/Hd8ZfFGxruFytemRJxi8hTSvt
NHC16akAdFmQ1Z3NWjSQtA9f2tCL/UFBzpkNsSJA+zyhW4gO80i1HxkXhj8t
mq4yfbIke2niPi9bYVhHbgu7hVZfu/na66dC4E5XS2D9hfPw5mTWWWkhWOM3
mhKANjecHuOOFIQhzZuxo2he/iUvwXEB0LfmunikH+/bqZKnfAcFIKHOY98n
9M2Tb5ck4vnhQlypkvkA1gfGVG61c3xwNKdr+AX6ocyM0lEHXmj9+y9Da1CW
PBlQPPZxCw8YBq2a56AdDI5wJ6hxg7TyXL/Yb1lyS4yPfqk0F0yO/PK9gZaY
4zU2FuIE3RcNf1fQGwnlf7Y8HHAsKs/z3BA+7+H1HStc7LBiGPahH60Q8mGt
HR8bhDcc1DgwjPXdNSD5hCgr+EobBL1HC+1oLbaks8B+unS18R9ZsnqU54aw
LjP818A+Wf5/K5u7tlsyAf3fipjiCNa/+Cvn7p1gBOXbLNp30N1QyRV+lQGc
E6WMeUax3q74COocWqVcPpgZh6C3fagvH368TDUZXdOeQisaPlSzpC1Rux73
ix8bwzw93/vgQNgCFSfrMtWBPuKzP1lkbo4yOzL30mIc58HQcOuLAf8odecn
wdVoxnxblWusfynWf0nrtSYwL15sDDJOnaFSeTI6stCGC5Lx9zZPU/XBn7xp
k5gP+YdK7w1NUi7qBstX0PdrP9O2ZExQ1tNNQQvoUwGZs4yvx6jw0uTxU1O4
Xx58CnWOI9SccbL9TzRtlzl7DfswVRHU8mjPNOaLWujYzNtB6i25ffE1Oj20
Qtgxs5+yPbZgqDcjS+6oqModje6jztdMni5ANwVo1RfF9lCnNDUSJWdxHtsx
ISRv/ZM6H17+8CZ6esO5Uc3cb1RvXNjzFfRm/0f8QUpfKD7N9OfefzHf47ps
lz98pNy0uB/1ol8dzPEretBGuZx4l2j3T5bU38mkv+TQRF3J7fGqR693vZ3e
WfyG8qvavUl/Du/fgb1LPxxqqNYLUsuF6O2ZrFPjhc+pPcWmZVLzuL4zn3nV
bcqoV/SW/dHo9c7N1+9syKQWi6qnV9D3LJ5/rK07Qg0JCId7L+D7owRLdx+4
Z3xNpp25F23DVvqvWrHIeOTe8oW9i7Lk0Ya+S2KFj4032N/uqUX7T6nszRb7
zzhZMHez3hKex7baq8o/q40P3VaMzkcnTbO+H1gF4/4SolV8GftNCafH31/U
GGfIJLBdR6uMXs6+plhrLJoXobWILuD6G8i4uc64h2fG+tQKzs/nom33M9Qb
PxYZdP6Brs/M9snyrje2C3E5arOK9WK9rOtMdL1xJu/hgxR6o1J4h+v+euOY
kD9mWgwE+fkMWy1Ta52xSiKLYib6uV2ezdBMrXEC56M5QUaCjDF/b2L35rUx
Z9rwy3D0ReJsAX1njfFPruoL0+igKp0/hy+AcRifsqIbE0HGzT7lX1f+wtjX
VePNR7TgiAV/xudKY0doP7idmSC7qujMGw6XGw93i/2qQNfer/XgyCowXghk
OKzIQpB8367rPCtONvbfGduSjF4uTlQYn7pAnVqq12ZnJciIc8aWvZVZ1IrV
g2v+6JlPH97PPCujzowZfRxE/02aZhfJeU5JJwYL7WcjSLPgp54JvDVU6ISv
aQM6urcwmpHvDaVdIe+hz06Qj92Pmm+xfU8NxV+JKEA/2PtJ785IK3XeoDBO
nIMgS+kS33tbP1Dv9127dRWtZp/rcebTZ2rxnmrUHNpiV2NJ2Xwntf5xrJc7
J0GOyX4dl9r8g3ppXmXxBf3hM8N07K5uSoC7VHInF0HeUBR0TeHvpSoyvbsq
0YEX7e84dfVRzpWrSUrcBFn4Sb8gpaqf6pxx2ZqC7jpndoAhf5CSZErsZuPB
3+chqm2TMUTpRKX7nEdLnjP00c//Qx1QCl/oRyufVxU/XzVKDVzf6mfPS5Dn
HNd3VH8fp/ba/+yrRfd/LBY4yjpJGas6m23gI0grvnW3shSmqFPFkJqNztm2
9fDc9mmKusQ5KMRPkD917WyMz8xQJsZGa8PRXW85OW3TZynFW/v3TaKjXHSl
uD/8pV4IuV06LECQfuatI6a8c1SI6+GUFvQvzomaTqt5il92d+4WQYJcl/WC
yr61QGn16uY/RPdMH+8N+rZItViIpEkL4X4JEOzGqsvU6tRo1A20YTPX4OtL
K9Sib53bAjom3Ui8/9MqtdYjTe+kMEHKPWln23KHAdg8Lyx1oPOEd3CXmTOC
Lf+Bp2YiBFmy4K+hv8QIv0a3ulWgtVNDp6lSJoBUXbY1NIL0yP3ybsMJZhAt
00uNR9c47RKLIFjAiNqhyChKkG3AtialkwWeOHrmnEHv+OClcSiJFdaJ5oh2
obsrySOvbNngUsRMkJUYnq/GgE8lguxQoOPS8RztNuwQL9LODt+fDqxVESfI
1ahd0d8SOMA3Ndo9Ba0zI/BgwoET5s453GeVIEieQwHPjaW4QKrBpNEHbSeX
EPykmwso5f1DPegr47E5hvncMCWXvLRLkiDfjL5uqPbigQkjBpaX6NSODD+V
jbywluXOqpoUno/tZfSTDHygzHx0/A66rSHBwL2RD169OvyBXZogE8X+cgsl
8cPQm8QiP3SwdMOYspYA1KUyXuhD63yIPcOZLADF9YX6e2QI8qpZmZjckgCs
eRc7+hIddf7aaVdXQRjQeJqsLkuQf355j9U1CMJXP2LDXXS71H98pKYQSNCb
69gJvM8HHxjUJwnB+LNaSz+0GBHWZr0kBJ3PWOt70VrVnprvXYXhSnbCht1y
BMk2fiVb760wfJvzTqlGd/l3+4ZrisDwxowxVXmC3Fjs0ZOTJAIrXXTD22h+
LhbZhEURiPdcCWBVIMjpzjMO247QYJ+j9qNzaNpzu4f59TTQUar5/BPtqmK4
6ZmaKGyxLp22ohPk9S1RwifjRKHBbJXlOdpBJNCwZEYU7KLLuJTWEKRI5IaS
kP1ikHrnLUsi+lJB7vGWKjG41Wc+zbCWIFNOJFslyIrD/t4Nn0+jZ1QzTSBU
HHbxRD/8ij5pqbXWslccODvsAnYo4nrHWvNUTCTAtjLG4AnaM7CC2z5bAjTk
N4/JKWEeFjr7v2GShC9XXFOi0ZkJeRyBRySh9hCj7gJa5xLVeZKShDQR6TfH
lTGv4rQZYqSlwFKmwvoD+kRD182eC1LwZ7C5wVjl/3n674bzRyn43OepX4yu
EWdhXdWQhoyQmFRxVYLM4Pmx8OKqNIioGMxeRheEFnvG90jDJmuvbZPoo0oj
uwMMZMBxv9blQ2oEeXiL233POBkYrQh7/hYdtUd1x9EBGXjY6tavq06Qm2Qy
dByNZCFe6DtLFlqePGdpESsLTb+GxPnWEWSjeIr3ul50SZz8RXTFZevQZR0C
jL+1yw6gGV9K7X1ymQDu5nIBWw2CTBBsfmH5kYD9Y9r/qtGp3Yb1zoJycCPT
vl1FE8/7T516Rn052Gklk5WEFqZkXnE7y4GX7c3jjFoEmdbnlhIQIQdyYrnE
aXRkJU1pZ4EcVC+dbPqCblL4bun7Xg5+uf04Y7qeIEe+M/1cGJcDn1JG9lK0
ePe5yi9C8nDDuDNeSpsg97SUF3Lpos8eF76C7rIfuBLtIA/CuUVXp9CxsU3y
zv7ywKZfNHVIB++fV61pQIo8RF45sectmq5UU/XtqTz8He/N2bAB6+fN/bvC
P8nD6nti9D76QOjjupPT+PwAOVVuXYL8aH67N0ZAAV7vGjx4Hh0sdOzEmLoC
iBWeD+9Bc+kJCEfuVADDrtY0Kz3cvwqlrF1HFUBux9zDSnTpndZmi0sKwGw0
Xq6wkSBD7et3+yQrwBGBZ8XRaOUNjj/qHinAsrT9vTn0j8pzSsb1CvC9oiH4
qD5Bvoev4d+/4zynSdvXjL78nWxJm8LPv29aY2BAkIpca+Mi2OlwXHDbQDZa
2qnJPEaKDmyEUhqfIUF+32gW9lKDDnL7xnYGoAOvur4Q2UoHF667Q33o8ytV
Ybds6VB+VT3Exoggt1o/3q97lA575Qs4/0ObuHq/ZfChw2sF/mv0TQS5IaPX
aSaMDm++Hl2ORlvRX6UKxNHhbHLB8Tl02uR1YYc0Okhk/ax13Yz9i94Vq7pC
Ohw25xZvQhtE131wrqCDVse6wxu3EOQtRVk9OtChOsk8LRPtJqzNKNxIh4jm
wy3cxgQ5dMnztcYHOpg3+v31Q+d1L3P7f6ODQtt1oW50mvGAx0gvHdxVs+gW
JOaRzx/v2CE61Ei/VHmCLrFILzk8jt8f614ju5Ug57oO/Hd4hg51fTy0q+iU
VybycXN00NlmujCJ/mtoFTi+SAfS+trHg9sI0itCwylkhQ78O7uy6/7vJe8D
JMMa4PHb7q5pgv3W5WOcOoxrYJL2Sv4OuixVhXk/+o3n3lYmU4K0PJ7XVYLf
73m64nMKnXbl1gajVTr06tXxfEav5p9KX1iiwwvVwrvG2wlSQjnq6dg8HYpb
i2UK0YPq82Lif+lgfLw9ScgM3+fPh87+k7g/ytLMQeiXlQeUeEfoILz35rF+
dOH9EP6v/XSYl19bbbMDz4+Zd0VXFx1aWn5zPkNb2lg8k+qgQ1lyp6X8ToL0
jVqovNVMB47S+fDr6AHtTfZb6+gQZ2dZMo2O17uzXq2KDg4vWludzPG8OHuM
7yqlw1PZm4N16DPJHetLc/A8lYdMa1gQpItrwZDVbTrsefhwJgUthQ9UvkGH
LlPxPwyWmB8aDWmml+hQ9PDV55PofUvMkTledCiRKq5sR9d7NXlYuNBhQ01n
tJEV5sGdfY36u+jw6YPVgRz0RQUF+XNb6BAZzi7Ja02QE53zY3Pq6FXuVj80
3WW+okWSDl6BToFd6HXPri3M4f1QV1yU2mGD9WHQ1cR/RgFWNIbLStAWSTcl
rLsVILBWbbP4Luy/cpw5Lr1TgOsiNdWh6LrmsDTOpwpw2qpEZwi9sGXCffa+
Ajy7PZu+ZzdBjuv+Xdp2TQHs1qas/ocWTNcemzmrABEyyfYKe/A+Pkj5wOuI
97VoJuM6OsvP0yxuqwJYLTzpmUK73d7ZG6yMeaLdKXbQFt9nk+z273wK8DXw
qMlrdO5VHf6iGXm4smrvprYX+594hb7RTnk4+av8YgLa/0HXsfyX8qCwJyhq
ce//8718y9cseXjo+eTKUTvsn/cZi12LkgfnA4eC36FT88LuPT0pDz1bAjx0
7AnSMbcp4JiVPBiRXFb30LeW2lxva8hDY6gQndmBIH8Pp3DaCsjDDnriuAd6
02AEPWlSDmrMb5W1o2O2O7i7tctBIY3npOE+gnzxWi2+plwOIJ9NNAudrxV8
qDxeDlTkIp5x7sf7zLz2mt45OXBJj9h9Fh3P4PB5zx45MNjK1fUFbVmfy8Gu
JQfDihJHyAMEKeDLMbCfTw5WTpV35qN17uacTvxCwGGtLzv4HXH94d43qhII
cIi+WXQe/UYrk1K3ISDsfhtLF7pfXqlwlJ2AnrDCvdsPEuTwl8o/zK9koc1G
9HYxevvRuuN+AbLALSfZLuyE7yf/+ded62Uhh6+SMRAt4VFhGvlbBoR0xhV7
0Sda8/PX35eBtbm1W80P4XqbD/DY28uAQJCBbSnapMQj7C+XDLg079ov5oz1
M8JWSgakgamc0y4YvTP76EyLrzSYbDq5vR8toPleXVRFGlrDvNWtXLDehacM
//0uBY+T5Tkfox+VlhwIiJOCfTHB3yQOE2Qv28+iHBMpuBJ4LTsUHX2jTTz0
rySc8TY9MoiOcxPtEiqUhDvBZSI2RwiS+4S8sdtBSZh+2l79BK0bbRUZyCsJ
b1UeOEm5EuSSb+eqCyUBjQMGk2Hos21TzBJnJYBtOSLwN/rL6MORhwoSMHHx
+qLN0f/vJ4+U4kdxOOC162wF+tbVpdmrkeJw8dfH71JueN/+OA3/0BOH4SHp
LeHog98XPdR/i0H2dZWk3+jnP+9MBN4RA9b2pR6bY3iep4bnP1iIQVvj7TUV
aFeB29yblkRBLWTVSeo4QZpmkqVVD0UhdU77Rhj6BEvQBUcXURAgdUsG0cDx
bYEQFIUvhzjeWp8gSHfHoQ/Cr2lQcODRl8doNi7NvM1+NLhnqNIl4Y7zIb+2
ZK4SDTTZAztD0ALV/l17vorAzrrcxn40t0pUvmW0CGheLCqzPEmQ+zv6Ne+S
2N+qxsSUobctK+hvnxGGqK+7joh54PO0WqLsCoQhMnpK5RL6GxX+u8VJGM6Z
Xfjdi3be2KVJCQpDAntf6k5P7J97b+iqvhGClPYNOx6h5ay2fhG/JASJBWcG
hU8R5GguLMXrCAHb9aRLAeg6+6/RGcOC0Ha+gPMn2v5Ba+bOLEHY5vXghulp
glQVXTsU4ygIvGfSmB+gAxuFN50XFgQb/4iz/F4EabTxmy9jkwBcv+z8yRfd
nvLijM4VAShJ0NL8ihY5ssTFv00AhDIXg43P4N+7UGetscgPfgWvanPQD1gv
WKb58MNqzmUGLm/MsxvlHd6jfGB6y0z7DHrBSZ565M4H5AlOx4/oT6uB7U79
vOAo1+JvcBbr296ogdCjvHC04s6NdLSomuBHuT4eSJb1TGI+R5C89xf9t7nx
wN2925Pc0ZX5Oo//DHBDmKXqjSY0+8lKDwVPbnizJOWv7YN52ZZ0ZWSCC+wO
SR9IQdt+Hv+76wIXBLmuW7+E/qs7X2jLyAWrDHtWD/sS5L/g+aSFG5zAue7a
6zp0A5v1E2txTtD52nFJ1Q/fX8cxJts8Dghb3KIRi8679z6MV48DjkfAx2n0
2UJ5/ag37ABHnc/uP4/99C8ZzRpHnC+jJVmq0U5ZCb5vxtnAZ+rvTXl/gtz7
5oxkahQbPAyb5Y5C/0x6rmdGsAGhJh42jD7y7Hbfu/9YofnH4RGbCwRJalgZ
6ziwgvrVNuvH6DQt3VPhMywgIX4qVyyAIPUNP8RRiSzw66L2dCD68XJdx4Qe
C1inKW7sRodsbT4j/Y0ZIjwtzppeJMjqweYbO8OYQb7tfmYBery9yTVQhRn0
/lNu4AnE/vTvjGbVByYg+QZ/eaO/yCdo84Uygdrz7/8+oi3FZR5d1GAChzxu
RoMggqSOaQyz/WSE2Co/hjT0Yf/r2v/dYgRar/RfhktYPw/JdKSYMcJdRuZe
N/T92SW1wmUGMGZUrW1Aa21s2T/1lAFS3iSkqgfj/TSQq/M5xwAFhts849CF
16by1LUYYNB4o9YMmqquPabfvUoZv/D9sy+EICPOWuhHuK1SPIlLqVVoK3lh
Ff3RFUqyqNWUCCXINUUjt+0vrlBFv6Z6w9H7WD/1d3KvUD70Y/4DaPmMeY/X
mcvUbXMVJosw7E/OPA0V2LRMVepvjXiIzjdMCqK+LlHf2x4tCIRjHuZZlTVf
WqKuz/q4+6J7oiivTWuXqMqI+Pcd6Ivti4zsbYtU80EeJaMIrF+7DCvUwxap
h059/uloZ5MfLUW6i1ShmwTFeBnzseZMcvjYAnVtT+mSG1pHL9eipGiBusnw
QKsB7ca7X03r9AJ1zIbjoFok5sO2a77MOgvUZrGmwJjI/+ezi4vS8jxVrrcQ
P4lWlVBUuPtunvpy5VaGXRRBGmdZTRxIn6cM+xNzKtFbao4tuPnNU53KbPcl
r+DzfRS9/ts9T61TH4y9hO44cOy8vdY8tabBwL8bHTUhYbRRBP1p1c7kKq43
/mCP09IcxalmpJKHHn9/+Ebt7zlKKXN0muMazrNuwftPdc5RlnwSFZ7o4WbF
Y7bNc1TlTupUMzpfaKjR980cpazYK7n+OubLHu+Mtto5qi0wgkpA77sSPn+8
fo5yls11/Ise1GMY1H4/R8327BzZfwPro1jfeZ3Pc5TOXW/fKnR5y+Ynx3/N
UZqSstMyN7GfLTDMb/w7R13csNc9FK1Al7I/xDtPyVYJfuxFX3yuB9LK81Rq
yEG97dGY52ULg2w75qlpW+3YfHT/xd8NEh7z1D3W212cMXhfi5Oc9t6apyJO
xKw5hX56xGr50Yt5SmKn2JFmNLv16E2ZkXnK9PyGRK1YgrRWZDWJJhYoNxis
jkebrSjuHHFYoBxmtLtm0ILbflcoxy9QPj/FZh3isJ8V/ZGs1bZAxdjcZvoP
zcebNDApvEjN8j5lk7pFkEwTybccHRcp36FzjJfQf00O+e3PWaRsi1unutCl
j20Pd06i5du+kvHYD65tFny3bYl6InT+vyz030P8hlIpS9QGi1cxLAkEadNk
eLFybInivvXE8ThawMHBLdp8mZoo2SPTgE4+sj3wev4yJXrm7meVRIJ8a1Sn
ncqxQmkmx0XdQNd5nRwvObVCuY/orhtFC39JYXv8YYXy0r/ZaJOEv98g8mX8
5lXqFJnkXIq2P7PeZtODVYqr0XZIMJkg1/8u82rmYYAzd+s9fNB3k/fWtG5n
gG3np3o/oqsts/OkQhkgT/7LHr0UzIvynNu5VZgXhwMqU9B5Typ5j80xgOZs
h/A8OqUx2We3HiNIZM8ed7yN/fOsnZazHyPIqn8srUI7CThlXa5ghO49fpPS
d/A+tnrIPf/LCCGfvioHo5+wJczP6DNBmj/bvp/o9pqNfmpBTOA0Nx9I3sX7
4M39YS8wwSGxypRMtAI/n6UbKzPUJRg/YLpHkAe0bvDutcT8VE96fBT97ri4
iWg8M3xK/+9xLZpGT+DJ6WQG88JHD9amEuQfXiJiSp4FnnGcvx31f3OuefbP
gwWaAgQvDaJbAq0qCp+wQPmz8P0703C9xyOCVlZYgBb2TrUQvTlkin3EnBXW
xIxOc6bjvO/JYOGexAq37g4/9kDfHrRZd7KHFeIO13q8Q3NGjor1r2ODL3eC
xNXvY72ZrPL7eJENsldFqm+i10es1dJqYIMSi9j9o+jFu9JqkzR2MNQZHbbO
wHoQI7FdwI0duM5q+T5Cs62R2BdVzg7Hqhxn+DKxHoXe22DFyAGib097nkF3
pGUVOe7mAK/dnp0t6H36ZZcf3OcAY3b7LVpZBFll/zZ8wzgH9Gap341DvxTw
PDq5Bevtl+mRCbTmtoSuzhhOSDhYrLcnG++P6fO8gS5OGOre51+GXr3W7i6g
yQUZUnOPBHOwv3fd8X5XCBcUvIz5cRbNVrd4Lq2FCwKCZJjb0WTzzvlJght4
2fMI7VzsV9KWZrd7c8MAv6pOPHpwdv/CLeAGnp1Fm6fQnzmE4psFeID3sJqx
bR5BTvJZm8wc5oFl9uKN5Wi++fSYxVIe8B/XUBLKJ8igTdzj3xl4IbWugvcc
miGI6Wvcbl4QNdj2pw0NWkco/gxeEJ77RK0vwPN82ovTdpwXLEvP3biFPhby
VXr3Fj5Y5JO0mUR3P6vezxTNB8PQxL6nEOuvVIrokW98cOxc7LNStNeExQM3
FX4waTl8WOABPq9I3pXVnx+6w01Wz6Azo+qjjGr5ga5vkNSCHhXOfhjCIQCB
d0wUNItwfngcFZOjIQA/d7vlxaB12WbCrtoJQAt7mvwY+sfj1QyliwJgd2I8
wboY5+WwEcbg+wLAKH5ouRjtC6rPrtQKwOSrwUM8D7GfTNz3kRwSgEaeWxWe
6IWdm9xyeQWh6r4jyzv0o1dN58rWC0KQvJmF6iPc32o1jiP2grBb3/7KNTSD
UYZK6QVBYL1+reo3+uEaHuLePUGYqvo1sKME87U0yYR4KQgL59w589GOIKJn
2C0IV/eK0tlKsb8RoBKGGIUgiXFC5xi6v1ZpTpUuBNly/4xq0aeljZcXTYTg
1d51RvQy7NeYbI0c3YTg6ubE9eFoplpOc5PLQiAbuo7oQc9melY9yRYC7eoF
ZrKcIAnvL2uLa4SAMXn5Zzpa04xHUqlHCByKNj5eRg/IyirTV4UgIu3BJafH
BFl7LKQrTVoYTvHsN65C55Yuvk00EIbglK1zEk+wfjs882N1EIYnP9wLLqBX
aBs8R88KQ/Klll0d6NZHZtoW0cKgT/Mf063AfjlKbo8Ezg+btx25nIjW3mVh
tb9GGD5mxgpOowWLc/JYvgvD81bm5D1PsV+qP9EjNSsMRp6UYCnadlYh6B4v
ziu8tZf5KnE9Li9mQteKwNIe4fFT6PFs7zdvN4nAnY+Pdr9D+3i1e/nsFYEr
mrcLVZ7h75drPBp4UgS+LbXOX0E3BybJ/AwWgQ2fHbcOoNU03gimJohAjd3G
UNP/sF5EmD0pyRcBU0H3p1noK3y7/MWqRIAjZ6yP4TlBzql6v2ttEoE/Oe85
XNBab24SnT9FwLGIeW012rjva/e6SRGwtUnSl6oiyDt7+y6+Z6TB4TURJgFo
lc1h+8oFaXD/dfP2DvTLjp6u73I0qH4VYKz7giAvsFz2N9ekwb/HkVoJaJNf
G6NmN9FAUnNGfBLNEy3r1WVOg8g39XM21QTJklAYx+hAA0XB1ZZi9PmWu9ZO
R2gQfD89neslQTJ/ZGYe8aRBOmu+mzv6V8V23kc4Lyp/llCoRyf+DnPKCKbB
nuy5z3SKIAPqG3RfR9Hg54ppRBj6wjFTX7EYGihdZFD6ifbVW5lOS6QBLU+9
ZhMQZPCWn7f23aWBgvA7u7toVsNSte33aeC850fXP7TbhETGiWwauE+4HbZ/
hfllm9tM5dHgXMjRznL028aqFJtCGphEfzUXqCFI5aP530WKaKBd8K7sNNp9
MT5EuJgGqs76gu/Q8SnXj1qiizYpuCu/Jkih84GnqvH7da3Xn0aiRU5tCPF4
QAMi32epFz24eixsbwENJi27DMhagqx5nHUgIJcG7JbvvdLQk8ou498zaVCr
aXxvAc18Zko1JI0GUpH61L46glTakDx7+DYNkj799/UJOnb2uEFEPL6votpR
wXqCTNV36xm4QYPVWMc5L/TZBu/Om5dp8Jvn0sI79JVpW77zQTQYeLBuRvkN
1pdHT05n+9DAc+p0fySap58+QPOgQZCncXPvm///f03oRLMLDSrSsh8ZN+B9
2NTR3WRHAzOB1KhUdHJlsSkN93/WXNVhHn2iufxyLp4PubZdMg5v8TzsGEsI
wfNTqcb3vRwtKGt+PEeeBtt+Ho/nbyRIWYifEBGmQa/3QfIU+p5lqHI7Mw3M
j432N6C9nhWz/JgWgdekbMTadwRpJ3snSK9PBHSujIuFo792F1/92SYCgi9c
c7rQVbO6Cp2UCJx2DVA2eo/7y3zSZM1DERhd2pCTgn708sjgqzsi0MabIjaD
jmSicz2OxM9FM8N3NxHkKfaUgjlvESi5Y9dfjA54GYu1UwSkxR4bczbjPNFX
vztyuwi08r+8dQydXLqruFlDBBhY/L+9QnO0HvU7JyYCAT4/pWVbsJ9c6sn2
WRWGzB9z9hfRN+UW138aEAbfV7VRn9EuX7Sl7zYJw/U00xLtVswnycNH6h4L
g+BEQEsMOj/tIZPjHWFo0zs+OIx2vHCX+WCwMKiPc/0za8P6cHfh5DtXYZBM
PrmSheZy/7f5kZkwaBVELK+gBTcIXGdTFYZ7mY4zju34/tolD3bwCIP8ynjv
U3S9uCnQx4VAwWD7W6EPuB4/gXdjrUJwu+lgvhf68hGnWKNyIRDX073UiNZd
caLzJghBy0i7heJHgpzOyrh/3EcIrnjqCYSj0y34Ccu9WC/UjjT9QJ/Q+/Oy
WlsI5PLswg0+EeTB023prwSFIGWvkGYS+rnp8+4DE4JgVHzvwwRaanK+4Fqz
IHxTmjpj9ZkgYxi3ytoVC0L3ZjGWArTybOrJF9ew3h3jiWPuIMgbzy88rTsu
CG9FPgi7oH22p2n7mAjC9ZpTsc/RRnzafA2EILj/+sok+gXre3p14JtFAfgy
Lut1Fr1dULHUt0MAhg4Ytr1HC5aW9baXC8COFA115U6sRx7s1v3RAmAkvRwc
gXZ101QrcReAfKf8t13o5fCEKh0TAeB7r8Fj+BX7t4nVLedlBCD6R6JZEjrG
Zsfk9Bg//GT+dmEC3bIo73Q5ix8cy5iyLb9hnh4Jssmx54fZfbx1eehK4D7k
yMEPW08udTF+J8ik3bvkHz7ng9MObRNOaDC5ZZB9ig/M4qIXKtGmXwd3msjy
gd4V7SWhH1jvLur9S2jhBbOiV7On0Xefa0zeC+UFmVObBhvQHJa2qUfW88KK
fk4rvYsgJ7Suaw/38MD70IWyYPTOh+65hvE8wFFO3uhEv1TmG963jQfaDC84
bfiJz+NXnTebwn7vatbaWHRx2GIzTxY3ZHO+GhhCM2y09Xy0hxtYVT/dN+0m
yMNbY9u0GLkhx6F79300f10ux51SLqhe7JufR/OOS0mNuHCBUmTPXbsezKsE
bjFNfi446PxVpwQdzkDnO/GSE85OtdRy9hKk/kgu7c5pTlAofm3thr4p5GXW
KM0JdbNPm1+ijwqOvFh9xwF7DIp2SPRhv2+kfGdLIAc4d2c+80Ev7Xm9ckOV
A9bapco3o8uc/4mMdrLDpeV74cq/MG+8brOduMYOP02zvoWjKy7RmFb1sT+P
L1X/gc5gDTB4/psNGqwb/Db2E+RrZo/etNts4NY1/PQWWuyBul7JTjbQLZKY
+IO2Usk+Oz3HCl8kHeTNBghyxzmbT2cKWeFmQqZFBlpAaFeuiiMraAUuey6g
n/AeV1HkZoXtGz0j7QZxvcdniz1esMCE+kjyI3SBCWPI0mkWmIGwDI7fBOl3
Qmuqm8D5Z9+6LFf0FbUmJ5l2ZjCzn7j3Av3KpF688jIz7JR5Hy06hP3L1ZKI
xxuZgUe4xt8bnZ1bsyL2hwnC7nw40IhmYuweG0pnAgNhpg1rhgnSOS32hcZe
JvDstWELRuvcZ/z4h50JRt2rWjvQnnb8uYrVjGDIYZ6w/g/Ow7+Msn+dY4Sz
8vPWN9CtEhXb1VQYwZbWxNCPJnfasTN0M8BW0/qiLSNYf7rTj7unMMBOvgGb
2+i3Z9/0n9zFAAIf1g1Poi8cEr/FycEAQ5PplyxHMf+uC9CTwlepN28NOXPR
nWx5Wi5/VyjyP6boFbTWQGPpec8VKlZ2jmP/GOapXhVPT88ylbhP+lIZuo4S
Lcs+sEy1v/Ie4hrH/dHt4a1tX6LOPv9r7YaW54lI3mG9RG1JL3lQjR42bHyl
83aRevA2dVV0AvOT9w9njNki9f42ZeWN3nQ/dORg3QLlckIi/i1aOz16OGv7
AlUTV9SiMIn31fjSVfc389TSGX/WIHTTFbpNucU8VekSrPMJbRL5sj6yZY4y
ff7qgMYUntejf0N/289RKZ3bLlxBX/3exdf94x9lI8Yc240O2/iP9dyJf1Th
e+Z0g2mCvHhbbTV76i8VZ2uWG49mNPuUHBiCZnyf8wetXVZ1aoX3L/V9fXKq
6QzWwyaRNdrps9Quo7ybaWhGtaij0lqz1Em/Zd+/6Cthaz/VvJ6hdm9Ms981
i/3i7gBFtQMz1IeOKI0C9JqMAI6DE9PU8YdVqwx/CZL6EKe5/9o0tYZv89sD
aGbz1L3Ka6apll08N8rRX2dHNNtgimp7o7qd+x/WA++dEftdpijDd3f+HUW/
oQ/x165OUrWPHLNeoF/eDLknkTVJNdV7bafN4bwfqj3ubDZJHTrR0X0aLWia
0XFnZIKi/0ryrUd//Ny1pjVxgjofV8RAzGP9lrj0gN14gnKgJCL90ZJ72UJu
fh6n3F/3MLaieeMGgug649TyGIu/8gJB6s0mcnUnjFE8iZd/haIvpzD9aZob
pfRYXC060SVz4r/njoxSr+PSC9YvEmScR1X7qZYRKve60eo1tFp8Q7ju1hHq
/DZDm150a47wBafKP1QAR2qS4RKu147jec/6P9RddddP8ejN9ZzjNaXDlPdK
NO8ftGJrwfNlnWFKv0lui8kyQf5Wzq6OrRqivg9KnbiHHnzbm3R+xxA1khp6
dRotqXqpq6TjN5VruDvLcoUgLR6Uaxqc+k394bv5JBvt9XJUVoD1N2VzQpda
RP86ULNFO2uQYr1lXbN3FZ+nOCqbZjJI/f3yqboITf2xtbIZGqA+1w1+YWSQ
I9fXrO42SRigShdkWtahH/gpPgnYOkDNa8W8OoCufEUsjE33UwF8BqWRaIPK
kzkZD/qpd/rEvTJ000je+pvH+ikX+63hP9A3xtJkStb0U8GcGcc4GeXIIQ/9
Hrbfv6itC0bbddEeieFTcSW/qNT3NPkj6EdnH9RaBP6iHNZqzN9EnydW36y3
/EVxFUY2PUNvWjNx0oT4Ra1bkk7/hX79god26V8fxf56xkOASY7U0WFe//1D
H1WRybthEzpRJkPB+Ukfpb7Jff4EevxJkyXDnT5qox5rVQL6t3ICN4T1UX46
/RcodGWP8Mu7Xn2UUweHzh/02w8xL6Jd+iijOu8hUWY50vr9oUPJdn3U+gyZ
1G3oXQ0z02XWfdT/AL/BMNA=
            "]],
           FontSize->12]}}, {}, {}, {}, {}}},
      AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
      Axes->{True, True},
      AxesLabel->{None, None},
      AxesOrigin->{0.03797447223764044, 0},
      BaseStyle->(FontSize -> 12),
      DisplayFunction->Identity,
      Frame->{{True, True}, {True, True}},
      FrameLabel->{
        FormBox["\"l\"", TraditionalForm], 
        FormBox[
        "\"\\!\\(\\*FractionBox[\\(l \\((l + 1)\\)\\), \\(2  \
\[Pi]\\)]\\)\\!\\(\\*SuperscriptBox[SubscriptBox[\\(C\\), \\(l\\)], \\(TE\\)]\
\\) (\[Mu]K\\!\\(\\*SuperscriptBox[\\()\\), \\(2\\)]\\)\"", TraditionalForm]},
      FrameStyle->GrayLevel[0],
      FrameTicks->FrontEndValueCache[{{Automatic, Automatic}, {
          Charting`ScaledTicks[{Log, Exp}], 
          Charting`ScaledFrameTicks[{Log, Exp}]}}, {{
         Automatic, Automatic}, {{{0., 
            FormBox["1", TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
            FormBox["5", TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {2.302585092994046, 
            FormBox["10", TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {3.912023005428146, 
            FormBox["50", TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {4.605170185988092, 
            FormBox["100", TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {6.214608098422191, 
            FormBox["500", TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {6.907755278982137, 
            FormBox["1000", TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {0.6931471805599453, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {1.791759469228055, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {2.995732273553991, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {4.0943445622221, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {4.248495242049359, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {4.382026634673881, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {4.499809670330265, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {5.298317366548036, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {5.703782474656201, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {5.991464547107982, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {6.396929655216146, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {6.551080335043404, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {6.684611727667927, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {6.802394763324311, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {7.600902459542082, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.006367567650246, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.294049640102028, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.517193191416238, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.699514748210191, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.85366542803745, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.987196820661973, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.104979856318357, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.210340371976184, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.305650551780507, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.392661928770137, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.472704636443673, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.546812608597396, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.615805480084347, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.680344001221918, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}}, {{0., 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {2.302585092994046, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {3.912023005428146, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {4.605170185988092, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {6.214608098422191, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {6.907755278982137, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.01, 0.}, {
             AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {0.6931471805599453, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {1.791759469228055, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {2.995732273553991, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {4.0943445622221, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {4.248495242049359, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {4.382026634673881, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {4.499809670330265, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {5.298317366548036, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {5.703782474656201, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {5.991464547107982, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {6.396929655216146, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {6.551080335043404, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {6.684611727667927, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {6.802394763324311, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {7.600902459542082, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.006367567650246, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.294049640102028, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.517193191416238, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.699514748210191, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.85366542803745, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {8.987196820661973, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.104979856318357, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.210340371976184, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.305650551780507, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.392661928770137, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.472704636443673, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.546812608597396, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.615805480084347, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}, {9.680344001221918, 
            FormBox[
             TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
             AbsoluteThickness[0.1]}}}}}],
      GridLines->{None, None},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImagePadding->All,
      ImageSize->350,
      Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
            (Exp[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& ), "CopiedValueFunction" -> ({
            (Exp[#]& )[
             Part[#, 1]], 
            (Identity[#]& )[
             Part[#, 2]]}& )}},
      PlotRange->{{0., 7.5948944475280875`}, {-129.808, 121.521}},
      PlotRangeClipping->True,
      PlotRangePadding->{{0, 0}, {0, 0}},
      Ticks->FrontEndValueCache[{
         Charting`ScaledTicks[{Log, Exp}], Automatic}, {{{0., 
           FormBox["1", TraditionalForm], {0.01, 0.}, {
            AbsoluteThickness[0.1]}}, {1.6094379124341003`, 
           FormBox["5", TraditionalForm], {0.01, 0.}, {
            AbsoluteThickness[0.1]}}, {2.302585092994046, 
           FormBox["10", TraditionalForm], {0.01, 0.}, {
            AbsoluteThickness[0.1]}}, {3.912023005428146, 
           FormBox["50", TraditionalForm], {0.01, 0.}, {
            AbsoluteThickness[0.1]}}, {4.605170185988092, 
           FormBox["100", TraditionalForm], {0.01, 0.}, {
            AbsoluteThickness[0.1]}}, {6.214608098422191, 
           FormBox["500", TraditionalForm], {0.01, 0.}, {
            AbsoluteThickness[0.1]}}, {6.907755278982137, 
           FormBox["1000", TraditionalForm], {0.01, 0.}, {
            AbsoluteThickness[0.1]}}, {-0.6931471805599453, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {-0.5108256237659907, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {-0.35667494393873245`, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {-0.2231435513142097, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {-0.10536051565782628`, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {0.6931471805599453, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {1.0986122886681098`, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {1.3862943611198906`, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {1.791759469228055, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {1.9459101490553132`, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {2.0794415416798357`, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {2.1972245773362196`, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {2.995732273553991, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {3.4011973816621555`, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {3.6888794541139363`, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {4.0943445622221, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {4.248495242049359, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {4.382026634673881, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {4.499809670330265, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {5.298317366548036, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {5.703782474656201, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {5.991464547107982, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {6.396929655216146, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {6.551080335043404, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {6.684611727667927, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {6.802394763324311, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {7.600902459542082, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {8.006367567650246, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {8.294049640102028, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {8.517193191416238, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {8.699514748210191, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {8.85366542803745, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {8.987196820661973, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {9.104979856318357, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {9.210340371976184, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {9.305650551780507, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {9.392661928770137, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {9.472704636443673, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {9.546812608597396, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {9.615805480084347, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}, {9.680344001221918, 
           FormBox[
            TemplateBox[{0., 0.}, "Spacer2"], TraditionalForm], {0.005, 0.}, {
            AbsoluteThickness[0.1]}}}, Automatic}]], {560., -113.56374543279317},
      ImageScaled[{0.5, 0.5}], {350, 216.31189606246318}]}, {}},
  ContentSelectable->True,
  ImagePadding->{{169.83148, 170.664813}, {0.833333, 0.}},
  ImageSize->{942.8333333333333, 296.6666666666667},
  PlotRange->{{180.66666666666666`, 566.}, {-232.12749086558634`, 5.}},
  PlotRangePadding->Automatic]], "Input",
 CellChangeTimes->{{3.8279960585301366`*^9, 
  3.827996066516263*^9}},ExpressionUUID->"71cbceab-62ca-4344-8c76-\
eeb2aa9b1fb6"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"planckplEElin", "=", 
   RowBox[{"ErrorListLogLinearPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsEElowl", ",", "ClsEEhighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[ScriptL]\>\"", ",", 
        "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(EE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"planckplEE", "=", 
   RowBox[{"ErrorListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsEElowl", ",", "ClsEEhighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[ScriptL]\>\"", ",", 
        "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(EE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7046114550191755`*^9, 3.704611515739151*^9}, {
  3.7046177722843037`*^9, 3.7046177784919558`*^9}, {3.7046178264424844`*^9, 
  3.7046178410979924`*^9}, {3.796560990655896*^9, 
  3.7965609973201847`*^9}},ExpressionUUID->"a48a1be9-18d2-4896-835d-\
3784b8f20c73"],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{"planckplEE", ",", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
         RowBox[{"FrameLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
           "\"\<\[ScriptL]\>\"", ",", 
            "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(EE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<l\>\"", ",", 
          "\"\<\!\(\*FractionBox[\(l \((l + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(EE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"planckplEElin", ",", 
       RowBox[{"ListLogLinearPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"FrameStyle", "\[Rule]", "Black"}], ",", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"FontSize", "\[Rule]", "12"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
         RowBox[{"FrameLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
           "\"\<\[ScriptL]\>\"", ",", 
            "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(EE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<l\>\"", ",", 
          "\"\<\!\(\*FractionBox[\(l \((l + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(EE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}]}], "}"}],
    "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.704611526074609*^9, 3.704611581130804*^9}, {
  3.704611699228467*^9, 3.704611710732087*^9}, {3.7046180373863835`*^9, 
  3.7046180471453094`*^9}, {3.716282542758202*^9, 3.7162825538885765`*^9}, {
  3.7257804429889703`*^9, 3.7257804471000433`*^9}, {3.7258700374881067`*^9, 
  3.725870044305232*^9}, {3.726485212698449*^9, 3.7264852177860546`*^9}, {
  3.736161282647316*^9, 3.7361612842066307`*^9}, {3.7965610014854164`*^9, 
  3.7965610143359637`*^9}},ExpressionUUID->"2e153efd-b149-492b-891a-\
d012efe5c6d6"]
},
WindowSize->{1142, 575},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.2 Inherited,
FrontEndVersion->"11.2 for Microsoft Windows (64-bit) (September 10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 158, 3, 35, "Input",ExpressionUUID->"3813d64a-6c0e-40e0-9863-6e239bddc905"],
Cell[719, 25, 599, 11, 84, "Input",ExpressionUUID->"c362527b-0a6e-4fc2-8f5e-5a4cf4a448e6"],
Cell[1321, 38, 1969, 45, 132, "Input",ExpressionUUID->"76f14f4e-13e8-4de9-954b-f791817d65e4"],
Cell[3293, 85, 1224, 31, 108, "Input",ExpressionUUID->"9e2bc391-a256-4c09-970b-9dfb84e0761e"],
Cell[4520, 118, 3308, 79, 189, "Input",ExpressionUUID->"4fd05442-855e-4311-8b7e-8e0785a6dc2b"],
Cell[7831, 199, 1025, 25, 156, "Input",ExpressionUUID->"48a8749e-0af6-441d-92b6-e2e1219f3316"],
Cell[8859, 226, 3722, 119, 204, "Input",ExpressionUUID->"dca5de9c-07e8-4c79-b6ca-4486847ec424"],
Cell[12584, 347, 2100, 47, 181, "Input",ExpressionUUID->"1d471828-46d2-4e4f-a976-eb9ca49433ec"],
Cell[14687, 396, 3506, 79, 275, "Input",ExpressionUUID->"710b43de-5dfa-4299-bec0-b96824dbacbe"],
Cell[18196, 477, 1997, 46, 181, "Input",ExpressionUUID->"c3ea7152-af22-4834-b1e2-fece0d844bd2"],
Cell[20196, 525, 4074, 93, 263, "Input",ExpressionUUID->"2baf870c-d1bb-4c76-b777-21c0468229f7"],
Cell[24273, 620, 337345, 5936, 372, InheritFromParent,ExpressionUUID->"71cbceab-62ca-4344-8c76-eeb2aa9b1fb6"],
Cell[361621, 6558, 1955, 45, 181, "Input",ExpressionUUID->"a48a1be9-18d2-4896-835d-3784b8f20c73"],
Cell[363579, 6605, 4001, 92, 263, "Input",ExpressionUUID->"2e153efd-b149-492b-891a-d012efe5c6d6"]
}
]
*)

